diff -pruN 46.1-1/.gitlab-ci.yml 46.2-1/.gitlab-ci.yml
--- 46.1-1/.gitlab-ci.yml	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/.gitlab-ci.yml	2024-06-29 14:24:47.000000000 +0000
@@ -63,24 +63,6 @@ check-code-style:
   script:
     - bash data/check-code-style
   artifacts:
-    paths:
-      - ${ESLINT_LOG}
-    when: on_failure
-  rules:
-    - if: $CI_COMMIT_BRANCH !~ /gnome-\d\d+/
-
-eslint:
-  extends:
-    - '.fdo.distribution-image@alpine'
-    - '.alpine.container.common'
-  stage: 'test'
-  needs: [ 'build.container.alpine@x86_64' ]
-  interruptible: true
-  script:
-    - eslint -o eslint-report.txt --no-color embed/web-process-extension/resources/js/ || { cat $ESLINT_LOG; false; }
-  artifacts:
-    paths:
-      - ${ESLINT_LOG}
     when: on_failure
   rules:
     - if: $CI_COMMIT_BRANCH !~ /gnome-\d\d+/
@@ -101,17 +83,20 @@ flatpak:
   extends:
     - '.flatpak'
     - '.flatpak rules'
+  image: 'quay.io/gnome_infrastructure/gnome-runtime-images:gnome-46'
   needs: []
 
 flatpak aarch64:
   extends:
     - '.flatpak@aarch64'
     - '.flatpak rules'
+  image: 'quay.io/gnome_infrastructure/gnome-runtime-images:gnome-46'
   needs: []
 
 scanbuild:
   extends: '.flatpak'
   needs: []
+  image: 'quay.io/gnome_infrastructure/gnome-runtime-images:gnome-46'
   variables:
     CONFIG_OPTS: '-Dprofile=Devel -Dunit_tests=enabled -Dgranite=enabled'
   script:
diff -pruN 46.1-1/NEWS 46.2-1/NEWS
--- 46.1-1/NEWS	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/NEWS	2024-06-29 14:24:47.000000000 +0000
@@ -1,3 +1,9 @@
+46.2 - June 29, 2024
+====================
+
+ * Improve robustness of password manager (!1495)
+ * Fix crash when main resource response isn't ready yet (!1503)
+
 46.1 - May 29, 2024
 ===================
 
diff -pruN 46.1-1/data/org.gnome.Epiphany.appdata.xml.in.in 46.2-1/data/org.gnome.Epiphany.appdata.xml.in.in
--- 46.1-1/data/org.gnome.Epiphany.appdata.xml.in.in	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/data/org.gnome.Epiphany.appdata.xml.in.in	2024-06-29 14:24:47.000000000 +0000
@@ -47,7 +47,7 @@
   <provides>
     <binary>epiphany</binary>
   </provides>
-  <launchable type="desktop-id">org.gnome.Epiphany.desktop</launchable>
+  <launchable type="desktop-id">@appid@.desktop</launchable>
   <content_rating type="oars-1.1" />
   <recommends>
     <control>keyboard</control>
@@ -58,6 +58,7 @@
     <display_length compare="ge">360</display_length>
   </requires>
   <releases>
+    <release date="2024-06-29" version="46.2"/>
     <release date="2024-05-29" version="46.1"/>
     <release date="2024-03-15" version="46.0"/>
     <release date="2024-02-29" version="46~rc"/>
diff -pruN 46.1-1/debian/changelog 46.2-1/debian/changelog
--- 46.1-1/debian/changelog	2024-05-31 10:57:42.000000000 +0000
+++ 46.2-1/debian/changelog	2024-06-29 15:08:28.000000000 +0000
@@ -1,3 +1,9 @@
+epiphany-browser (46.2-1) unstable; urgency=medium
+
+  * New upstream release (LP: #2071519)
+
+ -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Jun 2024 11:08:28 -0400
+
 epiphany-browser (46.1-1) unstable; urgency=medium
 
   * New upstream release
diff -pruN 46.1-1/embed/web-process-extension/resources/js/ephy.js 46.2-1/embed/web-process-extension/resources/js/ephy.js
--- 46.1-1/embed/web-process-extension/resources/js/ephy.js	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/embed/web-process-extension/resources/js/ephy.js	2024-06-29 14:24:47.000000000 +0000
@@ -1,8 +1,5 @@
 'use strict';
 
-/* exported contextMenuElementIsPassword, contextMenuElementIsEditable */
-
-// eslint-disable-next-line no-var
 var Ephy = {};
 
 Ephy.getAppleMobileWebAppCapable = function()
@@ -298,17 +295,52 @@ Ephy.PreFillUserMenu = class PreFillUser
     }
 };
 
-Ephy.formControlsAssociated = function(pageID, frameID, forms, serializer)
+Ephy.formControlsAssociated = function(pageID, frameID, elements, serializer)
 {
-    Ephy.formManagers = [];
+    let formElements = [];
 
-    for (let i = 0; i < forms.length; i++) {
-        if (!(forms[i] instanceof HTMLFormElement))
+    for (let element of elements) {
+        if (!(element instanceof HTMLFormElement))
             continue;
-        const formManager = new Ephy.FormManager(pageID, frameID, forms[i]);
-        formManager.handlePasswordForms(serializer);
+
+        const formManager = new Ephy.FormManager(pageID, frameID, element, serializer);
         formManager.preFillForms();
-        Ephy.formManagers.push(formManager);
+        Ephy.FormManager._managers.push(formManager);
+
+        formElements.push(element);
+    }
+
+    // This function is called in two scenarios:
+    //
+    // 1) Form is created. One of the elements will be an HTMLFormElement. We
+    //    would have found it above and created a FormManager.
+    // 2) Elements are moved between existing forms. The FormManager should
+    //    already exist from a previous call to this function.
+    //
+    // WebKit may batch updates together before eventually firing the form
+    // controls associated event later on, so possibly there could be multiple
+    // forms here, and both scenarios could be happening at the same time.
+    for (let element of elements) {
+        if (element instanceof HTMLFormElement)
+            continue;
+
+        // We want to find each parent form element and process it only once.
+        // Anything in formElements has already been processed.
+        let formElement = element.closest('form');
+        if (formElement && !formElements.includes(formElement)) {
+            if (!formElement instanceof HTMLFormElement) {
+                Ephy.log('Attempted to find parent HTMLFormElement, but found something else instead; this is probably an Epiphany bug');
+                continue;
+            }
+            formElements.push(formElement);
+
+            let manager = Ephy.FormManager.managerForForm(formElement);
+            if (!manager) {
+                Ephy.log('Missing form manager for a form element that should have one already; this is probably an Epiphany bug');
+                continue;
+            }
+            manager.preFillForms();
+        }
     }
 };
 
@@ -316,8 +348,8 @@ Ephy.handleFormSubmission = function(pag
 {
     // FIXME: Find out: is it really possible to have multiple frames with same window object???
     let formManager = null;
-    for (let i = 0; i < Ephy.formManagers.length; i++) {
-        const manager = Ephy.formManagers[i];
+    for (let i = 0; i < Ephy.FormManager._managers.length; i++) {
+        const manager = Ephy.FormManager._managers[i];
         if (manager.frameID() === frameID && manager.form() === form) {
             formManager = manager;
             break;
@@ -326,7 +358,7 @@ Ephy.handleFormSubmission = function(pag
 
     if (!formManager) {
         formManager = new Ephy.FormManager(pageID, frameID, form);
-        Ephy.formManagers.push(formManager);
+        Ephy.FormManager._managers.push(formManager);
     }
 
     formManager.handleFormSubmission();
@@ -471,7 +503,9 @@ Ephy.PasswordManager = class PasswordMan
 
 Ephy.FormManager = class FormManager
 {
-    constructor(pageID, frameID, form)
+    static _managers = [];
+
+    constructor(pageID, frameID, form, serializer)
     {
         this._pageID = pageID;
         this._frameID = frameID;
@@ -480,10 +514,20 @@ Ephy.FormManager = class FormManager
         this._preFillUserMenu = null;
         this._elementBeingAutoFilled = null;
         this._submissionHandled = false;
+        this._passwordFormMessageSerializer = serializer;
+
+        this._form.addEventListener('focus', this._formFocused.bind(this), true);
+
+        Ephy.FormManager._managers.push(this);
     }
 
     // Public
 
+    static managerForForm(element)
+    {
+        return Ephy.FormManager._managers.find((manager) => manager._form === element);
+    }
+
     frameID()
     {
         return this._frameID;
@@ -494,16 +538,6 @@ Ephy.FormManager = class FormManager
         return this._form;
     }
 
-    handlePasswordForms(serializer)
-    {
-        if (!this._containsPasswordElement())
-            return;
-
-        Ephy.log('Password form element detected, hooking password form focused callback');
-        this._passwordFormMessageSerializer = serializer;
-        this._form.addEventListener('focus', this._passwordFormFocused.bind(this), true);
-    }
-
     isAutoFilling(element)
     {
         return this._elementBeingAutoFilled === element;
@@ -635,18 +669,6 @@ Ephy.FormManager = class FormManager
 
     // Private
 
-    _containsPasswordElement()
-    {
-        for (let i = 0; i < this._form.elements.length; i++) {
-            const element = this._form.elements[i];
-            if (element instanceof HTMLInputElement) {
-                if (element.type === 'password' || element.type === 'adminpw')
-                    return true;
-            }
-        }
-        return false;
-    }
-
     _getFormAction()
     {
         // We used to naively access this._form.action to get the action
@@ -670,8 +692,28 @@ Ephy.FormManager = class FormManager
         return action ? new URL(action, window.location) : null;
     }
 
-    _passwordFormFocused(event)
+    static _isNewPasswordElement(element)
     {
+        return element.getAttribute('autocomplete').includes('new-password');
+    }
+
+    _containsPasswordElement()
+    {
+        for (let i = 0; i < this._form.elements.length; i++) {
+            const element = this._form.elements[i];
+            if (element instanceof HTMLInputElement) {
+                if (element.type === 'password' || element.type === 'adminpw')
+                    return true;
+            }
+        }
+        return false;
+    }
+
+    _formFocused(event)
+    {
+        if (!this._containsPasswordElement())
+            return;
+
         let isFormActionInsecure = false;
         const actionURL = this._getFormAction();
         if (actionURL) {
@@ -706,6 +748,9 @@ Ephy.FormManager = class FormManager
         return passwordFields;
     }
 
+    // forAutofill is true if we are loading the page and autofilling saved
+    // passwords, and false if we are submitting the page and prompting the
+    // user to save submitted passwords.
     _findFormAuthElements(forAutofill)
     {
         const passwordNodes = this._findPasswordFields();
@@ -734,6 +779,11 @@ Ephy.FormManager = class FormManager
         // case just pick the first field.
         let passwordNodeIndex = 0;
         if (!forAutofill && passwordNodes.length !== 1) {
+            for (let node of passwordNodes) {
+                if (Ephy.FormManager._isNewPasswordElement(node.element))
+                    return { 'usernameNode' : usernameNode, 'passwordNode' : node };
+            }
+
             // Get values of all password fields.
             const passwords = [];
             for (let i = passwordNodes.length - 1; i >= 0; i--)
@@ -835,4 +885,4 @@ window.document.addEventListener('contex
     // isContentEditable is always false, in practice this seems functional enough.
     contextMenuElementIsEditable = event.target.tagName.toLowerCase() === 'input';
     contextMenuElementIsPassword = event.target.type === 'password';
-});
+});
\ No newline at end of file
diff -pruN 46.1-1/embed/web-process-extension/resources/js/overview.js 46.2-1/embed/web-process-extension/resources/js/overview.js
--- 46.1-1/embed/web-process-extension/resources/js/overview.js	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/embed/web-process-extension/resources/js/overview.js	2024-06-29 14:24:47.000000000 +0000
@@ -1,7 +1,5 @@
 'use strict';
 
-/* global Ephy */
-
 Ephy.Overview = class Overview
 {
     constructor(model)
diff -pruN 46.1-1/embed/web-process-extension/resources/js/webextensions-common.js 46.2-1/embed/web-process-extension/resources/js/webextensions-common.js
--- 46.1-1/embed/web-process-extension/resources/js/webextensions-common.js	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/embed/web-process-extension/resources/js/webextensions-common.js	2024-06-29 14:24:47.000000000 +0000
@@ -1,8 +1,5 @@
 'use strict';
 
-/* exported ephy_message */
-/* global ephy_send_message */
-
 window.browser = {};
 
 class EphyEventListener {
diff -pruN 46.1-1/embed/web-process-extension/resources/js/webextensions.js 46.2-1/embed/web-process-extension/resources/js/webextensions.js
--- 46.1-1/embed/web-process-extension/resources/js/webextensions.js	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/embed/web-process-extension/resources/js/webextensions.js	2024-06-29 14:24:47.000000000 +0000
@@ -1,8 +1,5 @@
 'use strict';
 
-/* exported pageActionOnClicked, browserActionClicked, browserActionClicked, tabsOnUpdated */
-/* global ephy_message EphyEventListener */
-
 // Browser async API
 window.browser.alarms = {
     clear: function (...args) { return ephy_message ('alarms.clear', args); },
diff -pruN 46.1-1/meson.build 46.2-1/meson.build
--- 46.1-1/meson.build	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/meson.build	2024-06-29 14:24:47.000000000 +0000
@@ -1,6 +1,6 @@
 project('epiphany', 'c',
   license: 'GPL3+',
-  version: '46.1',
+  version: '46.2',
   meson_version: '>= 0.59.0',
   default_options: ['c_std=gnu11',
                     'warning_level=2']
diff -pruN 46.1-1/org.gnome.Epiphany.json 46.2-1/org.gnome.Epiphany.json
--- 46.1-1/org.gnome.Epiphany.json	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/org.gnome.Epiphany.json	2024-06-29 14:24:47.000000000 +0000
@@ -1,7 +1,7 @@
 {
     "app-id" : "org.gnome.Epiphany.Devel",
     "runtime" : "org.gnome.Platform",
-    "runtime-version" : "master",
+    "runtime-version" : "46",
     "sdk" : "org.gnome.Sdk",
     "command" : "epiphany",
     "tags" : [
diff -pruN 46.1-1/po/gl.po 46.2-1/po/gl.po
--- 46.1-1/po/gl.po	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/po/gl.po	2024-06-29 14:24:47.000000000 +0000
@@ -18,8 +18,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: epiphany-master-po-gl-47333.merged\n"
 "Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/epiphany/issues/\n"
-"POT-Creation-Date: 2024-02-15 02:34+0000\n"
-"PO-Revision-Date: 2024-02-20 09:22+0100\n"
+"POT-Creation-Date: 2024-06-07 02:23+0000\n"
+"PO-Revision-Date: 2024-06-11 22:58+0200\n"
 "Last-Translator: Fran Dieguez <fran.dieguez@gnome.org>\n"
 "Language-Team: Galician <proxecto@trasno.gal>\n"
 "Language: gl\n"
@@ -27,7 +27,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Poedit 3.4.2\n"
+"X-Generator: Poedit 3.4.4\n"
 "X-Project-Style: gnome\n"
 "X-DL-Team: gl\n"
 "X-DL-Module: epiphany\n"
@@ -331,10 +331,10 @@ msgid ""
 "wide dark style preference, such as GNOME 42 and newer."
 msgstr ""
 "Selecciona o estilo das cores para os artigos mostrados no modo lectura. Os "
-"valores posíbeis son «light» (texto escuro sobre fondo claro) e "
-"«dark» (texto claro sobre fondo escuro). Esta configuración ignórase nos "
-"sistemas que fornecen unha preferencia de estilo escuro a nivel de sistema, "
-"como en GNOME 42 ou superior."
+"valores posíbeis son «light» (texto escuro sobre fondo claro) e «dark» "
+"(texto claro sobre fondo escuro). Esta configuración ignórase nos sistemas "
+"que fornecen unha preferencia de estilo escuro a nivel de sistema, como en "
+"GNOME 42 ou superior."
 
 #: data/org.gnome.epiphany.gschema.xml:146
 msgid "Minimum font size"
@@ -621,7 +621,7 @@ msgid ""
 "Source and Inspect Element actions."
 msgstr ""
 "Indica se mostrar as accións de desenvolvedor do menú contextual. Isto "
-"permitelle usar as accións de Orixe da páxina e Inspeccionar elemento"
+"permítelle usar as accións de Orixe da páxina e Inspeccionar elemento."
 
 #: data/org.gnome.epiphany.gschema.xml:286
 msgid "Web application additional URLs"
@@ -1139,8 +1139,8 @@ msgstr "Escriba o PIN para %s para auten
 #: src/resources/gtk/history-dialog.ui:41
 #: src/resources/gtk/prefs-lang-dialog.ui:17 src/window-commands.c:331
 #: src/window-commands.c:577 src/window-commands.c:831
-#: src/window-commands.c:1243 src/window-commands.c:1911
-#: src/window-commands.c:2814
+#: src/window-commands.c:1243 src/window-commands.c:1916
+#: src/window-commands.c:2818
 msgid "_Cancel"
 msgstr "_Cancelar"
 
@@ -2098,22 +2098,26 @@ msgstr "Os contrasinais para %s nun form
 msgid "Password in a form in %s"
 msgstr "O contrasinal nun formulario en %s"
 
-#: lib/sync/ephy-sync-service.c:979
+#: lib/sync/ephy-sync-service.c:932
+msgid "Response body is empty, do you need to install glib-networking?"
+msgstr "O corpo da resposta está baleiro, precisa instalar glib-networking?"
+
+#: lib/sync/ephy-sync-service.c:990
 msgid "Failed to obtain storage credentials."
 msgstr "Produciuse un fallo ao obter as credenciais de almacenamento."
 
-#: lib/sync/ephy-sync-service.c:980 lib/sync/ephy-sync-service.c:1126
-#: lib/sync/ephy-sync-service.c:1942
+#: lib/sync/ephy-sync-service.c:991 lib/sync/ephy-sync-service.c:1137
+#: lib/sync/ephy-sync-service.c:1901
 msgid "Please visit Firefox Sync and sign in again to continue syncing."
 msgstr ""
 "Visite Firefox Sync e inicie sesión de novo para continuar coa "
 "sincronización."
 
-#: lib/sync/ephy-sync-service.c:1116
+#: lib/sync/ephy-sync-service.c:1127
 msgid "The password of your Mozilla account seems to have been changed."
 msgstr "O contrasinal da súa conta de Mozilla semella que cambiou."
 
-#: lib/sync/ephy-sync-service.c:1117
+#: lib/sync/ephy-sync-service.c:1128
 msgid ""
 "Please visit Firefox Sync and sign in with the new password to continue "
 "syncing."
@@ -2121,23 +2125,23 @@ msgstr ""
 "Visite Firefox Sync e inicie sesión co novo contrasinal para continuar a "
 "sincronización."
 
-#: lib/sync/ephy-sync-service.c:1125
+#: lib/sync/ephy-sync-service.c:1136
 msgid "Failed to obtain signed certificate."
 msgstr "Produciuse un fallo ao obter o certificado asinado."
 
-#: lib/sync/ephy-sync-service.c:1908 lib/sync/ephy-sync-service.c:1913
-msgid "Could not find the sync secrets for the current sync user."
-msgstr ""
-"Non foi posíbel atopar os tokens de sincronización para o usuario na sesión "
-"actual."
-
-#: lib/sync/ephy-sync-service.c:1920 lib/sync/ephy-sync-service.c:1928
+#: lib/sync/ephy-sync-service.c:1926 lib/sync/ephy-sync-service.c:1933
 msgid "The sync secrets for the current sync user are invalid."
 msgstr ""
 "Os segredos de sincronización para o usuario de sincronización actual non "
 "son válidos."
 
-#: lib/sync/ephy-sync-service.c:1993
+#: lib/sync/ephy-sync-service.c:1959 lib/sync/ephy-sync-service.c:1964
+msgid "Could not find the sync secrets for the current sync user."
+msgstr ""
+"Non foi posíbel atopar os tokens de sincronización para o usuario na sesión "
+"actual."
+
+#: lib/sync/ephy-sync-service.c:2007
 msgid ""
 "Failed to store sync secrets (is the secret service or secrets portal "
 "broken?): "
@@ -2146,29 +2150,29 @@ msgstr ""
 "servizo ou portal de segredos?): "
 
 #. Translators: %s is the email of the user.
-#: lib/sync/ephy-sync-service.c:2035
+#: lib/sync/ephy-sync-service.c:2049
 #, c-format
 msgid "The sync secrets of %s"
 msgstr "Os segredos de sincronización de %s"
 
-#: lib/sync/ephy-sync-service.c:2065
+#: lib/sync/ephy-sync-service.c:2079
 msgid "Failed to upload client record."
 msgstr "Produciuse un fallo ao subir o rexistro do cliente."
 
-#: lib/sync/ephy-sync-service.c:2268
+#: lib/sync/ephy-sync-service.c:2282
 msgid "Failed to upload crypto/keys record."
 msgstr "Produciuse un fallo ao actualizar o rexistro crypto/keys."
 
-#: lib/sync/ephy-sync-service.c:2380
+#: lib/sync/ephy-sync-service.c:2394
 msgid "Failed to retrieve crypto keys."
 msgstr "Produciuse un fallo ao obter as chaves de crypto."
 
-#: lib/sync/ephy-sync-service.c:2434
+#: lib/sync/ephy-sync-service.c:2448
 msgid "Failed to upload meta/global record."
 msgstr "Produciuse un fallo ao subir o rexistro meta/global."
 
 #. Translators: the %d is the storage version, the \n is a newline character.
-#: lib/sync/ephy-sync-service.c:2556
+#: lib/sync/ephy-sync-service.c:2570
 #, c-format
 msgid ""
 "Your Mozilla account uses storage version %d. Web only supports version %d."
@@ -2176,15 +2180,15 @@ msgstr ""
 "A súa conta de Mozilla usa a versión %d de almacenamento. Web só é "
 "compatíbel coa versión %d."
 
-#: lib/sync/ephy-sync-service.c:2567
+#: lib/sync/ephy-sync-service.c:2581
 msgid "Failed to verify storage version."
 msgstr "Produciuse un fallo ao verificar a versión do almacenamento."
 
-#: lib/sync/ephy-sync-service.c:2625
+#: lib/sync/ephy-sync-service.c:2639
 msgid "Failed to upload device info"
 msgstr "Produciuse un fallo ao subir a información do dispositivo"
 
-#: lib/sync/ephy-sync-service.c:2701 lib/sync/ephy-sync-service.c:2784
+#: lib/sync/ephy-sync-service.c:2715 lib/sync/ephy-sync-service.c:2798
 msgid "Failed to retrieve the Sync Key"
 msgstr "Produciuse un fallo ao obter a chave de sincronización"
 
@@ -2247,25 +2251,25 @@ msgstr "Favoritos"
 msgid "Mobile"
 msgstr "Móbil"
 
-#: src/context-menu-commands.c:239
+#: src/context-menu-commands.c:294
 msgid "Save Link As"
 msgstr "Gardar a ligazón como"
 
-#: src/context-menu-commands.c:247
+#: src/context-menu-commands.c:302
 msgid "Save Image As"
 msgstr "Gardar a imaxe como"
 
-#: src/context-menu-commands.c:255
+#: src/context-menu-commands.c:310
 msgid "Save Media As"
 msgstr "Gardar multimedia como"
 
 #. Translators: tooltip for the empty bookmark button
-#: src/ephy-action-bar-end.c:395 src/ephy-location-entry.c:1758
+#: src/ephy-action-bar-end.c:395 src/ephy-location-entry.c:1761
 msgid "Bookmark Page"
 msgstr "Marcar páxina"
 
 #. Translators: tooltip for the bookmarked button
-#: src/ephy-action-bar-end.c:403 src/ephy-location-entry.c:1766
+#: src/ephy-action-bar-end.c:403 src/ephy-location-entry.c:1769
 msgid "Edit Bookmark"
 msgstr "Editar marcador"
 
@@ -2455,27 +2459,27 @@ msgid "Remove all history"
 msgstr "Eliminar todo o historial"
 
 #. Translators: Notification policy for a specific site.
-#: src/ephy-location-entry.c:1802 src/ephy-permission-popover.c:271
+#: src/ephy-location-entry.c:1805 src/ephy-permission-popover.c:271
 msgid "Notification Request"
 msgstr "Solicitude de notificacións"
 
-#: src/ephy-location-entry.c:1806
+#: src/ephy-location-entry.c:1809
 msgid "Camera Request"
 msgstr "Solicitude de cámara"
 
-#: src/ephy-location-entry.c:1810
+#: src/ephy-location-entry.c:1813
 msgid "Microphone Request"
 msgstr "Solicitude de micrófono"
 
-#: src/ephy-location-entry.c:1814
+#: src/ephy-location-entry.c:1817
 msgid "Location Request"
 msgstr "Solicitude de localización"
 
-#: src/ephy-location-entry.c:1818
+#: src/ephy-location-entry.c:1821
 msgid "Webcam and Microphone Request"
 msgstr "Solicitude de cámara web e micrófono"
 
-#: src/ephy-location-entry.c:1822
+#: src/ephy-location-entry.c:1825
 msgid "Permission Request"
 msgstr "Solicitude de permiso"
 
@@ -2634,51 +2638,51 @@ msgstr "A súa conexión semella ser seg
 msgid "_View Certificate…"
 msgstr "_Ver certificado…"
 
-#: src/ephy-security-popover.c:492
+#: src/ephy-security-popover.c:494
 msgid "Allow"
 msgstr "Permitir"
 
-#: src/ephy-security-popover.c:493
+#: src/ephy-security-popover.c:495
 msgid "Deny"
 msgstr "Denegar"
 
-#: src/ephy-security-popover.c:496
+#: src/ephy-security-popover.c:498
 msgid "Ask"
 msgstr "Preguntar"
 
-#: src/ephy-security-popover.c:514
+#: src/ephy-security-popover.c:516
 msgid "Permissions"
 msgstr "Permisos"
 
-#: src/ephy-security-popover.c:556
+#: src/ephy-security-popover.c:558
 msgid "Advertisements"
 msgstr "Publicidades"
 
-#: src/ephy-security-popover.c:557
+#: src/ephy-security-popover.c:559
 msgid "Notifications"
 msgstr "Notificacións"
 
-#: src/ephy-security-popover.c:558
+#: src/ephy-security-popover.c:560
 msgid "Password saving"
 msgstr "Gardado de contrasinais"
 
-#: src/ephy-security-popover.c:559
+#: src/ephy-security-popover.c:561
 msgid "Location access"
 msgstr "Acceso á localización"
 
-#: src/ephy-security-popover.c:560
+#: src/ephy-security-popover.c:562
 msgid "Microphone access"
 msgstr "Acceso ao micrófono"
 
-#: src/ephy-security-popover.c:561
+#: src/ephy-security-popover.c:563
 msgid "Webcam access"
 msgstr "Acceso á cámara web"
 
-#: src/ephy-security-popover.c:562
+#: src/ephy-security-popover.c:564
 msgid "Media autoplay"
 msgstr "Autoreproducir multimedia"
 
-#: src/ephy-security-popover.c:562
+#: src/ephy-security-popover.c:564
 msgid "Without Sound"
 msgstr "Sen son"
 
@@ -2826,76 +2830,76 @@ msgstr "Facer _captura de pantalla…"
 msgid "_Page Source"
 msgstr "Código da _páxina"
 
-#: src/ephy-window.c:1379
+#: src/ephy-window.c:1382
 #, c-format
 msgid "Search the Web for “%s”"
 msgstr "Busca no web por «%s»"
 
-#: src/ephy-window.c:1408
+#: src/ephy-window.c:1411
 msgid "Open Link"
 msgstr "Abrir ligazón"
 
-#: src/ephy-window.c:1410
+#: src/ephy-window.c:1413
 msgid "Open Link In New Tab"
 msgstr "Abrir ligazón nunha nova lapela"
 
-#: src/ephy-window.c:1412
+#: src/ephy-window.c:1415
 msgid "Open Link In New Window"
 msgstr "Abrir ligazón na nova xanela"
 
-#: src/ephy-window.c:1414
+#: src/ephy-window.c:1417
 msgid "Open Link In Incognito Window"
 msgstr "Abrir a ligazón nunha xanela de incógnito"
 
-#: src/ephy-window.c:2789
+#: src/ephy-window.c:2800
 msgid "_Ask Later"
 msgstr "_Preguntar máis tarde"
 
-#: src/ephy-window.c:2790 src/resources/gtk/permission-popover.ui:51
+#: src/ephy-window.c:2801 src/resources/gtk/permission-popover.ui:51
 msgid "_Deny"
 msgstr "_Denegar"
 
-#: src/ephy-window.c:2791 src/resources/gtk/permission-popover.ui:66
+#: src/ephy-window.c:2802 src/resources/gtk/permission-popover.ui:66
 msgid "_Allow"
 msgstr "_Permitir"
 
-#: src/ephy-window.c:2993 src/ephy-window.c:4427
+#: src/ephy-window.c:3004 src/ephy-window.c:4439
 msgid "Leave Website?"
 msgstr "Desexa abandonar o sitio web?"
 
-#: src/ephy-window.c:2994 src/ephy-window.c:4428 src/window-commands.c:1240
+#: src/ephy-window.c:3005 src/ephy-window.c:4440 src/window-commands.c:1240
 msgid "A form was modified and has not been submitted"
 msgstr "Modificouse un formulario que non foi remitido"
 
-#: src/ephy-window.c:2995 src/ephy-window.c:4429 src/window-commands.c:1244
+#: src/ephy-window.c:3006 src/ephy-window.c:4441 src/window-commands.c:1244
 msgid "_Discard Form"
 msgstr "_Descartar formulario"
 
-#: src/ephy-window.c:3016
+#: src/ephy-window.c:3027
 msgid "Download operation"
 msgstr "Operación de descarga"
 
-#: src/ephy-window.c:3018
+#: src/ephy-window.c:3029
 msgid "Show details"
 msgstr "Mostrar detalles"
 
-#: src/ephy-window.c:3020
+#: src/ephy-window.c:3031
 #, c-format
 msgid "%d download operation active"
 msgid_plural "%d download operations active"
 msgstr[0] "%d operación de descarga activa"
 msgstr[1] "%d operacións de descarga activas"
 
-#: src/ephy-window.c:3261
+#: src/ephy-window.c:3272
 msgid "Set as Default Browser?"
 msgstr "Desexa estabelecer como o navegador predeterminado?"
 
-#: src/ephy-window.c:3263
+#: src/ephy-window.c:3274
 msgid "Use Web as your default web browser and for opening external links"
 msgstr ""
 "Usar Web como navegador web predeterminado e para abrir ligazóns externas"
 
-#: src/ephy-window.c:3265
+#: src/ephy-window.c:3276
 msgid ""
 "Use Epiphany Technology Preview as your default web browser and for opening "
 "external links"
@@ -2903,55 +2907,55 @@ msgstr ""
 "Usar a Viste previa da Tecnoloxía experimental de Epiphany como o seu "
 "navegador predeterminado e para abrir ligazóns externas"
 
-#: src/ephy-window.c:3269
+#: src/ephy-window.c:3280
 msgid "_Ask Again Later"
 msgstr "_Preguntar máis tarde de novo"
 
-#: src/ephy-window.c:3270
+#: src/ephy-window.c:3281
 msgid "_No"
 msgstr "_Non"
 
-#: src/ephy-window.c:3271
+#: src/ephy-window.c:3282
 msgid "_Yes"
 msgstr "_Si"
 
-#: src/ephy-window.c:3722
+#: src/ephy-window.c:3732
 msgid "Save password?"
 msgstr "Desexa gardar o contrasinal?"
 
-#: src/ephy-window.c:3723
+#: src/ephy-window.c:3733
 msgid "Passwords can be removed at any time in Preferences"
 msgstr "Os contrasinais poden eliminarse en calquera momento en Preferencias"
 
-#: src/ephy-window.c:3725
+#: src/ephy-window.c:3735
 msgid "Not Now"
 msgstr "Agora non"
 
-#: src/ephy-window.c:3726
+#: src/ephy-window.c:3736
 msgid "Never Save"
 msgstr "Non gardar nunca"
 
-#: src/ephy-window.c:3727
+#: src/ephy-window.c:3737
 msgid "Save"
 msgstr "Gardar"
 
-#: src/ephy-window.c:4558
+#: src/ephy-window.c:4570
 msgid "Close Multiple Tabs?"
 msgstr "Desexa pechar varias lapelas?"
 
-#: src/ephy-window.c:4559
+#: src/ephy-window.c:4571
 msgid "If this window is closed, all open tabs will be lost"
 msgstr "Se pecha esta xanela, perderanse todas as lapelas abertas"
 
-#: src/ephy-window.c:4560
+#: src/ephy-window.c:4572
 msgid "C_lose Tabs"
 msgstr "P_echar lapelas"
 
-#: src/ephy-window.c:4653
+#: src/ephy-window.c:4665
 msgid "New tab opened"
 msgstr "Lapela nova aberta"
 
-#: src/ephy-window.c:4657
+#: src/ephy-window.c:4669
 msgid "Switch"
 msgstr "Cambiar"
 
@@ -4335,52 +4339,52 @@ msgstr "Fran Diéguez <frandieguez@gnome
 msgid "Reload Website?"
 msgstr "Desexa recargar o sitio web?"
 
-#: src/window-commands.c:1824
+#: src/window-commands.c:1829
 #, c-format
 msgid "The application “%s” is ready to be used"
 msgstr "A aplicación «%s» está lista para usarse"
 
-#: src/window-commands.c:1827
+#: src/window-commands.c:1832
 #, c-format
 msgid "The application “%s” could not be created: %s"
 msgstr "Non foi posíbel crear a aplicación «%s»: %s"
 
 #. Translators: Desktop notification when a new web app is created.
-#: src/window-commands.c:1837
+#: src/window-commands.c:1842
 msgid "Launch"
 msgstr "Iniciar"
 
-#: src/window-commands.c:1903
+#: src/window-commands.c:1908
 msgid "Replace Existing Web App?"
 msgstr "Desexa substituír a aplicación web existente?"
 
-#: src/window-commands.c:1907
+#: src/window-commands.c:1912
 #, c-format
 msgid ""
 "An application named “%s” already exists, replacing it will overwrite it"
 msgstr "Xa existe unha aplicación co nome «%s», ao substituíla sobrescribirase"
 
-#: src/window-commands.c:1912
+#: src/window-commands.c:1917
 msgid "_Replace"
 msgstr "_Substituír"
 
-#: src/window-commands.c:2260
+#: src/window-commands.c:2280
 msgid "HTML"
 msgstr "HTML"
 
-#: src/window-commands.c:2264
+#: src/window-commands.c:2284
 msgid "MHTML"
 msgstr "MHTML"
 
-#: src/window-commands.c:2310
+#: src/window-commands.c:2330
 msgid "PNG"
 msgstr "PNG"
 
-#: src/window-commands.c:2809
+#: src/window-commands.c:2813
 msgid "Enable Caret Browsing Mode?"
 msgstr "Desexa activar o modo de navegación co cursor?"
 
-#: src/window-commands.c:2810
+#: src/window-commands.c:2814
 msgid ""
 "Pressing F7 turns caret browsing on or off. This feature places a moveable "
 "cursor in web pages, allowing you to move around with your keyboard. Do you "
@@ -4391,7 +4395,7 @@ msgstr ""
 "web, permitíndolle moverse co seu teclado. Quere activar o modo de "
 "navegación con cursor?"
 
-#: src/window-commands.c:2815
+#: src/window-commands.c:2819
 msgid "_Enable"
 msgstr "_Activar"
 
diff -pruN 46.1-1/po/kab.po 46.2-1/po/kab.po
--- 46.1-1/po/kab.po	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/po/kab.po	2024-06-29 14:24:47.000000000 +0000
@@ -8,21 +8,21 @@ msgid ""
 msgstr ""
 "Project-Id-Version: epiphany master\n"
 "Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/epiphany/issues/\n"
-"POT-Creation-Date: 2024-03-26 14:02+0000\n"
-"PO-Revision-Date: 2024-03-27 18:23+0100\n"
-"Last-Translator: ButterflyOfFire <ButterflyOfFire@protonmail.com>\n"
+"POT-Creation-Date: 2024-06-01 14:48+0000\n"
+"PO-Revision-Date: 2024-06-05 14:47+0200\n"
+"Last-Translator: sa\n"
 "Language-Team: Kabyle <>\n"
 "Language: kab\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=n>1\n"
+"Plural-Forms: nplurals=2; plural=n>1;\n"
 "X-DL-Team: kab\n"
 "X-DL-Module: epiphany\n"
 "X-DL-Branch: master\n"
 "X-DL-Domain: po\n"
 "X-DL-State: Translating\n"
-"X-Generator: Gtranslator 41.0\n"
+"X-Generator: Poedit 3.4.4\n"
 
 #: data/org.gnome.Epiphany.appdata.xml.in.in:6
 #: data/org.gnome.Epiphany.desktop.in.in:3 embed/ephy-about-handler.c:205
@@ -34,7 +34,7 @@ msgstr "Web"
 #: data/org.gnome.Epiphany.appdata.xml.in.in:7
 #: data/org.gnome.Epiphany.desktop.in.in:5
 msgid "Browse the web"
-msgstr ""
+msgstr "Snirem Web"
 
 #: data/org.gnome.Epiphany.appdata.xml.in.in:9
 msgid ""
@@ -68,7 +68,7 @@ msgstr "Asfaylu amaynut"
 
 #: data/org.gnome.Epiphany.desktop.in.in:25
 msgid "New Incognito Window"
-msgstr ""
+msgstr "Asfaylu amaynut n tunigin tusligt"
 
 #: data/org.gnome.epiphany.gschema.xml:13
 msgid "Browse with caret"
@@ -345,9 +345,9 @@ msgid ""
 msgstr ""
 
 #: data/org.gnome.epiphany.gschema.xml:190
-#: src/resources/gtk/prefs-general-page.ui:221
+#: src/resources/gtk/prefs-general-page.ui:215
 msgid "Languages"
-msgstr ""
+msgstr "Tutlayin"
 
 #: data/org.gnome.epiphany.gschema.xml:191
 msgid ""
@@ -446,34 +446,26 @@ msgid ""
 msgstr ""
 
 #: data/org.gnome.epiphany.gschema.xml:244
-msgid "Enable navigation gestures"
-msgstr ""
-
-#: data/org.gnome.epiphany.gschema.xml:245
-msgid "Whether to enable back and forward navigation gestures."
-msgstr ""
-
-#: data/org.gnome.epiphany.gschema.xml:249
 msgid "Last upload directory"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:250
+#: data/org.gnome.epiphany.gschema.xml:245
 msgid "Keep track of last upload directory"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:254
+#: data/org.gnome.epiphany.gschema.xml:249
 msgid "Last download directory"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:255
+#: data/org.gnome.epiphany.gschema.xml:250
 msgid "Keep track of last download directory"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:259
+#: data/org.gnome.epiphany.gschema.xml:254
 msgid "Hardware acceleration policy"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:260
+#: data/org.gnome.epiphany.gschema.xml:255
 msgid ""
 "Whether to enable hardware acceleration. Possible values are “always” and "
 "“never”. Hardware acceleration may be required to achieve acceptable "
@@ -481,295 +473,295 @@ msgid ""
 "could expose severe hardware-specific graphics driver bugs."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:264
+#: data/org.gnome.epiphany.gschema.xml:259
 msgid "Always ask for download directory"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:265
+#: data/org.gnome.epiphany.gschema.xml:260
 msgid "Whether to present a directory chooser dialog for every download."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:269
+#: data/org.gnome.epiphany.gschema.xml:264
 msgid "Enable immediately switch to new open tab"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:270
+#: data/org.gnome.epiphany.gschema.xml:265
 msgid "Whether to automatically switch to a new open tab."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:274
+#: data/org.gnome.epiphany.gschema.xml:269
 msgid "Enable WebExtensions"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:275
+#: data/org.gnome.epiphany.gschema.xml:270
 msgid ""
 "Whether to enable WebExtensions. WebExtensions is a cross-browser system for "
 "extensions."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:279
+#: data/org.gnome.epiphany.gschema.xml:274
 msgid "Active WebExtensions"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:280
+#: data/org.gnome.epiphany.gschema.xml:275
 msgid "Indicates which WebExtensions are set to active."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:284
+#: data/org.gnome.epiphany.gschema.xml:279
 msgid "Show developer actions"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:285
+#: data/org.gnome.epiphany.gschema.xml:280
 msgid ""
 "Whether to show developer context menu actions. This allows use of the Page "
 "Source and Inspect Element actions."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:291
+#: data/org.gnome.epiphany.gschema.xml:286
 msgid "Web application additional URLs"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:292
+#: data/org.gnome.epiphany.gschema.xml:287
 msgid "The list of URLs that should be opened by the web application"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:296
+#: data/org.gnome.epiphany.gschema.xml:291
 msgid "Show navigation buttons in WebApp"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:297
+#: data/org.gnome.epiphany.gschema.xml:292
 msgid "Whether to show buttons for navigation in WebApp."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:301
+#: data/org.gnome.epiphany.gschema.xml:296
 msgid "Run in background"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:302
+#: data/org.gnome.epiphany.gschema.xml:297
 msgid ""
 "If enabled, application continues running in the background after closing "
 "the window."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:306
+#: data/org.gnome.epiphany.gschema.xml:301
 msgid "WebApp is system-wide"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:307
+#: data/org.gnome.epiphany.gschema.xml:302
 msgid "If enabled, application cannot be edited or removed."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:313
+#: data/org.gnome.epiphany.gschema.xml:308
 msgid "The downloads folder"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:314
+#: data/org.gnome.epiphany.gschema.xml:309
 msgid ""
 "The path of the folder where to download files to; or “Downloads” to use the "
 "default downloads folder, or “Desktop” to use the desktop folder."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:321
+#: data/org.gnome.epiphany.gschema.xml:316
 msgid "Window position"
 msgstr "Adeg n usfaylu"
 
-#: data/org.gnome.epiphany.gschema.xml:322
+#: data/org.gnome.epiphany.gschema.xml:317
 msgid ""
 "The position to use for a new window that is not restored from a previous "
 "session."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:326
+#: data/org.gnome.epiphany.gschema.xml:321
 msgid "Window size"
 msgstr "Teɣzi n usfaylu"
 
-#: data/org.gnome.epiphany.gschema.xml:327
+#: data/org.gnome.epiphany.gschema.xml:322
 msgid ""
 "The size to use for a new window that is not restored from a previous "
 "session."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:331
+#: data/org.gnome.epiphany.gschema.xml:326
 msgid "Is maximized"
-msgstr ""
+msgstr "Yettwasemɣer"
 
-#: data/org.gnome.epiphany.gschema.xml:332
+#: data/org.gnome.epiphany.gschema.xml:327
 msgid ""
 "Whether a new window that is not restored from a previous session should be "
 "initially maximized."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:347
+#: data/org.gnome.epiphany.gschema.xml:342
 msgid "Disable forward and back buttons"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:348
+#: data/org.gnome.epiphany.gschema.xml:343
 msgid ""
 "If set to “true”, forward and back buttons are disabled, preventing users "
 "from accessing immediate browser history"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:366
+#: data/org.gnome.epiphany.gschema.xml:361
 msgid "Firefox Sync Token Server URL"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:367
+#: data/org.gnome.epiphany.gschema.xml:362
 msgid "URL to a custom Firefox Sync token server."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:371
+#: data/org.gnome.epiphany.gschema.xml:366
 msgid "Firefox Sync Accounts Server URL"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:372
+#: data/org.gnome.epiphany.gschema.xml:367
 msgid "URL to a custom Firefox Sync accounts server."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:376
+#: data/org.gnome.epiphany.gschema.xml:371
 msgid "Currently signed in sync user"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:377
+#: data/org.gnome.epiphany.gschema.xml:372
 msgid ""
 "The email linked to the Mozilla account used to sync data with Mozilla’s "
 "servers."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:381
+#: data/org.gnome.epiphany.gschema.xml:376
 msgid "Last sync timestamp"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:382
+#: data/org.gnome.epiphany.gschema.xml:377
 msgid "The UNIX time at which last sync was made in seconds."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:386
+#: data/org.gnome.epiphany.gschema.xml:381
 msgid "Sync device ID"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:387
+#: data/org.gnome.epiphany.gschema.xml:382
 msgid "The sync device ID of the current device."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:391
+#: data/org.gnome.epiphany.gschema.xml:386
 msgid "Sync device name"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:392
+#: data/org.gnome.epiphany.gschema.xml:387
 msgid "The sync device name of the current device."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:396
+#: data/org.gnome.epiphany.gschema.xml:391
 msgid "The sync frequency in minutes"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:397
+#: data/org.gnome.epiphany.gschema.xml:392
 msgid "The number of minutes between two consecutive syncs."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:401
+#: data/org.gnome.epiphany.gschema.xml:396
 msgid "Sync data with Firefox"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:402
+#: data/org.gnome.epiphany.gschema.xml:397
 msgid ""
 "TRUE if Ephy collections should be synced with Firefox collections, FALSE "
 "otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:406
+#: data/org.gnome.epiphany.gschema.xml:401
 msgid "Enable bookmarks sync"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:407
+#: data/org.gnome.epiphany.gschema.xml:402
 msgid "TRUE if bookmarks collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:411
+#: data/org.gnome.epiphany.gschema.xml:406
 msgid "Bookmarks sync timestamp"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:412
+#: data/org.gnome.epiphany.gschema.xml:407
 msgid "The timestamp at which last bookmarks sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:416
-#: data/org.gnome.epiphany.gschema.xml:431
-#: data/org.gnome.epiphany.gschema.xml:446
+#: data/org.gnome.epiphany.gschema.xml:411
+#: data/org.gnome.epiphany.gschema.xml:426
+#: data/org.gnome.epiphany.gschema.xml:441
 msgid "Initial sync or normal sync"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:417
+#: data/org.gnome.epiphany.gschema.xml:412
 msgid ""
 "TRUE if bookmarks collection needs to be synced for the first time, FALSE "
 "otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:421
+#: data/org.gnome.epiphany.gschema.xml:416
 msgid "Enable passwords sync"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:422
+#: data/org.gnome.epiphany.gschema.xml:417
 msgid "TRUE if passwords collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:426
+#: data/org.gnome.epiphany.gschema.xml:421
 msgid "Passwords sync timestamp"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:427
+#: data/org.gnome.epiphany.gschema.xml:422
 msgid "The timestamp at which last passwords sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:432
+#: data/org.gnome.epiphany.gschema.xml:427
 msgid ""
 "TRUE if passwords collection needs to be synced for the first time, FALSE "
 "otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:436
+#: data/org.gnome.epiphany.gschema.xml:431
 msgid "Enable history sync"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:437
+#: data/org.gnome.epiphany.gschema.xml:432
 msgid "TRUE if history collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:441
+#: data/org.gnome.epiphany.gschema.xml:436
 msgid "History sync timestamp"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:442
+#: data/org.gnome.epiphany.gschema.xml:437
 msgid "The timestamp at which last history sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:447
+#: data/org.gnome.epiphany.gschema.xml:442
 msgid ""
 "TRUE if history collection needs to be synced for the first time, FALSE "
 "otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:451
+#: data/org.gnome.epiphany.gschema.xml:446
 msgid "Enable open tabs sync"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:452
+#: data/org.gnome.epiphany.gschema.xml:447
 msgid "TRUE if open tabs collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:456
+#: data/org.gnome.epiphany.gschema.xml:451
 msgid "Open tabs sync timestamp"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:457
+#: data/org.gnome.epiphany.gschema.xml:452
 msgid "The timestamp at which last open tabs sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:468
+#: data/org.gnome.epiphany.gschema.xml:463
 msgid "Decision to apply when microphone permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:469
+#: data/org.gnome.epiphany.gschema.xml:464
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to access the user’s microphone. The “undecided” default means the browser "
@@ -777,12 +769,12 @@ msgid ""
 "automatically make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:473
+#: data/org.gnome.epiphany.gschema.xml:468
 msgid ""
 "Decision to apply when geolocation permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:474
+#: data/org.gnome.epiphany.gschema.xml:469
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to access the user’s location. The “undecided” default means the browser "
@@ -790,12 +782,12 @@ msgid ""
 "automatically make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:478
+#: data/org.gnome.epiphany.gschema.xml:473
 msgid ""
 "Decision to apply when notification permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:479
+#: data/org.gnome.epiphany.gschema.xml:474
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to show notifications. The “undecided” default means the browser needs to "
@@ -803,12 +795,12 @@ msgid ""
 "automatically make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:483
+#: data/org.gnome.epiphany.gschema.xml:478
 msgid ""
 "Decision to apply when save password permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:484
+#: data/org.gnome.epiphany.gschema.xml:479
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to save passwords. The “undecided” default means the browser needs to ask "
@@ -816,11 +808,11 @@ msgid ""
 "make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:488
+#: data/org.gnome.epiphany.gschema.xml:483
 msgid "Decision to apply when webcam permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:489
+#: data/org.gnome.epiphany.gschema.xml:484
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to access the user’s webcam. The “undecided” default means the browser needs "
@@ -828,12 +820,12 @@ msgid ""
 "automatically make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:493
+#: data/org.gnome.epiphany.gschema.xml:488
 msgid ""
 "Decision to apply when advertisement permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:494
+#: data/org.gnome.epiphany.gschema.xml:489
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to allow advertisements. The “undecided” default means the browser global "
@@ -841,11 +833,11 @@ msgid ""
 "decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:498
+#: data/org.gnome.epiphany.gschema.xml:493
 msgid "Decision to apply when an autoplay policy is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:499
+#: data/org.gnome.epiphany.gschema.xml:494
 msgid ""
 "This option is used to save whether a given host has been given permission "
 "to autoplay. The “undecided” default means to allow autoplay of muted media, "
@@ -891,7 +883,7 @@ msgstr "Kkes"
 #. Note for translators: this refers to the installation date.
 #: embed/ephy-about-handler.c:326
 msgid "Installed on:"
-msgstr "Yettwasbedd deg"
+msgstr "Yettwasbedd deg:"
 
 #: embed/ephy-about-handler.c:365
 msgid ""
@@ -953,8 +945,8 @@ msgstr ""
 #: src/resources/gtk/history-dialog.ui:41
 #: src/resources/gtk/prefs-lang-dialog.ui:17 src/window-commands.c:331
 #: src/window-commands.c:577 src/window-commands.c:831
-#: src/window-commands.c:1243 src/window-commands.c:1918
-#: src/window-commands.c:2806
+#: src/window-commands.c:1243 src/window-commands.c:1916
+#: src/window-commands.c:2818
 msgid "_Cancel"
 msgstr "Sefsex (_C)"
 
@@ -983,7 +975,7 @@ msgstr ""
 msgid "_Select"
 msgstr "Fren (_S)"
 
-#: embed/ephy-download.c:708 src/preferences/prefs-general-page.c:557
+#: embed/ephy-download.c:708 src/preferences/prefs-general-page.c:556
 msgid "Select a Directory"
 msgstr "Fren akaram"
 
@@ -1409,11 +1401,11 @@ msgstr ""
 
 #: embed/ephy-find-toolbar.c:241
 msgid "Find previous occurrence of the search string"
-msgstr ""
+msgstr "Af timeḍriwt yezrin n uzegrir n unadi"
 
 #: embed/ephy-find-toolbar.c:248
 msgid "Find next occurrence of the search string"
-msgstr ""
+msgstr "Af timeḍrict i d-iteddun n uzegrir n unadi"
 
 #: embed/ephy-reader-handler.c:309
 #, c-format
@@ -1569,14 +1561,14 @@ msgstr ""
 #: embed/ephy-web-view.c:1744 embed/ephy-web-view.c:1780
 #: src/ephy-action-bar-start.c:36 src/resources/gtk/page-menu-popover.ui:170
 msgid "Reload"
-msgstr ""
+msgstr "Smiren"
 
 #. Mnemonic for the Reload button on browser error pages.
 #: embed/ephy-web-view.c:1659 embed/ephy-web-view.c:1712
 #: embed/ephy-web-view.c:1748 embed/ephy-web-view.c:1784
 msgctxt "reload-access-key"
 msgid "R"
-msgstr ""
+msgstr "R"
 
 #. Message title when a site cannot be loaded due to a page crash error.
 #: embed/ephy-web-view.c:1687
@@ -1661,7 +1653,7 @@ msgstr "Uɣal ɣer deffir"
 #: embed/ephy-web-view.c:1832 embed/ephy-web-view.c:1882
 msgctxt "back-access-key"
 msgid "B"
-msgstr ""
+msgstr "B"
 
 #. The hidden button on the invalid TLS certificate error page. Do not add mnemonics here.
 #: embed/ephy-web-view.c:1835
@@ -1703,7 +1695,7 @@ msgstr ""
 
 #: lib/contrib/gnome-languages.c:719
 msgid "Unspecified"
-msgstr ""
+msgstr "Ur yettewafren ara"
 
 #: lib/ephy-file-dialog-utils.c:68
 msgid "Web pages"
@@ -1844,7 +1836,7 @@ msgstr ""
 #: lib/ephy-web-app-utils.c:394
 #, c-format
 msgid "Failed to create directory %s"
-msgstr ""
+msgstr "D awezɣi asnulfu n ukaram %s"
 
 #: lib/ephy-web-app-utils.c:406
 #, c-format
@@ -1877,92 +1869,85 @@ msgstr ""
 msgid "Password in a form in %s"
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:979
+#: lib/sync/ephy-sync-service.c:932
+msgid "Response body is empty, do you need to install glib-networking?"
+msgstr ""
+
+#: lib/sync/ephy-sync-service.c:990
 msgid "Failed to obtain storage credentials."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:980 lib/sync/ephy-sync-service.c:1126
-#: lib/sync/ephy-sync-service.c:1890
+#: lib/sync/ephy-sync-service.c:991 lib/sync/ephy-sync-service.c:1137
+#: lib/sync/ephy-sync-service.c:1901
 msgid "Please visit Firefox Sync and sign in again to continue syncing."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1116
+#: lib/sync/ephy-sync-service.c:1127
 msgid "The password of your Mozilla account seems to have been changed."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1117
+#: lib/sync/ephy-sync-service.c:1128
 msgid ""
 "Please visit Firefox Sync and sign in with the new password to continue "
 "syncing."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1125
+#: lib/sync/ephy-sync-service.c:1136
 msgid "Failed to obtain signed certificate."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1915
-#, c-format
-msgid "The sync secrets for the current sync user are invalid: %s"
+#: lib/sync/ephy-sync-service.c:1926 lib/sync/ephy-sync-service.c:1933
+msgid "The sync secrets for the current sync user are invalid."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1922
-#, c-format
-msgid "The sync secrets for the current sync user are not valid JSON: %s"
-msgstr ""
-
-#: lib/sync/ephy-sync-service.c:1949
-#, c-format
-msgid "Could not find the sync secrets for the current sync user: %s"
-msgstr ""
-
-#: lib/sync/ephy-sync-service.c:1955
+#: lib/sync/ephy-sync-service.c:1959 lib/sync/ephy-sync-service.c:1964
 msgid "Could not find the sync secrets for the current sync user."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1999
+#: lib/sync/ephy-sync-service.c:2007
 msgid ""
 "Failed to store sync secrets (is the secret service or secrets portal "
 "broken?): "
 msgstr ""
 
 #. Translators: %s is the email of the user.
-#: lib/sync/ephy-sync-service.c:2041
+#: lib/sync/ephy-sync-service.c:2049
 #, c-format
 msgid "The sync secrets of %s"
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2071
+#: lib/sync/ephy-sync-service.c:2079
 msgid "Failed to upload client record."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2274
+#: lib/sync/ephy-sync-service.c:2282
 msgid "Failed to upload crypto/keys record."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2386
+#: lib/sync/ephy-sync-service.c:2394
 msgid "Failed to retrieve crypto keys."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2440
+#: lib/sync/ephy-sync-service.c:2448
 msgid "Failed to upload meta/global record."
 msgstr ""
 
 #. Translators: the %d is the storage version, the \n is a newline character.
-#: lib/sync/ephy-sync-service.c:2562
+#: lib/sync/ephy-sync-service.c:2570
 #, c-format
 msgid ""
 "Your Mozilla account uses storage version %d. Web only supports version %d."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2573
+#: lib/sync/ephy-sync-service.c:2581
 msgid "Failed to verify storage version."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2631
+#: lib/sync/ephy-sync-service.c:2639
 msgid "Failed to upload device info"
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2707 lib/sync/ephy-sync-service.c:2790
+#: lib/sync/ephy-sync-service.c:2715 lib/sync/ephy-sync-service.c:2798
 msgid "Failed to retrieve the Sync Key"
 msgstr ""
 
@@ -2013,7 +1998,7 @@ msgstr ""
 
 #: src/bookmarks/ephy-bookmarks-manager.h:34
 msgid "Favorites"
-msgstr ""
+msgstr "Imenyafen"
 
 #: src/bookmarks/ephy-bookmarks-manager.h:35
 msgid "Mobile"
@@ -2021,23 +2006,23 @@ msgstr "Aziraz"
 
 #: src/context-menu-commands.c:294
 msgid "Save Link As"
-msgstr ""
+msgstr "Sekles aseɣwen d"
 
 #: src/context-menu-commands.c:302
 msgid "Save Image As"
-msgstr "Sekles tugna am…"
+msgstr "Sekles tugna am"
 
 #: src/context-menu-commands.c:310
 msgid "Save Media As"
 msgstr ""
 
 #. Translators: tooltip for the empty bookmark button
-#: src/ephy-action-bar-end.c:395 src/ephy-location-entry.c:1788
+#: src/ephy-action-bar-end.c:395 src/ephy-location-entry.c:1761
 msgid "Bookmark Page"
-msgstr ""
+msgstr "Creḍ asebter"
 
 #. Translators: tooltip for the bookmarked button
-#: src/ephy-action-bar-end.c:403 src/ephy-location-entry.c:1796
+#: src/ephy-action-bar-end.c:403 src/ephy-location-entry.c:1769
 msgid "Edit Bookmark"
 msgstr "Ẓreg ticreḍt"
 
@@ -2079,7 +2064,7 @@ msgstr ""
 
 #: src/ephy-certificate-dialog.c:330
 msgid "The identity of this website has not been verified."
-msgstr ""
+msgstr "Timagit n usmel-a web ur tettwasenqed ara."
 
 #. Message on certificate dialog
 #: src/ephy-certificate-dialog.c:342
@@ -2176,8 +2161,8 @@ msgstr ""
 #, c-format
 msgid "%u min"
 msgid_plural "%u mins"
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "%u tsd"
+msgstr[1] "%u tsdn"
 
 #. Translators: tooltip for the refresh button
 #: src/ephy-header-bar.c:52
@@ -2214,7 +2199,7 @@ msgid ""
 "deleted."
 msgstr ""
 
-#: src/ephy-history-dialog.c:573 src/resources/gtk/location-entry.ui:309
+#: src/ephy-history-dialog.c:573 src/resources/gtk/location-entry.ui:296
 msgid "Cl_ear"
 msgstr ""
 
@@ -2223,27 +2208,27 @@ msgid "Remove all history"
 msgstr ""
 
 #. Translators: Notification policy for a specific site.
-#: src/ephy-location-entry.c:1832 src/ephy-permission-popover.c:271
+#: src/ephy-location-entry.c:1805 src/ephy-permission-popover.c:271
 msgid "Notification Request"
 msgstr ""
 
-#: src/ephy-location-entry.c:1836
+#: src/ephy-location-entry.c:1809
 msgid "Camera Request"
 msgstr ""
 
-#: src/ephy-location-entry.c:1840
+#: src/ephy-location-entry.c:1813
 msgid "Microphone Request"
 msgstr ""
 
-#: src/ephy-location-entry.c:1844
+#: src/ephy-location-entry.c:1817
 msgid "Location Request"
 msgstr ""
 
-#: src/ephy-location-entry.c:1848
+#: src/ephy-location-entry.c:1821
 msgid "Webcam and Microphone Request"
 msgstr ""
 
-#: src/ephy-location-entry.c:1852
+#: src/ephy-location-entry.c:1825
 msgid "Permission Request"
 msgstr ""
 
@@ -2281,7 +2266,7 @@ msgstr ""
 
 #: src/ephy-main.c:125
 msgid "DIR"
-msgstr ""
+msgstr "DIR"
 
 #: src/ephy-main.c:127
 msgid "URL …"
@@ -2444,12 +2429,12 @@ msgid "Without Sound"
 msgstr ""
 
 #. Translators: tooltip for the new tab button
-#: src/ephy-tab-view.c:650
+#: src/ephy-tab-view.c:647
 msgid "Open a new tab"
-msgstr ""
+msgstr "Ldi iccer amaynut"
 
 #. Undo, redo.
-#: src/ephy-window.c:950 src/resources/gtk/location-entry.ui:277
+#: src/ephy-window.c:950 src/resources/gtk/location-entry.ui:264
 msgid "_Undo"
 msgstr "Err-d (_U)"
 
@@ -2458,15 +2443,15 @@ msgid "Re_do"
 msgstr ""
 
 #. Edit.
-#: src/ephy-window.c:954 src/resources/gtk/location-entry.ui:287
+#: src/ephy-window.c:954 src/resources/gtk/location-entry.ui:274
 msgid "Cu_t"
 msgstr "Gzem (_T)"
 
-#: src/ephy-window.c:955 src/resources/gtk/location-entry.ui:291
+#: src/ephy-window.c:955 src/resources/gtk/location-entry.ui:278
 msgid "_Copy"
 msgstr "Nɣel (_C)"
 
-#: src/ephy-window.c:956 src/resources/gtk/location-entry.ui:295
+#: src/ephy-window.c:956 src/resources/gtk/location-entry.ui:282
 msgid "_Paste"
 msgstr "Senteḍ (_P)"
 
@@ -2474,7 +2459,7 @@ msgstr "Senteḍ (_P)"
 msgid "_Paste Text Only"
 msgstr ""
 
-#: src/ephy-window.c:958 src/resources/gtk/location-entry.ui:313
+#: src/ephy-window.c:958 src/resources/gtk/location-entry.ui:300
 msgid "Select _All"
 msgstr "Fren-iten a_kk"
 
@@ -2484,15 +2469,15 @@ msgstr ""
 
 #: src/ephy-window.c:962
 msgid "_Reload"
-msgstr ""
+msgstr "Ales aεebbi (R)"
 
 #: src/ephy-window.c:963
 msgid "_Back"
-msgstr ""
+msgstr "_Ɣer deffir"
 
 #: src/ephy-window.c:964
 msgid "_Forward"
-msgstr ""
+msgstr "Ɣer s_dat"
 
 #. Bookmarks
 #: src/ephy-window.c:967
@@ -2502,7 +2487,7 @@ msgstr ""
 #. Links.
 #: src/ephy-window.c:971
 msgid "Open Link in New _Window"
-msgstr ""
+msgstr "Ldi aseɣwen deg _Usfaylu amaynut"
 
 #: src/ephy-window.c:972
 msgid "Open Link in New _Tab"
@@ -2518,7 +2503,7 @@ msgstr ""
 
 #: src/ephy-window.c:975
 msgid "_Copy Link Address"
-msgstr ""
+msgstr "Nɣel tansa n useɣwen (_C)"
 
 #: src/ephy-window.c:976
 msgid "_Copy E-mail Address"
@@ -2535,7 +2520,7 @@ msgstr ""
 
 #: src/ephy-window.c:982
 msgid "_Save Image As…"
-msgstr ""
+msgstr "_Sekles tugna am…"
 
 #: src/ephy-window.c:983
 msgid "Set as _Wallpaper"
@@ -2552,7 +2537,7 @@ msgstr ""
 
 #: src/ephy-window.c:989
 msgid "_Save Video As…"
-msgstr ""
+msgstr "Sekles tavidyut am…"
 
 #: src/ephy-window.c:990
 msgid "_Copy Video Address"
@@ -2594,7 +2579,7 @@ msgstr ""
 
 #: src/ephy-window.c:1411
 msgid "Open Link"
-msgstr ""
+msgstr "Ldi aseɣwen"
 
 #: src/ephy-window.c:1413
 msgid "Open Link In New Tab"
@@ -2608,114 +2593,114 @@ msgstr ""
 msgid "Open Link In Incognito Window"
 msgstr ""
 
-#: src/ephy-window.c:2797
+#: src/ephy-window.c:2800
 msgid "_Ask Later"
 msgstr ""
 
-#: src/ephy-window.c:2798 src/resources/gtk/permission-popover.ui:51
+#: src/ephy-window.c:2801 src/resources/gtk/permission-popover.ui:51
 msgid "_Deny"
 msgstr ""
 
-#: src/ephy-window.c:2799 src/resources/gtk/permission-popover.ui:66
+#: src/ephy-window.c:2802 src/resources/gtk/permission-popover.ui:66
 msgid "_Allow"
 msgstr ""
 
-#: src/ephy-window.c:3001 src/ephy-window.c:4432
+#: src/ephy-window.c:3004 src/ephy-window.c:4439
 msgid "Leave Website?"
 msgstr ""
 
-#: src/ephy-window.c:3002 src/ephy-window.c:4433 src/window-commands.c:1240
+#: src/ephy-window.c:3005 src/ephy-window.c:4440 src/window-commands.c:1240
 msgid "A form was modified and has not been submitted"
 msgstr ""
 
-#: src/ephy-window.c:3003 src/ephy-window.c:4434 src/window-commands.c:1244
+#: src/ephy-window.c:3006 src/ephy-window.c:4441 src/window-commands.c:1244
 msgid "_Discard Form"
 msgstr ""
 
-#: src/ephy-window.c:3024
+#: src/ephy-window.c:3027
 msgid "Download operation"
 msgstr ""
 
-#: src/ephy-window.c:3026
+#: src/ephy-window.c:3029
 msgid "Show details"
 msgstr "Sken-d talqayt"
 
-#: src/ephy-window.c:3028
+#: src/ephy-window.c:3031
 #, c-format
 msgid "%d download operation active"
 msgid_plural "%d download operations active"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/ephy-window.c:3269
+#: src/ephy-window.c:3272
 msgid "Set as Default Browser?"
 msgstr ""
 
-#: src/ephy-window.c:3271
+#: src/ephy-window.c:3274
 msgid "Use Web as your default web browser and for opening external links"
 msgstr ""
 
-#: src/ephy-window.c:3273
+#: src/ephy-window.c:3276
 msgid ""
 "Use Epiphany Technology Preview as your default web browser and for opening "
 "external links"
 msgstr ""
 
-#: src/ephy-window.c:3277
+#: src/ephy-window.c:3280
 msgid "_Ask Again Later"
 msgstr "Steqsi-iyi-d ticki (_A)"
 
-#: src/ephy-window.c:3278
+#: src/ephy-window.c:3281
 msgid "_No"
 msgstr "Uhu (_N)"
 
-#: src/ephy-window.c:3279
+#: src/ephy-window.c:3282
 msgid "_Yes"
 msgstr "Ih (_Y)"
 
-#: src/ephy-window.c:3725
+#: src/ephy-window.c:3732
 msgid "Save password?"
-msgstr ""
+msgstr "Sekles awal uffir?"
 
-#: src/ephy-window.c:3726
+#: src/ephy-window.c:3733
 msgid "Passwords can be removed at any time in Preferences"
 msgstr ""
 
-#: src/ephy-window.c:3728
+#: src/ephy-window.c:3735
 msgid "Not Now"
 msgstr "Mačči tura"
 
-#: src/ephy-window.c:3729
+#: src/ephy-window.c:3736
 msgid "Never Save"
 msgstr ""
 
-#: src/ephy-window.c:3730
+#: src/ephy-window.c:3737
 msgid "Save"
 msgstr "Sekles"
 
-#: src/ephy-window.c:4563
+#: src/ephy-window.c:4570
 msgid "Close Multiple Tabs?"
 msgstr ""
 
-#: src/ephy-window.c:4564
+#: src/ephy-window.c:4571
 msgid "If this window is closed, all open tabs will be lost"
 msgstr ""
 
-#: src/ephy-window.c:4565
+#: src/ephy-window.c:4572
 msgid "C_lose Tabs"
 msgstr "Mde_l iccaren"
 
-#: src/ephy-window.c:4658
+#: src/ephy-window.c:4665
 msgid "New tab opened"
 msgstr ""
 
-#: src/ephy-window.c:4662
+#: src/ephy-window.c:4669
 msgid "Switch"
 msgstr ""
 
 #: src/preferences/clear-data-view.c:68
 msgid "Cookies"
-msgstr ""
+msgstr "Inagan n tuqqna"
 
 #: src/preferences/clear-data-view.c:69
 msgid "HTTP disk cache"
@@ -2819,7 +2804,7 @@ msgid "This will clear all locally store
 msgstr ""
 
 #: src/preferences/passwords-view.c:184 src/resources/gtk/history-dialog.ui:154
-#: src/resources/gtk/location-entry.ui:303
+#: src/resources/gtk/location-entry.ui:290
 msgid "_Delete"
 msgstr "Kkes (_D)"
 
@@ -2833,7 +2818,7 @@ msgstr "Isem n useqdac"
 
 #: src/preferences/passwords-view.c:256
 msgid "Copy username"
-msgstr "Nɣel isem n useqdac:"
+msgstr "Nɣel isem n useqdac"
 
 #: src/preferences/passwords-view.c:263
 msgid "Password"
@@ -2864,21 +2849,21 @@ msgstr "Ubrik"
 msgid "Open File (manifest.json/xpi)"
 msgstr ""
 
-#: src/preferences/prefs-general-page.c:204
+#: src/preferences/prefs-general-page.c:203
 msgid "Add Language"
-msgstr ""
+msgstr "Rnu tutlayt"
 
-#: src/preferences/prefs-general-page.c:366
-#: src/preferences/prefs-general-page.c:522
+#: src/preferences/prefs-general-page.c:365
+#: src/preferences/prefs-general-page.c:521
 #, c-format
 msgid "System language (%s)"
 msgid_plural "System languages (%s)"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/preferences/prefs-general-page.c:731
+#: src/preferences/prefs-general-page.c:730
 msgid "Supported Image Files"
-msgstr ""
+msgstr "Ifuyla n tugna yettwasefraken"
 
 #: src/profile-migrator/ephy-profile-migrator.c:1810
 msgid "Executes only the n-th migration step"
@@ -2908,7 +2893,7 @@ msgstr "Isiɣzaf"
 
 #: src/resources/gtk/action-bar-end.ui:100
 msgid "View Open Tabs"
-msgstr ""
+msgstr "Sken accaren i yeldin"
 
 #. Translators: tooltip for the bookmarks popover button
 #: src/resources/gtk/action-bar-end.ui:118
@@ -3082,7 +3067,7 @@ msgstr ""
 
 #: src/resources/gtk/firefox-sync-dialog.ui:68
 msgid "Sync Options"
-msgstr ""
+msgstr "Tixtiṛiyin n umtawi"
 
 #: src/resources/gtk/firefox-sync-dialog.ui:71
 msgid "Sync _Bookmarks"
@@ -3106,14 +3091,14 @@ msgstr ""
 
 #: src/resources/gtk/firefox-sync-dialog.ui:104
 msgid "Frequency"
-msgstr ""
+msgstr "Asnagar"
 
 #: src/resources/gtk/firefox-sync-dialog.ui:113
 msgid "Device name"
-msgstr ""
+msgstr "Isem n yibenk"
 
 #: src/resources/gtk/firefox-sync-dialog.ui:126
-#: src/resources/gtk/password-popover.ui:94
+#: src/resources/gtk/password-popover.ui:79
 msgid "_Save"
 msgstr "_Sekles"
 
@@ -3163,18 +3148,14 @@ msgid "Reader Mode"
 msgstr ""
 
 #: src/resources/gtk/location-entry.ui:98
-msgid "Clear"
-msgstr ""
-
-#: src/resources/gtk/location-entry.ui:111
 msgid "View Available Passwords"
 msgstr ""
 
-#: src/resources/gtk/location-entry.ui:281
+#: src/resources/gtk/location-entry.ui:268
 msgid "_Redo"
-msgstr ""
+msgstr "E_rr-d"
 
-#: src/resources/gtk/location-entry.ui:299
+#: src/resources/gtk/location-entry.ui:286
 msgid "Paste and _Go"
 msgstr ""
 
@@ -3212,7 +3193,7 @@ msgstr ""
 
 #: src/resources/gtk/notebook-context-menu.ui:45
 msgid "Close _Other Tabs"
-msgstr ""
+msgstr "Mdel _Accaren niḍen"
 
 #: src/resources/gtk/notebook-context-menu.ui:49 src/window-commands.c:263
 msgid "_Close"
@@ -3329,10 +3310,6 @@ msgstr ""
 msgid "_Never Save"
 msgstr ""
 
-#: src/resources/gtk/password-popover.ui:79
-msgid "N_ot Now"
-msgstr ""
-
 #: src/resources/gtk/passwords-view.ui:25
 #: src/resources/gtk/prefs-privacy-page.ui:57
 msgid "Passwords"
@@ -3392,11 +3369,11 @@ msgstr ""
 
 #: src/resources/gtk/prefs-appearance-page.ui:77
 msgid "Color Scheme"
-msgstr ""
+msgstr "Azenziɣ n yini"
 
 #: src/resources/gtk/prefs-appearance-page.ui:94
 msgid "Style"
-msgstr ""
+msgstr "Aɣanib"
 
 #: src/resources/gtk/prefs-appearance-page.ui:97
 msgid "Use Custom Stylesheet"
@@ -3475,7 +3452,7 @@ msgstr ""
 
 #: src/resources/gtk/prefs-general-page.ui:102
 msgid "_Custom"
-msgstr ""
+msgstr "Sagen (_C)"
 
 #: src/resources/gtk/prefs-general-page.ui:126
 msgid "Ask o_n Download"
@@ -3487,7 +3464,7 @@ msgstr "Akaram n usider"
 
 #: src/resources/gtk/prefs-general-page.ui:173
 msgid "Search Engines"
-msgstr ""
+msgstr "Imseddayen n unadi"
 
 #: src/resources/gtk/prefs-general-page.ui:181
 msgid "Session"
@@ -3513,19 +3490,15 @@ msgstr ""
 msgid "S_witch Immediately to New Tabs"
 msgstr ""
 
-#: src/resources/gtk/prefs-general-page.ui:213
-msgid "Touch _Navigation Gestures"
-msgstr ""
-
-#: src/resources/gtk/prefs-general-page.ui:236
+#: src/resources/gtk/prefs-general-page.ui:230
 msgid "_Spell Checking"
 msgstr ""
 
-#: src/resources/gtk/prefs-general-page.ui:244
+#: src/resources/gtk/prefs-general-page.ui:238
 msgid "Developer"
 msgstr "Aneflay"
 
-#: src/resources/gtk/prefs-general-page.ui:247
+#: src/resources/gtk/prefs-general-page.ui:241
 msgid "Show D_eveloper Actions"
 msgstr ""
 
@@ -3535,7 +3508,7 @@ msgstr "Rnu tutlayt…"
 
 #: src/resources/gtk/prefs-lang-dialog.ui:45
 msgid "Choose a language:"
-msgstr "Fren tutlayt"
+msgstr "Fren tutlayt:"
 
 #: src/resources/gtk/prefs-privacy-page.ui:6
 msgid "Privacy"
@@ -3624,7 +3597,7 @@ msgstr "Asfaylu amaynut"
 #: src/resources/gtk/shortcuts-dialog.ui:22
 msgctxt "shortcut window"
 msgid "New Incognito Window"
-msgstr ""
+msgstr "Asfaylu amaynut n tunigin tusligt"
 
 #: src/resources/gtk/shortcuts-dialog.ui:28
 msgctxt "shortcut window"
@@ -3726,7 +3699,7 @@ msgstr "Mdel iccer amiran"
 #: src/resources/gtk/shortcuts-dialog.ui:156
 msgctxt "shortcut window"
 msgid "Reopen Closed Tab"
-msgstr ""
+msgstr "Ldi i tikkelt-nniḍen iccer imedlen"
 
 #: src/resources/gtk/shortcuts-dialog.ui:162
 msgctxt "shortcut window"
@@ -3756,7 +3729,7 @@ msgstr ""
 #: src/resources/gtk/shortcuts-dialog.ui:192
 msgctxt "shortcut window"
 msgid "View Open Tabs"
-msgstr ""
+msgstr "Sken accaren i yeldin"
 
 #: src/resources/gtk/shortcuts-dialog.ui:202
 msgctxt "shortcut window"
@@ -3786,12 +3759,12 @@ msgstr ""
 #: src/resources/gtk/shortcuts-dialog.ui:229
 msgctxt "shortcut window"
 msgid "Import Bookmarks"
-msgstr ""
+msgstr "Kter ticṛaḍ n isebtar"
 
 #: src/resources/gtk/shortcuts-dialog.ui:235
 msgctxt "shortcut window"
 msgid "Export Bookmarks"
-msgstr ""
+msgstr "Sifeḍ ticraḍ n yisebtar"
 
 #: src/resources/gtk/shortcuts-dialog.ui:241
 msgctxt "shortcut window"
@@ -3811,7 +3784,7 @@ msgstr ""
 #: src/resources/gtk/shortcuts-dialog.ui:264
 msgctxt "shortcut window"
 msgid "View"
-msgstr ""
+msgstr "Sken"
 
 #: src/resources/gtk/shortcuts-dialog.ui:267
 msgctxt "shortcut window"
@@ -3826,7 +3799,7 @@ msgstr "Semẓi"
 #: src/resources/gtk/shortcuts-dialog.ui:279
 msgctxt "shortcut window"
 msgid "Reset Zoom"
-msgstr ""
+msgstr "Wennez Zoom"
 
 #: src/resources/gtk/shortcuts-dialog.ui:285
 msgctxt "shortcut window"
@@ -3910,7 +3883,7 @@ msgstr ""
 
 #: src/resources/gtk/synced-tabs-dialog.ui:18
 msgid "Synced Tabs"
-msgstr ""
+msgstr "Iccaren yemtawin"
 
 #: src/resources/gtk/synced-tabs-dialog.ui:36
 msgid ""
@@ -4046,7 +4019,7 @@ msgstr "Fren afaylu"
 
 #: src/window-commands.c:564
 msgid "Import Bookmarks"
-msgstr ""
+msgstr "Kter ticṛaḍ n isebtar"
 
 #: src/window-commands.c:594 src/window-commands.c:848
 msgid "From:"
@@ -4075,64 +4048,64 @@ msgstr ""
 
 #: src/window-commands.c:1086
 msgid "translator-credits"
-msgstr ""
+msgstr "amsuqqel-isemdan"
 
 #: src/window-commands.c:1239
 msgid "Reload Website?"
 msgstr ""
 
-#: src/window-commands.c:1830
+#: src/window-commands.c:1829
 #, c-format
 msgid "The application “%s” is ready to be used"
 msgstr ""
 
-#: src/window-commands.c:1833
+#: src/window-commands.c:1832
 #, c-format
 msgid "The application “%s” could not be created: %s"
 msgstr ""
 
 #. Translators: Desktop notification when a new web app is created.
-#: src/window-commands.c:1843
+#: src/window-commands.c:1842
 msgid "Launch"
 msgstr "Sekker"
 
-#: src/window-commands.c:1910
+#: src/window-commands.c:1908
 msgid "Replace Existing Web App?"
 msgstr ""
 
-#: src/window-commands.c:1914
+#: src/window-commands.c:1912
 #, c-format
 msgid ""
 "An application named “%s” already exists, replacing it will overwrite it"
 msgstr ""
 
-#: src/window-commands.c:1919
+#: src/window-commands.c:1917
 msgid "_Replace"
 msgstr "Semselsi (_R)"
 
-#: src/window-commands.c:2268
+#: src/window-commands.c:2280
 msgid "HTML"
 msgstr "HTML"
 
-#: src/window-commands.c:2272
+#: src/window-commands.c:2284
 msgid "MHTML"
 msgstr "MHTML"
 
-#: src/window-commands.c:2318
+#: src/window-commands.c:2330
 msgid "PNG"
 msgstr "PNG"
 
-#: src/window-commands.c:2801
+#: src/window-commands.c:2813
 msgid "Enable Caret Browsing Mode?"
 msgstr ""
 
-#: src/window-commands.c:2802
+#: src/window-commands.c:2814
 msgid ""
 "Pressing F7 turns caret browsing on or off. This feature places a moveable "
 "cursor in web pages, allowing you to move around with your keyboard. Do you "
 "want to enable caret browsing?"
 msgstr ""
 
-#: src/window-commands.c:2807
+#: src/window-commands.c:2819
 msgid "_Enable"
 msgstr "Sermed (_E)"
diff -pruN 46.1-1/po/ne.po 46.2-1/po/ne.po
--- 46.1-1/po/ne.po	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/po/ne.po	2024-06-29 14:24:47.000000000 +0000
@@ -18,9 +18,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Gnome Nepali Translation Project\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/epiphany/issues\n"
-"POT-Creation-Date: 2022-02-24 20:04+0000\n"
-"PO-Revision-Date: 2022-05-04 13:22+0545\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/epiphany/issues/\n"
+"POT-Creation-Date: 2024-05-03 13:14+0000\n"
+"PO-Revision-Date: 2024-06-01 20:31+0545\n"
 "Last-Translator: Pawan Chitrakar <chautari@gmail.com>\n"
 "Language-Team: Nepali Translation Team <chautari@gmail.com>\n"
 "Language: ne\n"
@@ -28,34 +28,32 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Poedit 3.0.1\n"
+"X-Generator: Poedit 3.4.2\n"
 
-#: data/org.gnome.Epiphany.appdata.xml.in.in:6 data/org.gnome.Epiphany.desktop.in.in:3
-#: embed/ephy-about-handler.c:193 embed/ephy-about-handler.c:227 src/ephy-main.c:101
-#: src/ephy-main.c:253 src/ephy-main.c:403 src/window-commands.c:999
+#: data/org.gnome.Epiphany.appdata.xml.in.in:6 data/org.gnome.Epiphany.desktop.in.in:3 embed/ephy-about-handler.c:205
+#: embed/ephy-about-handler.c:237 src/ephy-main.c:103 src/ephy-main.c:279 src/ephy-main.c:432 src/window-commands.c:1066
 msgid "Web"
 msgstr "वेभ"
 
-#: data/org.gnome.Epiphany.appdata.xml.in.in:7
-msgid "Web browser for GNOME"
-msgstr "जिनोम वेब ब्राउजर"
+#: data/org.gnome.Epiphany.appdata.xml.in.in:7 data/org.gnome.Epiphany.desktop.in.in:5
+msgid "Browse the web"
+msgstr "वेब ब्राउज गर्नुहोस्"
 
 #: data/org.gnome.Epiphany.appdata.xml.in.in:9
-#, fuzzy
 msgid ""
-"The web browser for GNOME, featuring tight integration with the desktop and a simple and intuitive "
-"user interface that allows you to focus on your web pages. If you’re looking for a simple, clean, "
-"beautiful view of the web, this is the browser for you."
-msgstr ""
-"जिनोमका लागि वेब ब्राउजर, डेस्कटपसँग कसिलो एकीकरण र साधारण र सहज प्रयोगकर्ता इन्टरफेसको विशेषता जसले तपाईँलाई "
-"तपाईँको वेब पृष्ठमा फोकस गर्न अनुमति दिन्छ । यदि तपाईं वेबको सरल, स्वच्छ, सुन्दर दृश्य खोज्दै हुनुहुन्छ भने, यो तपाईंको "
-"लागि ब्राउजर हो।"
+"The web browser for GNOME, featuring tight integration with the desktop and a simple and intuitive user interface that "
+"allows you to focus on your web pages. If you’re looking for a simple, clean, beautiful view of the web, this is the "
+"browser for you."
+msgstr ""
+"जिनोमका लागि वेब ब्राउजर, डेस्कटपसँग कसिलो एकीकरण र साधारण र सहज प्रयोगकर्ता इन्टरफेसको विशेषता जसले तपाईँलाई तपाईँको वेब पृष्ठमा फोकस "
+"गर्न अनुमति दिन्छ । यदि तपाईं वेबको सरल, स्वच्छ, सुन्दर दृश्य खोज्दै हुनुहुन्छ भने, यो तपाईंको लागि ब्राउजर हो।"
 
 #: data/org.gnome.Epiphany.appdata.xml.in.in:15
 msgid "Web is often referred to by its code name, Epiphany."
 msgstr "वेबलाई अक्सर यसको कोड नाम, इपिफानीद्वारा उल्लेख गरिएको छ।"
 
-#: data/org.gnome.Epiphany.appdata.xml.in.in:35
+#. developer_name tag deprecated with Appstream 1.0
+#: data/org.gnome.Epiphany.appdata.xml.in.in:35 src/window-commands.c:1076
 msgid "The GNOME Project"
 msgstr "जिनोम परियोजना"
 
@@ -63,14 +61,11 @@ msgstr "जिनोम परियो
 msgid "Web Browser"
 msgstr "वेब ब्राउजर"
 
-#: data/org.gnome.Epiphany.desktop.in.in:5
-msgid "Browse the web"
-msgstr "वेब ब्राउज गर्नुहोस्"
-
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon!
 #: data/org.gnome.Epiphany.desktop.in.in:7
-msgid "web;browser;internet;"
-msgstr "वेब;वेब ब्राउजर;इन्टरनेट;"
+#| msgid "web;browser;internet;"
+msgid "web;browser;internet;epiphany;"
+msgstr ""
 
 #  File menu
 #: data/org.gnome.Epiphany.desktop.in.in:21
@@ -104,7 +99,7 @@ msgstr "पूर्वनिर्ध
 
 #: data/org.gnome.epiphany.gschema.xml:33
 msgid "Deprecated. Please use search-engine-providers instead."
-msgstr "अस्वीकार गरियो । कृपया यसको सट्टामा खोज्ने इन्जिन प्रदायकहरू प्रयोग गर्नुहोस्।"
+msgstr "अस्वीकार गरियो । कृपया यसको सट्टामा खोज्ने इन्जिन प्रदायकहरू प्रयोग गर्नुहोस्।."
 
 #. TRANSLATORS: These are the prepopulated search engines. You should
 #. add country-specific URL query parameters if appropriate or change
@@ -123,890 +118,887 @@ msgstr "अस्वीकार गर
 #. placeholder for the search query. Also please check if they are actually
 #. properly shown in the Preferences if you reset the gsettings key.
 #: data/org.gnome.epiphany.gschema.xml:53
-#, fuzzy
 #| msgid ""
 #| "[('DuckDuckGo', 'https://duckduckgo.com/?q=%s&t=epiphany', '!ddg'),\n"
 #| "\t\t\t\t  ('Google', 'https://www.google.com/search?q=%s', '!g'),\n"
 #| "\t\t\t\t  ('Bing', 'https://www.bing.com/search?q=%s', '!b')]"
 msgid ""
 "[\n"
-"\t\t\t\t\t{'name': <'DuckDuckGo'>, 'url': <'https://duckduckgo.com/?q=%s&t=epiphany'>, 'bang': <'!"
-"ddg'>},\n"
+"\t\t\t\t\t{'name': <'DuckDuckGo'>, 'url': <'https://duckduckgo.com/?q=%s&t=epiphany'>, 'bang': <'!ddg'>},\n"
 "\t\t\t\t\t{'name': <'Google'>, 'url': <'https://www.google.com/search?q=%s'>, 'bang': <'!g'>},\n"
 "\t\t\t\t\t{'name': <'Bing'>, 'url': <'https://www.bing.com/search?q=%s'>, 'bang': <'!b'>}\n"
 "\t\t\t\t]"
 msgstr ""
-"[('डक डक गो', 'https://duckduckgo.com/?q=%s&t=epiphany', '!ddg'),\n"
-"\t\t\t\t  ('गुगल', 'https://www.google.com/search?q=%s', '!g'),\n"
-"\t\t\t\t  ('बिङ्ग', 'https://www.bing.com/search?q=%s', '!b')]"
+"[\n"
+"\t\t\t\t\t{'name': <'DuckDuckGo'>, 'url': <'https://duckduckgo.com/?q=%s&t=epiphany'>, 'bang': <'!ddg'>},\n"
+"\t\t\t\t\t{'name': <'Google'>, 'url': <'https://www.google.com/search?q=%s'>, 'bang': <'!g'>},\n"
+"\t\t\t\t\t{'name': <'Bing'>, 'url': <'https://www.bing.com/search?q=%s'>, 'bang': <'!b'>}\n"
+"\t\t\t\t]"
 
 #: data/org.gnome.epiphany.gschema.xml:61
 msgid "List of the search engines."
 msgstr "खोज प्रबिधी सूची"
 
 #: data/org.gnome.epiphany.gschema.xml:62
-msgid ""
-"List of the search engines. It is an array of vardicts with each vardict corresponding to a search "
-"engine, and with the following supported keys: - name: The name of the search engine - url: The "
-"search URL with the search term replaced with %s. - bang: The \"bang\" (shortcut word) of the "
-"search engine"
-msgstr ""
-"खोजी इन्जिनको सूची । यो खोजी इन्जिनसँग सङ्गत प्रत्येक vardict को एउटा एरे हो, र निम्न समर्थित कुञ्जीहरूसँग: - "
-"नाम: खोजी इन्जिनको नाम - url: खोजी शब्दसँग खोजी यूआरएल %s सँग बदलियो । - धमाका: खोजी इञ्जिनको \"ब्याङ"
-"\" (सर्टकट शब्द)"
+#| msgid ""
+#| "List of the search engines. It is an array of vardicts with each vardict corresponding to a search engine, and with "
+#| "the following supported keys: - name: The name of the search engine - url: The search URL with the search term "
+#| "replaced with %s. - bang: The \"bang\" (shortcut word) of the search engine"
+msgid ""
+"List of the search engines. It is an array of vardicts with each vardict corresponding to a search engine, and with the "
+"following supported keys: \"name\" is the name of the search engine. \"url\" is the search URL with the search term "
+"replaced with %s. \"bang\" is the bang (shortcut word) of the search engine."
+msgstr ""
 
 #  Add the buttons
-#: data/org.gnome.epiphany.gschema.xml:70
+#: data/org.gnome.epiphany.gschema.xml:72
 msgid "Enable Google Search Suggestions"
 msgstr "गुगल खोजी सुझाव सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:71
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:73
 msgid "Whether to show Google Search Suggestion in url entry popdown."
 msgstr "यूआरएल प्रविष्टि  गूगल पपडाउनमा खोजी सुझाव देखाउने या नदेखाउने ।"
 
-#: data/org.gnome.epiphany.gschema.xml:75
+#: data/org.gnome.epiphany.gschema.xml:77
 msgid "Force new windows to be opened in tabs"
 msgstr "नयाँ सञ्झ्याल ट्याबमा खोल्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:76
+#: data/org.gnome.epiphany.gschema.xml:78
 msgid "Force new window requests to be opened in tabs instead of using a new window."
 msgstr "नयाँ सञ्झ्याल प्रयोग गर्नुको साटोमा ट्याबमा खोल्न नयाँ सञ्झ्याल अनुरोधहरू जोर गर्नुहोस् ।"
 
-#: data/org.gnome.epiphany.gschema.xml:83
+#: data/org.gnome.epiphany.gschema.xml:85
 msgid "Whether to automatically restore the last session"
 msgstr "अन्तिम सत्र स्वत: पूर्वावस्थामा ल्याउने या नफर्काउने"
 
-#: data/org.gnome.epiphany.gschema.xml:84
+#: data/org.gnome.epiphany.gschema.xml:86
 msgid ""
-"Defines how the session will be restored during startup. Allowed values are “always” (the previous "
-"state of the application is always restored) and “crashed” (the session is only restored if the "
-"application crashes)."
+"Defines how the session will be restored during startup. Allowed values are “always” (the previous state of the "
+"application is always restored) and “crashed” (the session is only restored if the application crashes)."
 msgstr ""
-"सुरुआत गर्दा सत्र कसरी पूर्वावस्थामा ल्याइने परिभाषित गर्दछ । अनुमति प्राप्त मानहरू \"सधै\" (अनुप्रयोगको पहिलाको "
-"स्थिति सधैँ पूर्वावस्थामा ल्याइन्छ) र \"क्र्यास\" हुन् (यदि अनुप्रयोग क्र्यास भएमा मात्र सत्र पूर्वावस्थामा ल्याइन्छ) ।"
+"सुरुआत गर्दा सत्र कसरी पूर्वावस्थामा ल्याइने परिभाषित गर्दछ । अनुमति प्राप्त मानहरू \"सधै\" (अनुप्रयोगको पहिलाको स्थिति सधैँ पूर्वावस्थामा "
+"ल्याइन्छ) र \"क्र्यास\" हुन् (यदि अनुप्रयोग क्र्यास भएमा मात्र सत्र पूर्वावस्थामा ल्याइन्छ) ।"
 
-#: data/org.gnome.epiphany.gschema.xml:88
+#: data/org.gnome.epiphany.gschema.xml:90
 msgid "Whether to delay loading of tabs that are not immediately visible on session restore"
 msgstr "सत्र पूर्वावस्थामा तुरून्त दृश्यात्मक नभएका ट्याबहरू लोड गर्न विलम्ब गर्ने या नगर्ने"
 
-#: data/org.gnome.epiphany.gschema.xml:89
+#: data/org.gnome.epiphany.gschema.xml:91
 msgid ""
-"When this option is set to true, tabs will not start loading until the user switches to them, upon "
-"session restore."
-msgstr ""
-"यो विकल्प ठीकसँग सेट हुँदा, सत्र पूर्वावस्थामा ल्याउदा, प्रयोगकर्ताले तिनीहरूमा स्विच नगरेसम्म ट्याबले लोडिङ सुरु गर्ने "
-"छैन ।"
+"When this option is set to true, tabs will not start loading until the user switches to them, upon session restore."
+msgstr "यो विकल्प ठीकसँग सेट हुँदा, सत्र पूर्वावस्थामा ल्याउदा, प्रयोगकर्ताले तिनीहरूमा स्विच नगरेसम्म ट्याबले लोडिङ सुरु गर्ने छैन ।"
 
-#: data/org.gnome.epiphany.gschema.xml:93
+#: data/org.gnome.epiphany.gschema.xml:95
 msgid "List of adblock filters"
 msgstr "एडब्लक फिल्टरको सूची"
 
-#: data/org.gnome.epiphany.gschema.xml:94
+#: data/org.gnome.epiphany.gschema.xml:96
 msgid "List of URLs with content filtering rules in JSON format to be used by the ad blocker."
 msgstr "विज्ञापन ब्लकरद्वारा प्रयोग गरिने JSON ढाँचामा सामग्री फिल्टरिङ नियम भएका यूआरएलहरूको सूची ।"
 
-#: data/org.gnome.epiphany.gschema.xml:98
+#: data/org.gnome.epiphany.gschema.xml:100
 msgid "Whether to ask for setting browser as default"
 msgstr "पूर्वनिर्धारितको रूपमा ब्राउजर सेटिङका लागि सोध्ने या नसोध्ने"
 
-#: data/org.gnome.epiphany.gschema.xml:99
+#: data/org.gnome.epiphany.gschema.xml:101
 msgid "When this option is set to true, browser will ask for being default if it is not already set."
-msgstr ""
-"यो विकल्प ठीकसँग सेट भएको बेलामा, यदि यो पहिल्यै सेट गरिएको छैन भने ब्राउजरले पूर्वनिर्धारित का लागि सोध्नेछ ।"
+msgstr "यो विकल्प ठीकसँग सेट भएको बेलामा, यदि यो पहिल्यै सेट गरिएको छैन भने ब्राउजरले पूर्वनिर्धारित का लागि सोध्नेछ ।"
 
-#: data/org.gnome.epiphany.gschema.xml:103
+#: data/org.gnome.epiphany.gschema.xml:105
 msgid "Start in incognito mode"
 msgstr "अज्ञात मुद्रामा सुरु गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:104
+#: data/org.gnome.epiphany.gschema.xml:106
 msgid "When this option is set to true, browser will always start in incognito mode"
 msgstr "यो विकल्प ठीकसँग सेट हुँदा, ब्राउजर सधैँ इन्कोग्निटो मोडमा सुरु हुन्छ ।"
 
-#: data/org.gnome.epiphany.gschema.xml:108
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:110
 msgid "Active clear data items."
 msgstr "डेटा वस्तुहरू खालीगर्न सक्षम पार्नुहोस।"
 
-#: data/org.gnome.epiphany.gschema.xml:109
+#: data/org.gnome.epiphany.gschema.xml:111
 msgid ""
-"Selection (bitmask) which clear data items should be active by default. 1 = Cookies, 2 = HTTP disk "
-"cache, 4 = Local storage data, 8 = Offline web application cache, 16 = IndexDB databases, 32 = "
-"WebSQL databases, 64 = Plugins data, 128 = HSTS policies cache, 256 = Intelligent Tracking "
-"Prevention data."
+"Selection (bitmask) which clear data items should be active by default. 1 = Cookies, 2 = HTTP disk cache, 4 = Local "
+"storage data, 8 = Offline web application cache, 16 = IndexDB databases, 32 = WebSQL databases, 64 = Plugins data, 128 "
+"= HSTS policies cache, 256 = Intelligent Tracking Prevention data."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:115
+#: data/org.gnome.epiphany.gschema.xml:117
 msgid "Expand tabs size to fill the available space on the tabs bar."
 msgstr "ट्याबबारमा उपलब्ध खालीस्थान भर्न ट्याबको साइज बढाउनुहोस् ।"
 
-#: data/org.gnome.epiphany.gschema.xml:116
+#: data/org.gnome.epiphany.gschema.xml:118
 msgid ""
-"If enabled the tabs will expand to use the entire available space in the tabs bar. This setting is "
-"ignored in Pantheon desktop."
+"If enabled the tabs will expand to use the entire available space in the tabs bar. This setting is ignored in Pantheon "
+"desktop."
 msgstr ""
-"यदि सक्षम पारिएमा ट्याबले ट्याबपट्टीमा उपलब्ध सम्पूर्ण खाली स्थान प्रयोग गर्न विस्तार गर्नेछ । प्यान्थियोन डेस्कटपमा "
-"यो सेटिङ उपेक्षा गरिन्छ ।"
+"यदि सक्षम पारिएमा ट्याबले ट्याबपट्टीमा उपलब्ध सम्पूर्ण खाली स्थान प्रयोग गर्न विस्तार गर्नेछ । प्यान्थियोन डेस्कटपमा यो सेटिङ उपेक्षा गरिन्छ ।"
 
-#: data/org.gnome.epiphany.gschema.xml:120
+#: data/org.gnome.epiphany.gschema.xml:122
 msgid "The visibility policy for the tabs bar."
 msgstr "ट्याबपट्टीका लागि दृश्यात्मक नीति ।"
 
-#: data/org.gnome.epiphany.gschema.xml:121
+#: data/org.gnome.epiphany.gschema.xml:123
 msgid ""
-"Controls when the tabs bar is shown. Possible values are “always” (the tabs bar is always shown), "
-"“more-than-one” (the tabs bar is only shown if there’s two or more tabs) and “never” (the tabs bar "
-"is never shown). This setting is ignored in Pantheon desktop, and “always” value is used."
+"Controls when the tabs bar is shown. Possible values are “always” (the tabs bar is always shown), “more-than-one” (the "
+"tabs bar is only shown if there’s two or more tabs) and “never” (the tabs bar is never shown). This setting is ignored "
+"in Pantheon desktop, and “always” value is used."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:125
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:127
 msgid "Keep window open when closing last tab"
 msgstr "अन्तिम ट्याब बन्द गर्दा सञ्झ्याल खुला राख्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:126
+#: data/org.gnome.epiphany.gschema.xml:128
 msgid "If enabled application window is kept open when closing the last tab."
 msgstr "यदि सक्षम पारिएमा अन्तिम ट्याब बन्द गर्दा अनुप्रयोग सञ्झ्याल खुला राखिन्छ ।"
 
-#: data/org.gnome.epiphany.gschema.xml:132
+#: data/org.gnome.epiphany.gschema.xml:134
 msgid "Reader mode article font style."
 msgstr "पाठक मोड लेख फन्ट शैली ।"
 
-#: data/org.gnome.epiphany.gschema.xml:133
-msgid ""
-"Chooses the style of the main body text for articles in reader mode. Possible values are “sans” "
-"and “serif”."
+#: data/org.gnome.epiphany.gschema.xml:135
+msgid "Chooses the style of the main body text for articles in reader mode. Possible values are “sans” and “serif”."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:137
+#: data/org.gnome.epiphany.gschema.xml:139
 msgid "Reader mode color scheme."
 msgstr "पढ्ने मोड रङ योजना ।"
 
-#: data/org.gnome.epiphany.gschema.xml:138
+#: data/org.gnome.epiphany.gschema.xml:140
 msgid ""
-"Selects the style of colors for articles displayed in reader mode. Possible values are "
-"“light” (dark text on light background) and “dark” (light text on dark background). This setting "
-"is ignored on systems that provide a system-wide dark style preference, such as GNOME 42 and newer."
+"Selects the style of colors for articles displayed in reader mode. Possible values are “light” (dark text on light "
+"background) and “dark” (light text on dark background). This setting is ignored on systems that provide a system-wide "
+"dark style preference, such as GNOME 42 and newer."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:144
+#: data/org.gnome.epiphany.gschema.xml:146
 msgid "Minimum font size"
 msgstr "न्यूनतम फन्ट साइज"
 
-#: data/org.gnome.epiphany.gschema.xml:148
+#: data/org.gnome.epiphany.gschema.xml:150
 msgid "Use GNOME fonts"
 msgstr "जिनोम फन्टहरू प्रयोग गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:149
+#: data/org.gnome.epiphany.gschema.xml:151
 msgid "Use GNOME font settings."
 msgstr "जिनोम फन्ट सेटिङ प्रयोग गर्नुहोस् ।"
 
-#: data/org.gnome.epiphany.gschema.xml:153
+#: data/org.gnome.epiphany.gschema.xml:155
 msgid "Custom sans-serif font"
 msgstr "अनुकुल सेन्स सेरिफ फन्ट"
 
-#: data/org.gnome.epiphany.gschema.xml:154
+#: data/org.gnome.epiphany.gschema.xml:156
 msgid "A value to be used to override sans-serif desktop font when use-gnome-fonts is set."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:158
+#: data/org.gnome.epiphany.gschema.xml:160
 msgid "Custom serif font"
 msgstr "अनुकुल सेरिफ फन्ट"
 
-#: data/org.gnome.epiphany.gschema.xml:159
+#: data/org.gnome.epiphany.gschema.xml:161
 msgid "A value to be used to override serif desktop font when use-gnome-fonts is set."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:163
+#: data/org.gnome.epiphany.gschema.xml:165
 msgid "Custom monospace font"
 msgstr "अनुकुल मोनोस्पेस फन्ट"
 
-#: data/org.gnome.epiphany.gschema.xml:164
+#: data/org.gnome.epiphany.gschema.xml:166
 msgid "A value to be used to override monospace desktop font when use-gnome-fonts is set."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:168
+#: data/org.gnome.epiphany.gschema.xml:170
 msgid "Use a custom CSS"
 msgstr "अनुकुलन ढाँचा प्रयोग गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:169
+#: data/org.gnome.epiphany.gschema.xml:171
 msgid "Use a custom CSS file to modify websites own CSS."
 msgstr "वेबसाइटहरू आफ्नै CSS परिमार्जन गर्न अनुकूल CSS फाइल प्रयोग गर्नुहोस्।"
 
-#: data/org.gnome.epiphany.gschema.xml:173
+#: data/org.gnome.epiphany.gschema.xml:175
 msgid "Use a custom JS"
 msgstr "अनुकूल JS प्रयोग गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:174
+#: data/org.gnome.epiphany.gschema.xml:176
 msgid "Use a custom JS file to modify websites."
 msgstr "वेबसाइट परिमार्जन गर्न अनुकूल JS फाइल प्रयोग गर्नुहोस् ।"
 
-#: data/org.gnome.epiphany.gschema.xml:178
+#: data/org.gnome.epiphany.gschema.xml:180
 msgid "Enable spell checking"
 msgstr "हिज्जे जाँच सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:179
+#: data/org.gnome.epiphany.gschema.xml:181
 msgid "Spell check any text typed in editable areas."
 msgstr "सम्पादनयोग्य क्षेत्रमा टाइप गरिएको कुनै पाठ हिज्जे जाँच गर्नुहोस् ।"
 
-#: data/org.gnome.epiphany.gschema.xml:183
+#: data/org.gnome.epiphany.gschema.xml:185
 msgid "Default encoding"
 msgstr "पूर्वनिर्धारित सङ्केतन"
 
-#: data/org.gnome.epiphany.gschema.xml:184
+#: data/org.gnome.epiphany.gschema.xml:186
 msgid "Default encoding. Accepted values are the ones WebKitGTK can understand."
 msgstr "पूर्वानिर्धारित सङ्केतन । स्वीकार गरिएका मानहरू वेवकिट GTK ले बुझ्न सक्ने मानहरू हुन्।"
 
-#: data/org.gnome.epiphany.gschema.xml:188 src/resources/gtk/prefs-general-page.ui:293
+#: data/org.gnome.epiphany.gschema.xml:190 src/resources/gtk/prefs-general-page.ui:215
 msgid "Languages"
 msgstr "भाषा"
 
-#: data/org.gnome.epiphany.gschema.xml:189
+#: data/org.gnome.epiphany.gschema.xml:191
 msgid "Preferred languages. Array of locale codes or “system” to use current locale."
 msgstr "रुचाइएका भाषाहरू । हालको लोक्याल प्रयोग गर्न लोकेल सङ्केतहरू वा \"प्रणाली\" को एरे ।"
 
-#: data/org.gnome.epiphany.gschema.xml:193
+#: data/org.gnome.epiphany.gschema.xml:195
 msgid "Allow popups"
 msgstr "पपअपलाई अनुमति दिनुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:194
+#: data/org.gnome.epiphany.gschema.xml:196
 msgid "Allow sites to open new windows using JavaScript (if JavaScript is enabled)."
-msgstr ""
-"(यदि जाभा स्क्रिप्ट सक्षम पारिएको छ भने) जाभा स्क्रिप्ट प्रयोग गरेर नयाँ सञ्झ्याल खोल्न साइटलाई अनुमति दिनुहोस्।"
+msgstr "(यदि जाभा स्क्रिप्ट सक्षम पारिएको छ भने) जाभा स्क्रिप्ट प्रयोग गरेर नयाँ सञ्झ्याल खोल्न साइटलाई अनुमति दिनुहोस्।."
 
-#: data/org.gnome.epiphany.gschema.xml:198
+#: data/org.gnome.epiphany.gschema.xml:200
 msgid "User agent"
 msgstr "प्रयोग अभिकर्ता"
 
-#: data/org.gnome.epiphany.gschema.xml:199
+#: data/org.gnome.epiphany.gschema.xml:201
 msgid "String that will be used as user agent, to identify the browser to the web servers."
 msgstr "वेब सर्भरमा ब्राउजर पहिचान गर्न, प्रयोगकर्ता अभिकर्ताको रूपमा प्रयोग गरिने पाठ ।"
 
-#: data/org.gnome.epiphany.gschema.xml:203
+#: data/org.gnome.epiphany.gschema.xml:205
 msgid "Enable adblock"
 msgstr "बिज्ञापन रोक्न सक्षम गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:204
+#: data/org.gnome.epiphany.gschema.xml:206
 msgid "Whether to block the embedded advertisements that web pages might want to show."
 msgstr "वेब पृष्ठले देखाउन चाहेको सम्मिलित विज्ञापनहरू बन्द गर्ने या नगर्ने ।"
 
-#: data/org.gnome.epiphany.gschema.xml:208
+#: data/org.gnome.epiphany.gschema.xml:210
 msgid "Remember passwords"
 msgstr "पासवर्ड सम्झनुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:209
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:211
 #| msgid "Whether to store and prefill passwords in web sites."
 msgid "Whether to store and prefill passwords in websites."
-msgstr "वेब साइटमा पासवर्ड भण्डार गर्ने र पहिला नै भर्ने कि नभर्ने ।"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:213
+#: data/org.gnome.epiphany.gschema.xml:215
 msgid "Enable site-specific quirks"
 msgstr "साइट निर्दिष्ट क्विर्क सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:214
+#: data/org.gnome.epiphany.gschema.xml:216
 msgid ""
-"Enable quirks to make specific websites work better. You might want to disable this setting if "
-"debugging a specific issue."
+"Enable quirks to make specific websites work better. You might want to disable this setting if debugging a specific "
+"issue."
 msgstr ""
-"विशिष्ट वेबसाइटहरू राम्रोसँग काम गर्न क्विर्क सक्षम पार्नुहोस्। यदि कुनै निर्दिष्ट बिषयमा त्रुटि मोचन गरेमा तपाईँले यो "
-"सेटिङ अक्षम पार्न सक्नुहुन्छ ।"
-
-#: data/org.gnome.epiphany.gschema.xml:218
-msgid "Enable safe browsing"
-msgstr "सुरक्षित ब्राउजिङ सक्षम पार्नुहोस्"
-
-#: data/org.gnome.epiphany.gschema.xml:219
-msgid "Whether to enable safe browsing. Safe browsing operates via Google Safe Browsing API v4."
-msgstr "सुरक्षित ब्राउजिङ सक्षम पार्ने या नपार्ने । सुरक्षित ब्राउजिङ गुगल सेफ ब्राउजिङ API v4 मार्फत सञ्चालन हुन्छ।"
+"विशिष्ट वेबसाइटहरू राम्रोसँग काम गर्न क्विर्क सक्षम पार्नुहोस्। यदि कुनै निर्दिष्ट बिषयमा त्रुटि मोचन गरेमा तपाईँले यो सेटिङ अक्षम पार्न सक्नुहुन्छ "
+"।"
 
-#: data/org.gnome.epiphany.gschema.xml:223
+#: data/org.gnome.epiphany.gschema.xml:220
 msgid "Enable Intelligent Tracking Prevention (ITP)"
 msgstr "बौद्धिक ट्रेकिङ रोकथाम सक्षम पार्नुहोस् (ITP)"
 
-#: data/org.gnome.epiphany.gschema.xml:224
+#: data/org.gnome.epiphany.gschema.xml:221
 msgid "Whether to enable Intelligent Tracking Prevention."
 msgstr "बौद्धिक ट्रयाकिङ रोकथाम सक्षम पार्ने या नपार्ने ।"
 
-#: data/org.gnome.epiphany.gschema.xml:228
+#: data/org.gnome.epiphany.gschema.xml:225
 msgid "Allow websites to store local website data"
 msgstr "स्थानीय वेबसाइट डेटा भण्डारण गर्न वेबसाइटलाई अनुमति दिनुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:229
+#: data/org.gnome.epiphany.gschema.xml:226
 msgid ""
-"Whether to allow websites to store cookies, local storage data, and IndexedDB databases. Disabling "
-"this will break many websites."
+"Whether to allow websites to store cookies, local storage data, and IndexedDB databases. Disabling this will break many "
+"websites."
 msgstr ""
-"कुकिज, स्थानीय भण्डारण डेटा र IndexedDB डाटाबेसहरू भण्डारण गर्न वेबसाइटलाई अनुमति दिने या नदिने । यसले गर्दा थुप्रै "
-"वेबसाइटहरू बिग्रनेछन्।"
+"कुकिज, स्थानीय भण्डारण डेटा र IndexedDB डाटाबेसहरू भण्डारण गर्न वेबसाइटलाई अनुमति दिने या नदिने । यसले गर्दा थुप्रै वेबसाइटहरू बिग्रनेछन्।"
 
-#: data/org.gnome.epiphany.gschema.xml:233
+#: data/org.gnome.epiphany.gschema.xml:230
 msgid "Default zoom level for new pages"
 msgstr "नयाँ पृष्ठका लागि पूर्वनिर्धारित जुम तह"
 
-#: data/org.gnome.epiphany.gschema.xml:237
+#: data/org.gnome.epiphany.gschema.xml:234
 msgid "Enable autosearch"
 msgstr "स्वत: खोज सक्षम गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:238
+#: data/org.gnome.epiphany.gschema.xml:235
 msgid ""
-"Whether to automatically search the web when something that does not look like a URL is entered in "
-"the address bar. If this setting is disabled, everything will be loaded as a URL unless a search "
-"engine is explicitly selected from the dropdown menu."
+"Whether to automatically search the web when something that does not look like a URL is entered in the address bar. If "
+"this setting is disabled, everything will be loaded as a URL unless a search engine is explicitly selected from the "
+"dropdown menu."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:242
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:239
 msgid "Enable mouse gestures"
-msgstr "माउस र टचप्याड सक्षम पार्नुहोस्"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:243
+#: data/org.gnome.epiphany.gschema.xml:240
 msgid ""
-"Whether to enable mouse gestures. Mouse gestures are based on Opera’s behaviour and are activated "
-"using the middle mouse button + gesture."
+"Whether to enable mouse gestures. Mouse gestures are based on Opera’s behaviour and are activated using the middle "
+"mouse button + gesture."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:247
+#: data/org.gnome.epiphany.gschema.xml:244
 msgid "Last upload directory"
 msgstr "अन्तिम अपलोड डाइरेक्टरी"
 
-#: data/org.gnome.epiphany.gschema.xml:248
+#: data/org.gnome.epiphany.gschema.xml:245
 msgid "Keep track of last upload directory"
 msgstr "अन्तिममा अपलोड डाइरेक्टरीको ट्रयाक राख्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:252
+#: data/org.gnome.epiphany.gschema.xml:249
 msgid "Last download directory"
 msgstr "अन्तिम डाउनलोड डाइरेक्टरी"
 
-#: data/org.gnome.epiphany.gschema.xml:253
+#: data/org.gnome.epiphany.gschema.xml:250
 msgid "Keep track of last download directory"
 msgstr "अन्तिम डाउनलोड डाइरेक्टरीको ट्रयाक राख्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:257
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:254
 msgid "Hardware acceleration policy"
-msgstr "नीति:"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:258
+#: data/org.gnome.epiphany.gschema.xml:255
 msgid ""
-"Whether to enable hardware acceleration. Possible values are “on-demand”, “always”, and “never”. "
-"Hardware acceleration may be required to achieve acceptable performance on embedded devices, but "
-"increases memory usage requirements and could expose severe hardware-specific graphics driver "
-"bugs. When the policy is “on-demand”, hardware acceleration will be used only when required to "
-"display 3D transforms."
+"Whether to enable hardware acceleration. Possible values are “always” and “never”. Hardware acceleration may be "
+"required to achieve acceptable performance on embedded devices, but increases memory usage requirements and could "
+"expose severe hardware-specific graphics driver bugs."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:262
+#: data/org.gnome.epiphany.gschema.xml:259
 msgid "Always ask for download directory"
 msgstr "डाउनलोड डाइरेक्टरीका लागि सधैँ सोध्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:263
+#: data/org.gnome.epiphany.gschema.xml:260
 msgid "Whether to present a directory chooser dialog for every download."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:267
+#: data/org.gnome.epiphany.gschema.xml:264
 msgid "Enable immediately switch to new open tab"
 msgstr "नयाँ खुला ट्याबमा तुरून्त स्विच सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:268
+#: data/org.gnome.epiphany.gschema.xml:265
 msgid "Whether to automatically switch to a new open tab."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:272
+#: data/org.gnome.epiphany.gschema.xml:269
 msgid "Enable WebExtensions"
 msgstr "वेब विस्तारहरू सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:273
+#: data/org.gnome.epiphany.gschema.xml:270
 msgid "Whether to enable WebExtensions. WebExtensions is a cross-browser system for extensions."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:277
+#: data/org.gnome.epiphany.gschema.xml:274
 msgid "Active WebExtensions"
 msgstr "वेब विस्तारहरू सक्रिय गर्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:278
+#: data/org.gnome.epiphany.gschema.xml:275
 msgid "Indicates which WebExtensions are set to active."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:284
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:279
+#| msgid "Download operation"
+msgid "Show developer actions"
+msgstr ""
+
+#: data/org.gnome.epiphany.gschema.xml:280
+msgid "Whether to show developer context menu actions. This allows use of the Page Source and Inspect Element actions."
+msgstr ""
+
+#: data/org.gnome.epiphany.gschema.xml:286
 msgid "Web application additional URLs"
-msgstr "वेब अनुप्रयोग सिर्जना गर्नुहोस्"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:285
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:287
 msgid "The list of URLs that should be opened by the web application"
-msgstr "वेब अनुप्रयोगहरू"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:289
+#: data/org.gnome.epiphany.gschema.xml:291
 msgid "Show navigation buttons in WebApp"
 msgstr "वेबअनुप्रयोगमा नेभिगेसन बटनहरू देखाउनुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:290
+#: data/org.gnome.epiphany.gschema.xml:292
 msgid "Whether to show buttons for navigation in WebApp."
 msgstr "WebApp मा नेभिगेसनका लागि बटनदेखाउने या नदेखाउने ।"
 
-#: data/org.gnome.epiphany.gschema.xml:294
+#: data/org.gnome.epiphany.gschema.xml:296
 msgid "Run in background"
 msgstr "पृष्ठभूमि मा चलाउनुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:295
+#: data/org.gnome.epiphany.gschema.xml:297
 msgid "If enabled, application continues running in the background after closing the window."
 msgstr "यदि सक्षम पारिएमा, अनुप्रयोगले सञ्झ्याल बन्द गरेपछि पृष्ठभूमिमा चलिरहन्छ ।"
 
-#: data/org.gnome.epiphany.gschema.xml:299
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:301
 msgid "WebApp is system-wide"
-msgstr "फराकिलो फोटो"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:300
+#: data/org.gnome.epiphany.gschema.xml:302
 msgid "If enabled, application cannot be edited or removed."
 msgstr "यदि सक्षम पारिएमा, अनुप्रयोग सम्पादन गर्न वा हटाउन सकिँदैन ।"
 
-#: data/org.gnome.epiphany.gschema.xml:306
+#: data/org.gnome.epiphany.gschema.xml:308
 msgid "The downloads folder"
 msgstr "डाउनलोड फोल्डर"
 
-#: data/org.gnome.epiphany.gschema.xml:307
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:309
 #| msgid ""
-#| "The path of the folder where to download files to; or \"Downloads\" to use the default "
-#| "downloads folder, or \"Desktop\" to use the desktop folder."
+#| "The path of the folder where to download files to; or \"Downloads\" to use the default downloads folder, or "
+#| "\"Desktop\" to use the desktop folder."
 msgid ""
-"The path of the folder where to download files to; or “Downloads” to use the default downloads "
-"folder, or “Desktop” to use the desktop folder."
+"The path of the folder where to download files to; or “Downloads” to use the default downloads folder, or “Desktop” to "
+"use the desktop folder."
 msgstr ""
-"फाइल डाउनलोड गर्ने फोल्डरको बाटो; वा पूर्वनिर्धारित डाउनलोड फोल्डर प्रयोग गर्न \"Downloads\", वा डेस्कटप "
-"फोल्डर प्रयोग गर्न \"Desktop\" प्रयोग गरिन्छ।"
 
-#: data/org.gnome.epiphany.gschema.xml:314
+#: data/org.gnome.epiphany.gschema.xml:316
 msgid "Window position"
 msgstr "सञ्झ्यालको स्थान"
 
-#: data/org.gnome.epiphany.gschema.xml:315
+#: data/org.gnome.epiphany.gschema.xml:317
 msgid "The position to use for a new window that is not restored from a previous session."
 msgstr "नयाँ सञ्झ्यालका लागि प्रयोग गर्ने स्थिति जुन अघिल्लो सत्रबाट पूर्वावस्थामा ल्याउन सकिँदैन ।"
 
-#: data/org.gnome.epiphany.gschema.xml:319
+#: data/org.gnome.epiphany.gschema.xml:321
 msgid "Window size"
 msgstr "सञ्झ्याल साइज"
 
-#: data/org.gnome.epiphany.gschema.xml:320
+#: data/org.gnome.epiphany.gschema.xml:322
 msgid "The size to use for a new window that is not restored from a previous session."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:324
+#: data/org.gnome.epiphany.gschema.xml:326
 msgid "Is maximized"
 msgstr "अधिकतम छ"
 
-#: data/org.gnome.epiphany.gschema.xml:325
-msgid ""
-"Whether a new window that is not restored from a previous session should be initially maximized."
+#: data/org.gnome.epiphany.gschema.xml:327
+msgid "Whether a new window that is not restored from a previous session should be initially maximized."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:340
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:342
 msgid "Disable forward and back buttons"
-msgstr "फेरि सुरु बटन नदेखाउनुहोस्"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:341
-msgid ""
-"If set to “true”, forward and back buttons are disabled, preventing users from accessing immediate "
-"browser history"
+#: data/org.gnome.epiphany.gschema.xml:343
+msgid "If set to “true”, forward and back buttons are disabled, preventing users from accessing immediate browser history"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:359
+#: data/org.gnome.epiphany.gschema.xml:361
 msgid "Firefox Sync Token Server URL"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:360
+#: data/org.gnome.epiphany.gschema.xml:362
 msgid "URL to a custom Firefox Sync token server."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:364
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:366
 #| msgid "Firefox"
 msgid "Firefox Sync Accounts Server URL"
-msgstr "फायरफक्स"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:365
+#: data/org.gnome.epiphany.gschema.xml:367
 msgid "URL to a custom Firefox Sync accounts server."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:369
+#: data/org.gnome.epiphany.gschema.xml:371
 msgid "Currently signed in sync user"
 msgstr "समक्रमण प्रयोगकर्तामा हालै साइन गरिएको छ"
 
-#: data/org.gnome.epiphany.gschema.xml:370
-msgid "The email linked to the Firefox Account used to sync data with Mozilla’s servers."
+#: data/org.gnome.epiphany.gschema.xml:372
+msgid "The email linked to the Mozilla account used to sync data with Mozilla’s servers."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:374
+#: data/org.gnome.epiphany.gschema.xml:376
 msgid "Last sync timestamp"
 msgstr "अन्तिम समक्रमण टाइमस्टाम्प"
 
-#: data/org.gnome.epiphany.gschema.xml:375
+#: data/org.gnome.epiphany.gschema.xml:377
 msgid "The UNIX time at which last sync was made in seconds."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:379
+#: data/org.gnome.epiphany.gschema.xml:381
 msgid "Sync device ID"
 msgstr "समक्रमण यन्त्र आईडी"
 
-#: data/org.gnome.epiphany.gschema.xml:380
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:382
 msgid "The sync device ID of the current device."
-msgstr "यन्त्रको नाम समक्रमण"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:384
+#: data/org.gnome.epiphany.gschema.xml:386
 msgid "Sync device name"
 msgstr "यन्त्रको नाम समक्रमण"
 
-#: data/org.gnome.epiphany.gschema.xml:385
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:387
 msgid "The sync device name of the current device."
-msgstr "यन्त्रको नाम समक्रमण"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:389
+#: data/org.gnome.epiphany.gschema.xml:391
 msgid "The sync frequency in minutes"
 msgstr "समक्रमण आवृत्ति मिनेटमा"
 
-#: data/org.gnome.epiphany.gschema.xml:390
+#: data/org.gnome.epiphany.gschema.xml:392
 msgid "The number of minutes between two consecutive syncs."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:394
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:396
 msgid "Sync data with Firefox"
-msgstr "समक्रमण गर्नुहोस्"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:395
+#: data/org.gnome.epiphany.gschema.xml:397
 msgid "TRUE if Ephy collections should be synced with Firefox collections, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:399
+#: data/org.gnome.epiphany.gschema.xml:401
 msgid "Enable bookmarks sync"
 msgstr "पुस्तकचिनो समक्रमण सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:400
+#: data/org.gnome.epiphany.gschema.xml:402
 msgid "TRUE if bookmarks collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:404
+#: data/org.gnome.epiphany.gschema.xml:406
 msgid "Bookmarks sync timestamp"
 msgstr "पुस्तकचिनोहरू समक्रमण टाइमस्टाम्प"
 
-#: data/org.gnome.epiphany.gschema.xml:405
+#: data/org.gnome.epiphany.gschema.xml:407
 msgid "The timestamp at which last bookmarks sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:409 data/org.gnome.epiphany.gschema.xml:424
-#: data/org.gnome.epiphany.gschema.xml:439
+#: data/org.gnome.epiphany.gschema.xml:411 data/org.gnome.epiphany.gschema.xml:426 data/org.gnome.epiphany.gschema.xml:441
 msgid "Initial sync or normal sync"
 msgstr "सुरुआत समक्रमण वा सामान्य समक्रमण"
 
-#: data/org.gnome.epiphany.gschema.xml:410
+#: data/org.gnome.epiphany.gschema.xml:412
 msgid "TRUE if bookmarks collection needs to be synced for the first time, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:414
+#: data/org.gnome.epiphany.gschema.xml:416
 msgid "Enable passwords sync"
 msgstr "पासवर्ड समक्रमण सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:415
+#: data/org.gnome.epiphany.gschema.xml:417
 msgid "TRUE if passwords collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:419
-#, fuzzy
+#: data/org.gnome.epiphany.gschema.xml:421
 msgid "Passwords sync timestamp"
-msgstr "पासवर्ड"
+msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:420
+#: data/org.gnome.epiphany.gschema.xml:422
 msgid "The timestamp at which last passwords sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:425
+#: data/org.gnome.epiphany.gschema.xml:427
 msgid "TRUE if passwords collection needs to be synced for the first time, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:429
+#: data/org.gnome.epiphany.gschema.xml:431
 msgid "Enable history sync"
 msgstr "इतिहास समक्रमण सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:430
+#: data/org.gnome.epiphany.gschema.xml:432
 msgid "TRUE if history collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:434
+#: data/org.gnome.epiphany.gschema.xml:436
 msgid "History sync timestamp"
 msgstr "इतिहास समक्रमण टाइमस्टाम्प"
 
-#: data/org.gnome.epiphany.gschema.xml:435
+#: data/org.gnome.epiphany.gschema.xml:437
 msgid "The timestamp at which last history sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:440
+#: data/org.gnome.epiphany.gschema.xml:442
 msgid "TRUE if history collection needs to be synced for the first time, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:444
+#: data/org.gnome.epiphany.gschema.xml:446
 msgid "Enable open tabs sync"
 msgstr "खुला ट्याब समक्रमण सक्षम पार्नुहोस्"
 
-#: data/org.gnome.epiphany.gschema.xml:445
+#: data/org.gnome.epiphany.gschema.xml:447
 msgid "TRUE if open tabs collection should be synced, FALSE otherwise."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:449
+#: data/org.gnome.epiphany.gschema.xml:451
 msgid "Open tabs sync timestamp"
 msgstr "खुलेका ट्याबहरु समक्रमण टाइमस्टाम्प"
 
-#: data/org.gnome.epiphany.gschema.xml:450
+#: data/org.gnome.epiphany.gschema.xml:452
 msgid "The timestamp at which last open tabs sync was made."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:461
+#: data/org.gnome.epiphany.gschema.xml:463
 msgid "Decision to apply when microphone permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:462
+#: data/org.gnome.epiphany.gschema.xml:464
 msgid ""
-"This option is used to save whether a given host has been given permission to access the user’s "
-"microphone. The “undecided” default means the browser needs to ask the user for permission, while "
-"“allow” and “deny” tell it to automatically make the decision upon request."
+"This option is used to save whether a given host has been given permission to access the user’s microphone. The "
+"“undecided” default means the browser needs to ask the user for permission, while “allow” and “deny” tell it to "
+"automatically make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:466
+#: data/org.gnome.epiphany.gschema.xml:468
 msgid "Decision to apply when geolocation permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:467
+#: data/org.gnome.epiphany.gschema.xml:469
 msgid ""
-"This option is used to save whether a given host has been given permission to access the user’s "
-"location. The “undecided” default means the browser needs to ask the user for permission, while "
-"“allow” and “deny” tell it to automatically make the decision upon request."
+"This option is used to save whether a given host has been given permission to access the user’s location. The "
+"“undecided” default means the browser needs to ask the user for permission, while “allow” and “deny” tell it to "
+"automatically make the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:471
+#: data/org.gnome.epiphany.gschema.xml:473
 msgid "Decision to apply when notification permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:472
+#: data/org.gnome.epiphany.gschema.xml:474
 msgid ""
-"This option is used to save whether a given host has been given permission to show notifications. "
-"The “undecided” default means the browser needs to ask the user for permission, while “allow” and "
-"“deny” tell it to automatically make the decision upon request."
+"This option is used to save whether a given host has been given permission to show notifications. The “undecided” "
+"default means the browser needs to ask the user for permission, while “allow” and “deny” tell it to automatically make "
+"the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:476
+#: data/org.gnome.epiphany.gschema.xml:478
 msgid "Decision to apply when save password permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:477
+#: data/org.gnome.epiphany.gschema.xml:479
 msgid ""
-"This option is used to save whether a given host has been given permission to save passwords. The "
-"“undecided” default means the browser needs to ask the user for permission, while “allow” and "
-"“deny” tell it to automatically make the decision upon request."
+"This option is used to save whether a given host has been given permission to save passwords. The “undecided” default "
+"means the browser needs to ask the user for permission, while “allow” and “deny” tell it to automatically make the "
+"decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:481
+#: data/org.gnome.epiphany.gschema.xml:483
 msgid "Decision to apply when webcam permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:482
+#: data/org.gnome.epiphany.gschema.xml:484
 msgid ""
-"This option is used to save whether a given host has been given permission to access the user’s "
-"webcam. The “undecided” default means the browser needs to ask the user for permission, while "
-"“allow” and “deny” tell it to automatically make the decision upon request."
+"This option is used to save whether a given host has been given permission to access the user’s webcam. The “undecided” "
+"default means the browser needs to ask the user for permission, while “allow” and “deny” tell it to automatically make "
+"the decision upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:486
+#: data/org.gnome.epiphany.gschema.xml:488
 msgid "Decision to apply when advertisement permission is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:487
+#: data/org.gnome.epiphany.gschema.xml:489
 msgid ""
-"This option is used to save whether a given host has been given permission to allow "
-"advertisements. The “undecided” default means the browser global setting is used, while “allow” "
-"and “deny” tell it to automatically make the decision upon request."
+"This option is used to save whether a given host has been given permission to allow advertisements. The “undecided” "
+"default means the browser global setting is used, while “allow” and “deny” tell it to automatically make the decision "
+"upon request."
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:491
+#: data/org.gnome.epiphany.gschema.xml:493
 msgid "Decision to apply when an autoplay policy is requested for this host"
 msgstr ""
 
-#: data/org.gnome.epiphany.gschema.xml:492
+#: data/org.gnome.epiphany.gschema.xml:494
 msgid ""
-"This option is used to save whether a given host has been given permission to autoplay. The "
-"“undecided” default means to allow autoplay of muted media, while “allow” and “deny” tell it to "
-"allow / deny all requests to autoplay media respectively."
+"This option is used to save whether a given host has been given permission to autoplay. The “undecided” default means "
+"to allow autoplay of muted media, while “allow” and “deny” tell it to allow / deny all requests to autoplay media "
+"respectively."
 msgstr ""
 
 #: embed/ephy-about-handler.c:117 embed/ephy-about-handler.c:119
 msgid "Memory usage"
 msgstr "स्मृति प्रयोग सूचना"
 
-#: embed/ephy-about-handler.c:169
+#: embed/ephy-about-handler.c:171
 #, c-format
 msgid "Version %s"
 msgstr "%s संस्करण"
 
-#: embed/ephy-about-handler.c:190
+#: embed/ephy-about-handler.c:202
 msgid "About Web"
 msgstr "वेब बारेमा"
 
-#: embed/ephy-about-handler.c:195 src/window-commands.c:1001
-#, fuzzy
+#: embed/ephy-about-handler.c:207 src/window-commands.c:1068
 msgid "Epiphany Technology Preview"
-msgstr "पूर्वावलोकन छैन"
+msgstr ""
 
-#: embed/ephy-about-handler.c:198
+#: embed/ephy-about-handler.c:210
 msgid "A simple, clean, beautiful view of the web"
-msgstr ""
+msgstr "वेबको सरल, सफा, सुन्दर दृश्य"
 
 #. Displayed when opening applications without any installed web apps.
-#: embed/ephy-about-handler.c:259 embed/ephy-about-handler.c:260 embed/ephy-about-handler.c:309
-#: embed/ephy-about-handler.c:324
-msgid "Applications"
-msgstr "अनुप्रयोग"
-
-#: embed/ephy-about-handler.c:261
-msgid "List of installed web applications"
-msgstr "स्थापना गरिएको वेब अनुप्रयोगको सूची"
+#: embed/ephy-about-handler.c:273 embed/ephy-about-handler.c:275 embed/ephy-about-handler.c:339
+#: embed/ephy-about-handler.c:365
+msgid "Apps"
+msgstr "अनुप्रयोगहरू"
+
+#: embed/ephy-about-handler.c:276
+#| msgid "List of installed web applications"
+msgid "List of installed web apps"
+msgstr ""
 
-#: embed/ephy-about-handler.c:295
+#: embed/ephy-about-handler.c:324
 msgid "Delete"
 msgstr "हटाउनुहोस"
 
 #. Note for translators: this refers to the installation date.
-#: embed/ephy-about-handler.c:297
+#: embed/ephy-about-handler.c:326
 msgid "Installed on:"
 msgstr "स्थापना :"
 
-#: embed/ephy-about-handler.c:324
-msgid ""
-"You can add your favorite website by clicking <b>Install Site as Web Application…</b> within the "
-"page menu."
+#: embed/ephy-about-handler.c:365
+msgid "You can add your favorite website by clicking <b>Install as Web App…</b> within the page menu."
 msgstr ""
 
 #. Displayed when opening the browser for the first time.
-#: embed/ephy-about-handler.c:416
+#: embed/ephy-about-handler.c:470
 msgid "Welcome to Web"
 msgstr "वेबमा स्वागत छ"
 
-#: embed/ephy-about-handler.c:416
+#: embed/ephy-about-handler.c:470
 msgid "Start browsing and your most-visited sites will appear here."
 msgstr ""
 
-#: embed/ephy-about-handler.c:452 embed/web-process-extension/resources/js/overview.js:148
+#: embed/ephy-about-handler.c:504 embed/web-process-extension/resources/js/overview.js:151
 msgid "Remove from overview"
 msgstr "दृश्यबाट हटाउनुहोस्"
 
-#: embed/ephy-about-handler.c:542 embed/ephy-about-handler.c:543
+#: embed/ephy-about-handler.c:594 embed/ephy-about-handler.c:595
 msgid "Private Browsing"
 msgstr "व्यक्तिगत ब्राउजिङ"
 
-#: embed/ephy-about-handler.c:544
+#: embed/ephy-about-handler.c:596
 msgid ""
-"You are currently browsing incognito. Pages viewed in this mode will not show up in your browsing "
-"history and all stored information will be cleared when you close the window. Files you download "
-"will be kept."
+"You are currently browsing incognito. Pages viewed in this mode will not show up in your browsing history and all "
+"stored information will be cleared when you close the window. Files you download will be kept."
 msgstr ""
 
-#: embed/ephy-about-handler.c:548
+#: embed/ephy-about-handler.c:600
 msgid "Incognito mode hides your activity only from people using this computer."
 msgstr ""
 
-#: embed/ephy-about-handler.c:550
+#: embed/ephy-about-handler.c:602
 msgid ""
-"It will not hide your activity from your employer if you are at work. Your internet service "
-"provider, your government, other governments, the websites that you visit, and advertisers on "
-"these websites may still be tracking you."
+"It will not hide your activity from your employer if you are at work. Your internet service provider, your government, "
+"other governments, the websites that you visit, and advertisers on these websites may still be tracking you."
 msgstr ""
 
-#. Translators: a desktop notification when a download finishes.
-#: embed/ephy-download.c:725
-#, c-format
-msgid "Finished downloading %s"
-msgstr "%s डाउनलोड समाप्त भयो"
+#: embed/ephy-client-certificate-manager.c:292
+msgid "PIN required"
+msgstr "पिन आवश्यक"
 
-#. Translators: the title of the notification.
-#: embed/ephy-download.c:727
-msgid "Download finished"
-msgstr "डाउनलोड समाप्त भयो"
+#: embed/ephy-client-certificate-manager.c:295
+#, c-format
+msgid "Please enter PIN for %s, to authenticate at %s:%d."
+msgstr ""
 
-#  The name of the default downloads folder
-#: embed/ephy-download.c:854
-msgid "Download requested"
-msgstr "डाउनलोड अनुरोध गरियोडाउनलोड अनुरोध गरियो"
-
-#: embed/ephy-download.c:855 lib/widgets/ephy-file-chooser.c:113 src/ephy-web-extension-dialog.c:93
-#: src/ephy-web-extension-dialog.c:269 src/resources/gtk/firefox-sync-dialog.ui:166
-#: src/resources/gtk/history-dialog.ui:91 src/resources/gtk/prefs-lang-dialog.ui:14
-#: src/window-commands.c:309 src/window-commands.c:379 src/window-commands.c:424
-#: src/window-commands.c:550 src/window-commands.c:648 src/window-commands.c:792
-#: src/window-commands.c:1920
+#: embed/ephy-client-certificate-manager.c:303 embed/ephy-client-certificate-manager.c:388 embed/ephy-download.c:762
+#: src/ephy-history-dialog.c:572 src/ephy-window.c:254 src/preferences/extension-view.c:118
+#: src/preferences/passwords-view.c:183 src/resources/gtk/firefox-sync-dialog.ui:117
+#: src/resources/gtk/history-dialog.ui:41 src/resources/gtk/prefs-lang-dialog.ui:17 src/window-commands.c:331
+#: src/window-commands.c:577 src/window-commands.c:831 src/window-commands.c:1243 src/window-commands.c:1916
+#: src/window-commands.c:2818
 msgid "_Cancel"
 msgstr "_रद्द गर्नुहोस्"
 
+#: embed/ephy-client-certificate-manager.c:304
+msgid "_Login"
+msgstr "लगइन"
+
+#: embed/ephy-client-certificate-manager.c:374
+msgid "Select certificate"
+msgstr "प्रमाणपत्र चयन गर्नुहोस्"
+
+#: embed/ephy-client-certificate-manager.c:377
+#, c-format
+msgid "The website %s:%d requests that you provide a certificate for authentication for %s."
+msgstr ""
+
+#: embed/ephy-client-certificate-manager.c:382
+#, c-format
+#| msgid "The web site “%s” requests that you sign the following text:"
+msgid "The website %s:%d requests that you provide a certificate for authentication."
+msgstr ""
+
+#: embed/ephy-client-certificate-manager.c:389 src/window-commands.c:335
+msgid "_Select"
+msgstr "_चयन गर्नुहोस्"
+
+#: embed/ephy-download.c:708 src/preferences/prefs-general-page.c:556
+msgid "Select a Directory"
+msgstr "निर्देशिका चयन गर्नुहोस्"
+
+#: embed/ephy-download.c:716
+msgid "Select the Destination"
+msgstr "गन्तव्य चयन गर्नुहोस्"
+
 #  The name of the default downloads folder
-#: embed/ephy-download.c:855
+#: embed/ephy-download.c:759
+msgid "Download Requested"
+msgstr "डाउनलोड अनुरोध गरियो"
+
+#  The name of the default downloads folder
+#: embed/ephy-download.c:763
 msgid "_Download"
 msgstr "डाउनलोड"
 
-#: embed/ephy-download.c:868
+#. Type
+#: embed/ephy-download.c:791
 #, c-format
 msgid "Type: %s (%s)"
 msgstr "प्रकार: %s (%s)"
 
-#. From
-#: embed/ephy-download.c:874
+#. Source
+#: embed/ephy-download.c:797
 #, c-format
-msgid "From: %s"
-msgstr "बाट: %s "
+msgid "Source: %s"
+msgstr "स्रोत: %s"
 
 #. Question
-#: embed/ephy-download.c:879
-#, fuzzy
+#: embed/ephy-download.c:803
 msgid "Where do you want to save the file?"
-msgstr "पहिले नै प्रयोग गरियो !तपाईँ त्यसलाई कहाँ राख्न चाहनुहुन्छ ?"
+msgstr ""
 
-#. File Chooser Button
-#: embed/ephy-download.c:884
-msgid "Save file"
-msgstr "फाइल बचत गर्नुहोस्"
+#. Translators: a desktop notification when a download finishes.
+#: embed/ephy-download.c:962
+#, c-format
+msgid "Finished downloading %s"
+msgstr "%s डाउनलोड समाप्त भयो"
+
+#. Translators: the title of the notification.
+#: embed/ephy-download.c:964
+msgid "Download finished"
+msgstr "डाउनलोड समाप्त भयो"
 
 #. Translators: 'ESC' and 'F11' are keyboard keys.
-#: embed/ephy-embed.c:533
-#, fuzzy, c-format
+#: embed/ephy-embed.c:514
+#, c-format
 #| msgid "Browse at full screen"
 msgid "Press %s to exit fullscreen"
-msgstr "निस्कन ESC थिच्नुहोस्"
+msgstr ""
 
-#: embed/ephy-embed.c:533
+#: embed/ephy-embed.c:514
 msgid "ESC"
 msgstr "ESC"
 
-#: embed/ephy-embed.c:533
+#: embed/ephy-embed.c:514
 msgid "F11"
 msgstr "F11"
 
 #. Translators: this means WebDriver control.
-#: embed/ephy-embed.c:807
-msgid "Web is being controlled by automation."
+#: embed/ephy-embed.c:793
+msgid "Web is being controlled by automation"
 msgstr "स्वचालनद्वारा वेब नियन्त्रण भइरहेको छ ।"
 
-#: embed/ephy-embed-shell.c:766
-#, fuzzy, c-format
+#: embed/ephy-embed-shell.c:640
+#, c-format
 #| msgid "User is not allowed to close Epiphany"
 msgid "URI %s not authorized to access Epiphany resource %s"
-msgstr "प्रयोगकर्तालाई इपिफ्यानी बन्द गर्न अनुमति छैन"
+msgstr ""
 
 #: embed/ephy-embed-utils.c:70
 #, c-format
 msgid "Send an email message to “%s”"
-msgstr " %s लाई इमेल पठाउनुहोस्."
+msgstr "%s लाई इमेल पठाउनुहोस्."
 
 #. TRANSLATORS: This string is part of the previous translatable string.
 #. * It is appended for each extraneous mailto: URI email address. For
@@ -1018,7 +1010,6 @@ msgstr " %s लाई इमेल प
 #.
 #: embed/ephy-embed-utils.c:82
 #, c-format
-#| msgid "Load “%s”"
 msgid ", “%s”"
 msgstr ", “%s”"
 
@@ -1027,7 +1018,8 @@ msgid "Blank page"
 msgstr "खाली पृष्ठ"
 
 #. Title for the blank page
-#: embed/ephy-embed-utils.h:32
+#. Translators: tooltip for the new tab button
+#: embed/ephy-embed-utils.h:32 src/resources/gtk/action-bar-start.ui:117
 msgid "New Tab"
 msgstr "नयाँ ट्याब"
 
@@ -1359,447 +1351,332 @@ msgstr "युनिकोड (UTF-3_2 L
 msgid "Unknown (%s)"
 msgstr "अज्ञात(%s)"
 
-#: embed/ephy-find-toolbar.c:113
-msgid "Text not found"
-msgstr "पाठ फेला परेन"
-
-#: embed/ephy-find-toolbar.c:119
-msgid "Search wrapped back to the top"
-msgstr ""
-
-#: embed/ephy-find-toolbar.c:395
+#: embed/ephy-find-toolbar.c:235
 msgid "Type to search…"
 msgstr "खोजी गर्न टाईप गर्नुहोस्"
 
-#: embed/ephy-find-toolbar.c:401
+#: embed/ephy-find-toolbar.c:241
 msgid "Find previous occurrence of the search string"
 msgstr "खोज्ने स्ट्रिङको अघिल्लो घटना फेला पार्नुहोस्"
 
-#: embed/ephy-find-toolbar.c:408
+#: embed/ephy-find-toolbar.c:248
 msgid "Find next occurrence of the search string"
 msgstr "खोज्ने स्ट्रिङको पछिल्लो घटना फेला पार्नुहोस्"
 
-#: embed/ephy-reader-handler.c:297 embed/ephy-view-source-handler.c:266
+#: embed/ephy-reader-handler.c:309
 #, c-format
 msgid "%s is not a valid URI"
 msgstr "%s  वैध यूआरआई होइन"
 
-#: embed/ephy-web-view.c:193 src/window-commands.c:1359
-msgid "Open"
-msgstr "खोल्नुहोस्"
-
-#: embed/ephy-web-view.c:372
-msgid "Not No_w"
-msgstr "अहिले होइन"
+#: embed/ephy-search-entry.c:495
+msgid "Text not found"
+msgstr "पाठ फेला परेन"
 
-#: embed/ephy-web-view.c:373
-msgid "_Never Save"
-msgstr "कहिल्यै पनि बचत नगर्नुहोस्"
+#: embed/ephy-search-entry.c:499
+msgid "Search wrapped back to the top"
+msgstr ""
 
-#: embed/ephy-web-view.c:374 lib/widgets/ephy-file-chooser.c:124
-#: src/resources/gtk/firefox-sync-dialog.ui:175 src/window-commands.c:647
-msgid "_Save"
-msgstr "बचत गर्नुहोस्"
+#: embed/ephy-web-view.c:227 lib/ephy-file-dialog-utils.c:76
+msgid "All files"
+msgstr "सबै फाइलहरू"
 
-#. Translators: The %s the hostname where this is happening.
-#. * Example: mail.google.com.
-#.
-#: embed/ephy-web-view.c:381
-#, fuzzy, c-format
-#| msgid "Choose a password for the “%s” token"
-msgid "Do you want to save your password for “%s”?"
-msgstr "“%s” टोकनका लागि पासवर्ड रोज्नुहोस्"
+#: embed/ephy-web-view.c:236 lib/ephy-file-dialog-utils.c:64
+msgid "All supported types"
+msgstr "सबै समर्थित प्रकार"
 
 #. Translators: Message appears when insecure password form is focused.
-#: embed/ephy-web-view.c:620
-msgid "Heads-up: this form is not secure. If you type your password, it will not be kept private."
+#: embed/ephy-web-view.c:566
+msgid "This form is not secure ‒ passwords will not be kept private"
 msgstr ""
 
-#: embed/ephy-web-view.c:844
+#: embed/ephy-web-view.c:567 embed/ephy-web-view.c:3268
+msgid "_Dismiss"
+msgstr "खारेज"
+
+#: embed/ephy-web-view.c:741
 msgid "Web process crashed"
 msgstr "वेब प्रक्रिया क्र्यास भयो"
 
-#: embed/ephy-web-view.c:847
+#: embed/ephy-web-view.c:744
 msgid "Web process terminated due to exceeding memory limit"
 msgstr ""
 
-#: embed/ephy-web-view.c:850
+#: embed/ephy-web-view.c:747
 msgid "Web process terminated by API request"
 msgstr ""
 
-#: embed/ephy-web-view.c:894
-#, fuzzy, c-format
-msgid "The current page '%s' is unresponsive"
-msgstr "पृष्ठ %s"
-
-#: embed/ephy-web-view.c:897
-msgid "_Wait"
-msgstr "प्रतिक्षा गर्नुहोस्"
-
-#: embed/ephy-web-view.c:898
-msgid "_Kill"
-msgstr "नष्ट गर्नुहोस्"
-
-#: embed/ephy-web-view.c:1123 embed/ephy-web-view.c:1244 lib/widgets/ephy-security-popover.c:512
-msgid "Deny"
-msgstr "अस्वीकार गर्नुहोस्"
-
-#: embed/ephy-web-view.c:1124 embed/ephy-web-view.c:1245 lib/widgets/ephy-security-popover.c:511
-msgid "Allow"
-msgstr "अनुमति दिनुहोस्"
+#: embed/ephy-web-view.c:788
+msgid "Page Unresponsive"
+msgstr "पृष्ठ अनुत्तरदायी"
 
-#. Translators: Notification policy for a specific site.
-#: embed/ephy-web-view.c:1137
-#, fuzzy, c-format
-msgid "The page at %s wants to show desktop notifications."
-msgstr "यो पृष्ठ तपाइँको उपकरणको स्थान जान्न चाहनुहुन्छ।"
-
-#. Translators: Geolocation policy for a specific site.
-#: embed/ephy-web-view.c:1142
+#: embed/ephy-web-view.c:792
 #, c-format
-msgid "The page at %s wants to know your location."
-msgstr "%s पृष्ठले तपाईँको स्थान जान्न चाहन्छ ।"
-
-#. Translators: Microphone policy for a specific site.
-#: embed/ephy-web-view.c:1147
-#, fuzzy, c-format
-msgid "The page at %s wants to use your microphone."
-msgstr "यो पृष्ठ तपाइँको उपकरणको स्थान जान्न चाहनुहुन्छ।"
-
-#. Translators: Webcam policy for a specific site.
-#: embed/ephy-web-view.c:1152
-#, fuzzy, c-format
-msgid "The page at %s wants to use your webcam."
-msgstr "यो पृष्ठ तपाइँको उपकरणको स्थान जान्न चाहनुहुन्छ।"
-
-#. Translators: Webcam and microphone policy for a specific site.
-#: embed/ephy-web-view.c:1157
-#, fuzzy, c-format
-msgid "The page at %s wants to use your webcam and microphone."
-msgstr "यो पृष्ठ तपाइँको उपकरणको स्थान जान्न चाहनुहुन्छ।"
+msgid "The current page “%s” is not responding"
+msgstr "हालको पृष्ठ \"%s\" प्रत्युत्तर दिइरहेको छैन"
 
-#: embed/ephy-web-view.c:1252
-#, c-format
-msgid "Do you want to allow “%s” to use cookies while browsing “%s”?"
-msgstr ""
+#: embed/ephy-web-view.c:796
+msgid "_Wait"
+msgstr "प्रतिक्षा गर्नुहोस्"
 
-#: embed/ephy-web-view.c:1261
-#, c-format
-msgid "This will allow “%s” to track your activity."
-msgstr "यसले \"%s\" लाई तपाईँको क्रियाकलाप ट्रयाक गर्न अनुमति दिन्छ ।"
+#  View menu
+#: embed/ephy-web-view.c:797
+msgid "Force _Stop"
+msgstr "बल पूर्वक रोक्न सक्छ"
 
 #. translators: %s here is the address of the web page
-#: embed/ephy-web-view.c:1439
+#: embed/ephy-web-view.c:1047
 #, c-format
 msgid "Loading “%s”…"
 msgstr " “%s” लोड हुँदैछ…"
 
-#: embed/ephy-web-view.c:1441 embed/ephy-web-view.c:1447
+#: embed/ephy-web-view.c:1049 embed/ephy-web-view.c:1055
 msgid "Loading…"
 msgstr "लोड हुँदैछ..."
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1786
+#: embed/ephy-web-view.c:1533
 msgid "This website presented identification that belongs to a different website."
 msgstr "यो वेबसाइटले भिन्न वेबसाइटको पहिचान प्रस्तुत गरेको थियो।"
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1791
-msgid ""
-"This website’s identification is too old to trust. Check the date on your computer’s calendar."
+#: embed/ephy-web-view.c:1538
+msgid "This website’s identification is too old to trust. Check the date on your computer’s calendar."
 msgstr "यो वेबसाइटको पहिचान भरोसा गर्न धेरै पुरानो छ। तपाईँको कम्प्युटरको क्यालेन्डरमा मिति जाँच गर्नुहोस् ।"
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1796
+#: embed/ephy-web-view.c:1543
 msgid "This website’s identification was not issued by a trusted organization."
 msgstr "यो वेबसाइटको पहिचान एक विश्वसनीय संगठनद्वारा जारी गरिएको थिएन।"
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1801
+#: embed/ephy-web-view.c:1548
 msgid "This website’s identification could not be processed. It may be corrupted."
 msgstr "यो वेबसाइटको पहिचान प्रक्रिया गर्न सकेन । यो भ्रष्ट हुन सक्छ ।"
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1806
+#: embed/ephy-web-view.c:1553
 msgid "This website’s identification has been revoked by the trusted organization that issued it."
-msgstr ""
+msgstr "यो वेबसाइटको पहिचान यसलाई जारी गर्ने विश्वसनीय संगठनद्वारा रद्द गरिएको छ।"
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1811
+#: embed/ephy-web-view.c:1558
 msgid "This website’s identification cannot be trusted because it uses very weak encryption."
 msgstr ""
 
 #. Possible error message when a site presents a bad certificate.
-#: embed/ephy-web-view.c:1816
-msgid ""
-"This website’s identification is only valid for future dates. Check the date on your computer’s "
-"calendar."
+#: embed/ephy-web-view.c:1563
+msgid "This website’s identification is only valid for future dates. Check the date on your computer’s calendar."
 msgstr ""
 
 #. Page title when a site cannot be loaded due to a network error.
 #. Page title when a site cannot be loaded due to a page crash error.
-#: embed/ephy-web-view.c:1881 embed/ephy-web-view.c:1937
+#: embed/ephy-web-view.c:1628 embed/ephy-web-view.c:1684
 #, c-format
 msgid "Problem Loading Page"
 msgstr "पृष्ठ लोड गर्दा समस्या"
 
 #. Message title when a site cannot be loaded due to a network error.
-#: embed/ephy-web-view.c:1884
-#, fuzzy
+#: embed/ephy-web-view.c:1631
 msgid "Unable to display this website"
-msgstr "क्याल्कुलेटर पटल भेट्टाउन सकिएन ।"
+msgstr "यो वेबसाइट प्रदर्शन गर्न अक्षम"
 
 #. Error details when a site cannot be loaded due to a network error.
-#: embed/ephy-web-view.c:1889
+#: embed/ephy-web-view.c:1636
 #, c-format
 msgid "The site at %s seems to be unavailable."
-msgstr "%s मा भएको साइट उपलब्ध नभएको देखिन्छ ।"
+msgstr "%s मा भएको साइट उपलब्ध नभएको देखिन्छ ।."
 
 #. Further error details when a site cannot be loaded due to a network error.
-#: embed/ephy-web-view.c:1893
+#: embed/ephy-web-view.c:1640
 msgid ""
-"It may be temporarily inaccessible or moved to a new address. You may wish to verify that your "
-"internet connection is working correctly."
+"It may be temporarily inaccessible or moved to a new address. You may wish to verify that your internet connection is "
+"working correctly."
 msgstr ""
 
 #. Technical details when a site cannot be loaded due to a network error.
-#: embed/ephy-web-view.c:1903
-#, fuzzy, c-format
+#: embed/ephy-web-view.c:1650
+#, c-format
 msgid "The precise error was: %s"
-msgstr "%s खोल्दा त्रुटि: %s"
+msgstr "सटीक त्रुटि: %s"
 
 #. The button on the network error page. DO NOT ADD MNEMONICS HERE.
 #. The button on the page crash error page. DO NOT ADD MNEMONICS HERE.
 #. The button on the process crash error page. DO NOT ADD MNEMONICS HERE.
 #. The button on the unresponsive process error page. DO NOT ADD MNEMONICS HERE.
-#: embed/ephy-web-view.c:1908 embed/ephy-web-view.c:1961 embed/ephy-web-view.c:1997
-#: embed/ephy-web-view.c:2033 src/resources/gtk/page-menu-popover.ui:102
+#. Translators: tooltip for the refresh button
+#: embed/ephy-web-view.c:1655 embed/ephy-web-view.c:1708 embed/ephy-web-view.c:1744 embed/ephy-web-view.c:1780
+#: src/ephy-action-bar-start.c:36 src/resources/gtk/page-menu-popover.ui:170
 msgid "Reload"
 msgstr "फेरि लोड गर्नुहोस्"
 
 #. Mnemonic for the Reload button on browser error pages.
-#: embed/ephy-web-view.c:1912 embed/ephy-web-view.c:1965 embed/ephy-web-view.c:2001
-#: embed/ephy-web-view.c:2037
+#: embed/ephy-web-view.c:1659 embed/ephy-web-view.c:1712 embed/ephy-web-view.c:1748 embed/ephy-web-view.c:1784
 msgctxt "reload-access-key"
 msgid "R"
 msgstr "R"
 
 #. Message title when a site cannot be loaded due to a page crash error.
-#: embed/ephy-web-view.c:1940
+#: embed/ephy-web-view.c:1687
 msgid "Oops! There may be a problem"
 msgstr "ओउप्स! समस्या हुन सक्छ"
 
 #. Error details when a site cannot be loaded due to a page crash error.
-#: embed/ephy-web-view.c:1945
+#: embed/ephy-web-view.c:1692
 #, c-format
 msgid "The page %s may have caused Web to close unexpectedly."
 msgstr ""
 
 #. Further error details when a site cannot be loaded due to a page crash error.
-#: embed/ephy-web-view.c:1952
+#: embed/ephy-web-view.c:1699
 #, c-format
 msgid "If this happens again, please report the problem to the %s developers."
 msgstr ""
 
 #. Page title when a site cannot be loaded due to a process crash error.
-#: embed/ephy-web-view.c:1986
+#: embed/ephy-web-view.c:1733
 #, c-format
 msgid "Problem Displaying Page"
 msgstr "पृष्ठ प्रदर्शन गर्दा त्रुटि"
 
 #. Message title when a site cannot be loaded due to a process crash error.
-#: embed/ephy-web-view.c:1989
+#: embed/ephy-web-view.c:1736
 msgid "Oops!"
 msgstr "ओहो!"
 
 #. Error details when a site cannot be loaded due to a process crash error.
-#: embed/ephy-web-view.c:1992
-#, fuzzy
-msgid ""
-"Something went wrong while displaying this page. Please reload or visit a different page to "
-"continue."
-msgstr "%1 देखाउने बेलामा केही त्रुटी भयो।"
+#: embed/ephy-web-view.c:1739
+msgid "Something went wrong while displaying this page. Please reload or visit a different page to continue."
+msgstr ""
 
 #. Page title when web content has become unresponsive.
-#: embed/ephy-web-view.c:2022
+#: embed/ephy-web-view.c:1769
 #, c-format
 msgid "Unresponsive Page"
 msgstr "असमर्थित पृष्ठ"
 
 #. Message title when web content has become unresponsive.
-#: embed/ephy-web-view.c:2025
+#: embed/ephy-web-view.c:1772
 msgid "Uh-oh!"
 msgstr "अह - ओहो !"
 
 #. Error details when web content has become unresponsive.
-#: embed/ephy-web-view.c:2028
-msgid ""
-"This page has been unresponsive for too long. Please reload or visit a different page to continue."
+#: embed/ephy-web-view.c:1775
+msgid "This page has been unresponsive for too long. Please reload or visit a different page to continue."
 msgstr ""
 
 #. Page title when a site is not loaded due to an invalid TLS certificate.
-#: embed/ephy-web-view.c:2064
+#: embed/ephy-web-view.c:1811
 #, c-format
 msgid "Security Violation"
 msgstr "सुरक्षा उल्लंघन"
 
 #. Message title when a site is not loaded due to an invalid TLS certificate.
-#: embed/ephy-web-view.c:2067
+#: embed/ephy-web-view.c:1814
 msgid "This Connection is Not Secure"
 msgstr "यो जडान सुरक्षित छैन"
 
 #. Error details when a site is not loaded due to an invalid TLS certificate.
-#: embed/ephy-web-view.c:2072
+#: embed/ephy-web-view.c:1819
 #, c-format
 msgid ""
-"This does not look like the real %s. Attackers might be trying to steal or alter information going "
-"to or from this site."
+"This does not look like the real %s. Attackers might be trying to steal or alter information going to or from this site."
 msgstr ""
 
 #  Go menu
 #. The button on the invalid TLS certificate error page. DO NOT ADD MNEMONICS HERE.
-#. The button on unsafe browsing error page. DO NOT ADD MNEMONICS HERE.
 #. The button on no such file error page. DO NOT ADD MNEMONICS HERE.
-#: embed/ephy-web-view.c:2082 embed/ephy-web-view.c:2170 embed/ephy-web-view.c:2220
+#: embed/ephy-web-view.c:1829 embed/ephy-web-view.c:1879
 msgid "Go Back"
 msgstr "पछाडी जानुहोस्"
 
 #. Mnemonic for the Go Back button on the invalid TLS certificate error page.
-#. Mnemonic for the Go Back button on the unsafe browsing error page.
 #. Mnemonic for the Go Back button on the no such file error page.
-#: embed/ephy-web-view.c:2085 embed/ephy-web-view.c:2173 embed/ephy-web-view.c:2223
+#: embed/ephy-web-view.c:1832 embed/ephy-web-view.c:1882
 msgctxt "back-access-key"
 msgid "B"
 msgstr "B"
 
 #. The hidden button on the invalid TLS certificate error page. Do not add mnemonics here.
-#. The hidden button on the unsafe browsing error page. Do not add mnemonics here.
-#: embed/ephy-web-view.c:2088 embed/ephy-web-view.c:2176
+#: embed/ephy-web-view.c:1835
 msgid "Accept Risk and Proceed"
 msgstr "जोखिम स्वीकार्नुहोस् र अघि बढ्नुहोस्"
 
 #. Mnemonic for the Accept Risk and Proceed button on the invalid TLS certificate error page.
-#. Mnemonic for the Accept Risk and Proceed button on the unsafe browsing error page.
-#: embed/ephy-web-view.c:2092 embed/ephy-web-view.c:2180
+#: embed/ephy-web-view.c:1839
 msgctxt "proceed-anyway-access-key"
 msgid "P"
 msgstr "P"
 
-#. Page title when a site is flagged by Google Safe Browsing verification.
-#: embed/ephy-web-view.c:2120
-#, c-format
-msgid "Security Warning"
-msgstr "सुरक्षा चेतावनी"
-
-#. Message title on the unsafe browsing error page.
-#: embed/ephy-web-view.c:2123
-msgid "Unsafe website detected!"
-msgstr "असुरक्षित वेबसाइट फेला पर्‍यो"
-
-#: embed/ephy-web-view.c:2131
-#, c-format
-msgid ""
-"Visiting %s may harm your computer. This page appears to contain malicious code that could be "
-"downloaded to your computer without your consent."
-msgstr ""
-
-#: embed/ephy-web-view.c:2135
-#, c-format
-msgid ""
-"You can learn more about harmful web content including viruses and other malicious code and how to "
-"protect your computer at %s."
-msgstr ""
-
-#: embed/ephy-web-view.c:2142
-#, c-format
-msgid ""
-"Attackers on %s may trick you into doing something dangerous like installing software or revealing "
-"your personal information (for example, passwords, phone numbers, or credit cards)."
-msgstr ""
-
-#: embed/ephy-web-view.c:2147
-#, c-format
-msgid "You can find out more about social engineering (phishing) at %s or from %s."
-msgstr ""
-
-#: embed/ephy-web-view.c:2156
-#, c-format
-msgid ""
-"%s may contain harmful programs. Attackers might attempt to trick you into installing programs "
-"that harm your browsing experience (for example, by changing your homepage or showing extra ads on "
-"sites you visit)."
-msgstr ""
-
-#: embed/ephy-web-view.c:2161
-#, c-format
-msgid "You can learn more about unwanted software at %s."
-msgstr ""
-
 #. Page title on no such file error page
 #. Message title on the no such file error page.
-#: embed/ephy-web-view.c:2203 embed/ephy-web-view.c:2206
+#: embed/ephy-web-view.c:1862 embed/ephy-web-view.c:1865
 #, c-format
 msgid "File not found"
 msgstr "फाइल फेला परेन "
 
-#: embed/ephy-web-view.c:2211
+#: embed/ephy-web-view.c:1870
 #, c-format
 msgid "%s could not be found."
-msgstr "%s फेला पर्न सकेन"
+msgstr "%s फेला पर्न सकेन."
 
-#: embed/ephy-web-view.c:2213
+#: embed/ephy-web-view.c:1872
 #, c-format
 msgid ""
-"Please check the file name for capitalization or other typing errors. Also check if it has been "
-"moved, renamed, or deleted."
+"Please check the file name for capitalization or other typing errors. Also check if it has been moved, renamed, or "
+"deleted."
 msgstr ""
 
-#: embed/ephy-web-view.c:2276
+#: embed/ephy-web-view.c:1935
 msgid "None specified"
 msgstr "केही पनि छैन"
 
-#: embed/ephy-web-view.c:2407
+#: embed/ephy-web-view.c:2049
 msgid "Technical information"
 msgstr "प्राविधिक विवरण"
 
-#: embed/ephy-web-view.c:3602
-msgid "_OK"
-msgstr "_ठिक छ"
-
 #: lib/contrib/gnome-languages.c:719
 msgid "Unspecified"
 msgstr "निर्दिष्ट नगरिएको"
 
+#: lib/ephy-file-dialog-utils.c:68
+msgid "Web pages"
+msgstr "वेब पृष्ठ"
+
+#: lib/ephy-file-dialog-utils.c:72
+msgid "Images"
+msgstr "छवि"
+
 #  The name of the default downloads folder
 #. If we don't have XDG user dirs info, return an educated guess.
-#: lib/ephy-file-helpers.c:118 src/resources/gtk/prefs-general-page.ui:185
+#. Translators: tooltip for the downloads button
+#: lib/ephy-file-helpers.c:120 lib/ephy-file-helpers.c:196 src/resources/gtk/action-bar-end.ui:11
+#: src/resources/gtk/prefs-general-page.ui:123
 msgid "Downloads"
 msgstr "डाउनलोड"
 
 #. If we don't have XDG user dirs info, return an educated guess.
-#: lib/ephy-file-helpers.c:175
+#: lib/ephy-file-helpers.c:177 lib/ephy-file-helpers.c:193
 msgid "Desktop"
 msgstr "डेस्कटप"
 
-#: lib/ephy-file-helpers.c:392
+#: lib/ephy-file-helpers.c:190
+msgid "Home"
+msgstr "गृह"
+
+#: lib/ephy-file-helpers.c:427
 #, c-format
 msgid "Could not create a temporary directory in “%s”."
-msgstr "%s मा अस्थायी डाइरेक्टरी सिर्जना गर्न सकेन।"
+msgstr "%s मा अस्थायी डाइरेक्टरी सिर्जना गर्न सकेन।."
 
-#: lib/ephy-file-helpers.c:514
+#: lib/ephy-file-helpers.c:547
 #, c-format
 msgid "The file “%s” exists. Please move it out of the way."
-msgstr "%s फाइल अवस्थित छ, कृपया यसलाई बाटोबाट हटाउनुहोस्।"
+msgstr "%s फाइल अवस्थित छ, कृपया यसलाई बाटोबाट हटाउनुहोस्।."
 
-#: lib/ephy-file-helpers.c:533
+#: lib/ephy-file-helpers.c:566
 #, c-format
 msgid "Failed to create directory “%s”."
-msgstr "%s डाइरेक्टरी सिर्जना गर्न असफल भयो।"
-
-#: lib/ephy-gui.c:73
-#, c-format
-msgid "Could not display help: %s"
-msgstr "मद्दत प्रदर्शन गर्न सकेन: %s"
+msgstr "%s डाइरेक्टरी सिर्जना गर्न असफल भयो।."
 
 #. TRANSLATORS: Please modify the main address of duckduckgo in order to match
 #. * the version used in your country. For example for the french version :
@@ -1886,11 +1763,39 @@ msgstr "%b %d %Y"
 msgid "Unknown"
 msgstr "अज्ञात"
 
+#: lib/ephy-web-app-utils.c:325
+#, c-format
+msgid "Failed to get desktop filename for webapp id %s"
+msgstr ""
+
+#: lib/ephy-web-app-utils.c:348
+#, c-format
+#| msgid "Failed to obtain storage credentials."
+msgid "Failed to install desktop file %s: "
+msgstr ""
+
+#: lib/ephy-web-app-utils.c:387
+#, c-format
+#| msgid "Profile directory to use in the private instance"
+msgid "Profile directory %s already exists"
+msgstr ""
+
+#: lib/ephy-web-app-utils.c:394
+#, c-format
+msgid "Failed to create directory %s"
+msgstr "%s डाइरेक्टरी सिर्जना गर्न असफल भयो।."
+
+#: lib/ephy-web-app-utils.c:406
+#, c-format
+#| msgid "Failed to create directory “%s”."
+msgid "Failed to create .app file: %s"
+msgstr ""
+
 #: lib/sync/ephy-password-import.c:133
-#, fuzzy, c-format
+#, c-format
 #| msgid "Check the location of the file and try again."
 msgid "Cannot create SQLite connection. Close browser and try again."
-msgstr "फाइलको स्थानमा जाँच गर्नुहोस् र पुन: प्रयास गर्नुहोस्।"
+msgstr ""
 
 #: lib/sync/ephy-password-import.c:142 lib/sync/ephy-password-import.c:152
 #, c-format
@@ -1900,820 +1805,881 @@ msgstr ""
 #. Translators: The first %s is the username and the second one is the
 #. * security origin where this is happening. Example: gnome@gmail.com and
 #. * https://mail.google.com.
-#: lib/sync/ephy-password-manager.c:433
-#, fuzzy, c-format
+#: lib/sync/ephy-password-manager.c:450
+#, c-format
 msgid "Password for %s in a form in %s"
-msgstr "%s PIN वा पासवर्ड प्रविष्टि गर्नुहोस्"
+msgstr ""
 
 #. Translators: The %s is the security origin where this is happening.
 #. * Example: https://mail.google.com.
-#: lib/sync/ephy-password-manager.c:437
+#: lib/sync/ephy-password-manager.c:454
 #, c-format
 msgid "Password in a form in %s"
 msgstr "%s मा एउटा फारममा पासवर्ड"
 
-#: lib/sync/ephy-sync-service.c:1043
+#: lib/sync/ephy-sync-service.c:932
+msgid "Response body is empty, do you need to install glib-networking?"
+msgstr ""
+
+#: lib/sync/ephy-sync-service.c:990
 msgid "Failed to obtain storage credentials."
 msgstr "भण्डार प्रमाणपत्र प्राप्त गर्न असफल भयो ।"
 
-#: lib/sync/ephy-sync-service.c:1044 lib/sync/ephy-sync-service.c:1205
-#: lib/sync/ephy-sync-service.c:2055
+#: lib/sync/ephy-sync-service.c:991 lib/sync/ephy-sync-service.c:1137 lib/sync/ephy-sync-service.c:1901
 msgid "Please visit Firefox Sync and sign in again to continue syncing."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1195
-msgid "The password of your Firefox account seems to have been changed."
+#: lib/sync/ephy-sync-service.c:1127
+msgid "The password of your Mozilla account seems to have been changed."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1196
+#: lib/sync/ephy-sync-service.c:1128
 msgid "Please visit Firefox Sync and sign in with the new password to continue syncing."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:1204
+#: lib/sync/ephy-sync-service.c:1136
 msgid "Failed to obtain signed certificate."
 msgstr "साइन गरिएको प्रमाणपत्र प्राप्त गर्न असफल भयो ।"
 
-#: lib/sync/ephy-sync-service.c:2021 lib/sync/ephy-sync-service.c:2026
+#: lib/sync/ephy-sync-service.c:1926 lib/sync/ephy-sync-service.c:1933
+msgid "The sync secrets for the current sync user are invalid."
+msgstr ""
+
+#: lib/sync/ephy-sync-service.c:1959 lib/sync/ephy-sync-service.c:1964
 msgid "Could not find the sync secrets for the current sync user."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2033 lib/sync/ephy-sync-service.c:2041
-msgid "The sync secrets for the current sync user are invalid."
+#: lib/sync/ephy-sync-service.c:2007
+msgid "Failed to store sync secrets (is the secret service or secrets portal broken?): "
 msgstr ""
 
 #. Translators: %s is the email of the user.
-#: lib/sync/ephy-sync-service.c:2149
+#: lib/sync/ephy-sync-service.c:2049
 #, c-format
 msgid "The sync secrets of %s"
 msgstr "समक्रमण गुप्तिहरू: %s"
 
-#: lib/sync/ephy-sync-service.c:2184
+#: lib/sync/ephy-sync-service.c:2079
 msgid "Failed to upload client record."
 msgstr "ग्राहक रेकर्ड अपलोड गर्न असफल भयो ।"
 
-#: lib/sync/ephy-sync-service.c:2393
-#, fuzzy
+#: lib/sync/ephy-sync-service.c:2282
 msgid "Failed to upload crypto/keys record."
-msgstr "ग्राहक रेकर्ड अपलोड गर्न असफल भयो ।"
+msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2510
+#: lib/sync/ephy-sync-service.c:2394
 msgid "Failed to retrieve crypto keys."
 msgstr "गुप्त कुञ्जी हरू पुन: प्राप्त गर्न असफल भयो ।"
 
-#: lib/sync/ephy-sync-service.c:2569
-#, fuzzy
+#: lib/sync/ephy-sync-service.c:2448
 msgid "Failed to upload meta/global record."
-msgstr "ग्राहक रेकर्ड अपलोड गर्न असफल भयो ।"
+msgstr ""
 
 #. Translators: the %d is the storage version, the \n is a newline character.
-#: lib/sync/ephy-sync-service.c:2696
+#: lib/sync/ephy-sync-service.c:2570
 #, c-format
-msgid "Your Firefox Account uses storage version %d. Web only supports version %d."
+msgid "Your Mozilla account uses storage version %d. Web only supports version %d."
 msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2707
-#, fuzzy
+#: lib/sync/ephy-sync-service.c:2581
 msgid "Failed to verify storage version."
-msgstr "योजनाकर्ताको यो संस्करणमा निर्माण गरिएको SQL भण्डारणका लागि समर्थन छैन।"
+msgstr ""
 
-#: lib/sync/ephy-sync-service.c:2770
+#: lib/sync/ephy-sync-service.c:2639
 msgid "Failed to upload device info"
 msgstr "यन्त्र सूचना अपलोड गर्न असफल"
 
-#: lib/sync/ephy-sync-service.c:2846 lib/sync/ephy-sync-service.c:2934
+#: lib/sync/ephy-sync-service.c:2715 lib/sync/ephy-sync-service.c:2798
 msgid "Failed to retrieve the Sync Key"
 msgstr "समक्रमण कुञ्जी पुन: प्राप्त गर्न असफल"
 
-#: lib/widgets/ephy-certificate-dialog.c:101
+#: src/bookmarks/ephy-bookmark-row.c:67
+msgid "Bookmark Properties"
+msgstr "पुस्तकचिन्हो गुणहरू"
+
+#: src/bookmarks/ephy-bookmarks-import.c:127
+#, c-format
+msgid "File is not a valid Epiphany bookmarks file: missing tags table"
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:145
+#, c-format
+msgid "File is not a valid Epiphany bookmarks file: missing bookmarks table"
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:247
+#, c-format
+msgid "Firefox bookmarks database could not be opened. Close Firefox and try again."
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:260 src/bookmarks/ephy-bookmarks-import.c:292
+#, c-format
+msgid "Firefox bookmarks could not be retrieved!"
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:459
+#, c-format
+msgid "HTML bookmarks database could not be opened: %s"
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:470
+msgid "HTML bookmarks database could not be read."
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:491
+#, c-format
+msgid "HTML bookmarks database could not be parsed: %s"
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-import.c:644
+#, c-format
+msgid "Bookmarks file could not be parsed:"
+msgstr ""
+
+#: src/bookmarks/ephy-bookmarks-manager.h:34
+msgid "Favorites"
+msgstr "मनपर्ने"
+
+#: src/bookmarks/ephy-bookmarks-manager.h:35
+msgid "Mobile"
+msgstr "मोबाइल"
+
+#: src/context-menu-commands.c:294
+msgid "Save Link As"
+msgstr "यस रूपमा लिङ्क बचत गर्नुहोस्"
+
+#: src/context-menu-commands.c:302
+msgid "Save Image As"
+msgstr "यस रूपमा छवि बचत गर्नुहोस्"
+
+#: src/context-menu-commands.c:310
+msgid "Save Media As"
+msgstr "यस रूपमा मिडिया बचत गर्नुहोस्"
+
+#. Translators: tooltip for the empty bookmark button
+#: src/ephy-action-bar-end.c:395 src/ephy-location-entry.c:1761
+msgid "Bookmark Page"
+msgstr "पुस्तकचिनो पृष्ठ"
+
+#. Translators: tooltip for the bookmarked button
+#: src/ephy-action-bar-end.c:403 src/ephy-location-entry.c:1769
+msgid "Edit Bookmark"
+msgstr "पुस्तकचिनो सम्पादन गर्नुहोस्"
+
+#  View menu
+#: src/ephy-action-bar-start.c:561
+msgid "Stop"
+msgstr "रोक्नुहोस्"
+
+#: src/ephy-certificate-dialog.c:269
 msgid "The certificate does not match this website"
 msgstr "प्रमाणपत्र यो वेब साइटसँग मिल्दैन"
 
-#: lib/widgets/ephy-certificate-dialog.c:104
+#: src/ephy-certificate-dialog.c:272
 msgid "The certificate has expired"
 msgstr "प्रमाणपत्रको म्याद समाप्त भएको छ"
 
-#: lib/widgets/ephy-certificate-dialog.c:107
+#: src/ephy-certificate-dialog.c:275
 msgid "The signing certificate authority is not known"
 msgstr "साइनिङ प्रमाणपत्र अधिकार अज्ञात छ."
 
-#: lib/widgets/ephy-certificate-dialog.c:110
+#: src/ephy-certificate-dialog.c:278
 msgid "The certificate contains errors"
 msgstr "प्रमाणपत्रमा त्रुटिहरू छन्"
 
-#: lib/widgets/ephy-certificate-dialog.c:113
+#: src/ephy-certificate-dialog.c:281
 msgid "The certificate has been revoked"
 msgstr "सर्भर प्रमाणपत्र खारेज गरिएको छ।."
 
-#: lib/widgets/ephy-certificate-dialog.c:116
+#: src/ephy-certificate-dialog.c:284
 msgid "The certificate is signed using a weak signature algorithm"
 msgstr ""
 
-#: lib/widgets/ephy-certificate-dialog.c:119
+#: src/ephy-certificate-dialog.c:287
 msgid "The certificate activation time is still in the future"
 msgstr "प्रमाणपत्रको सक्रियता समय अझै भविष्यमा छ।."
 
-#: lib/widgets/ephy-certificate-dialog.c:161
-#, fuzzy
+#: src/ephy-certificate-dialog.c:329
 msgid "The identity of this website has been verified."
-msgstr "यो वेबसाइट को पहिचान प्रमाणित भैसकेको छैन।"
+msgstr ""
 
-#: lib/widgets/ephy-certificate-dialog.c:162
+#: src/ephy-certificate-dialog.c:330
 msgid "The identity of this website has not been verified."
 msgstr "यो वेबसाइट को पहिचान प्रमाणित भैसकेको छैन।"
 
-#. Message on certificte dialog ertificate dialog
-#: lib/widgets/ephy-certificate-dialog.c:174
-#, fuzzy
+#. Message on certificate dialog
+#: src/ephy-certificate-dialog.c:342
 #| msgid "The request has been cancelled for your protection."
 msgid "No problems have been detected with your connection."
-msgstr "तपाईँको सुरक्षाको लागि अनुरोध रद्द गरिएको छ ।"
+msgstr ""
 
-#: lib/widgets/ephy-certificate-dialog.c:177
+#: src/ephy-certificate-dialog.c:345
 msgid "This certificate is valid. However, resources on this page were sent insecurely."
 msgstr ""
 
-#: lib/widgets/ephy-downloads-popover.c:228 src/resources/gtk/history-dialog.ui:216
-#: src/resources/gtk/passwords-view.ui:27
+#: src/ephy-downloads-popover.c:211 src/resources/gtk/history-dialog.ui:139 src/resources/gtk/passwords-view.ui:27
 msgid "_Clear All"
 msgstr "सबै खाली गर्नुहोस्"
 
-#: lib/widgets/ephy-download-widget.c:78
+#: src/ephy-download-widget.c:73
 #, c-format
 msgid "%d second left"
 msgid_plural "%d seconds left"
 msgstr[0] "%d सेकेन्ड बाकि"
 msgstr[1] "%d सेकेन्ड बाकि"
 
-#: lib/widgets/ephy-download-widget.c:82
+#: src/ephy-download-widget.c:77
 #, c-format
 msgid "%d minute left"
 msgid_plural "%d minutes left"
 msgstr[0] "%d मिनेट बाकि"
 msgstr[1] "%d मिनेट बाकि"
 
-#: lib/widgets/ephy-download-widget.c:86
+#: src/ephy-download-widget.c:81
 #, c-format
 msgid "%d hour left"
 msgid_plural "%d hours left"
 msgstr[0] "%d घण्टा बाकि"
 msgstr[1] "%d घण्टा बाकि"
 
-#: lib/widgets/ephy-download-widget.c:90
+#: src/ephy-download-widget.c:85
 #, c-format
 msgid "%d day left"
 msgid_plural "%d days left"
 msgstr[0] "%d दिन बाकि"
 msgstr[1] "%d दिनहरू बाकि"
 
-#: lib/widgets/ephy-download-widget.c:94
+#: src/ephy-download-widget.c:89
 #, c-format
 msgid "%d week left"
 msgid_plural "%d weeks left"
 msgstr[0] "%d  हप्ता बाकि"
 msgstr[1] "%d हप्ता बाकि"
 
-#: lib/widgets/ephy-download-widget.c:98
+#: src/ephy-download-widget.c:93
 #, c-format
 msgid "%d month left"
 msgid_plural "%d months left"
 msgstr[0] "%d  महिना बाकि"
 msgstr[1] "%d महिना बाकि"
 
-#: lib/widgets/ephy-download-widget.c:213 lib/widgets/ephy-download-widget.c:427
+#: src/ephy-download-widget.c:208 src/ephy-download-widget.c:401
 msgid "Finished"
 msgstr "समाप्त भयो"
 
-#: lib/widgets/ephy-download-widget.c:223
+#: src/ephy-download-widget.c:217
 msgid "Moved or deleted"
 msgstr "सारिएको वा मेटिएको"
 
-#: lib/widgets/ephy-download-widget.c:238 lib/widgets/ephy-download-widget.c:424
+#: src/ephy-download-widget.c:232 src/ephy-download-widget.c:398
 #, c-format
 msgid "Error downloading: %s"
 msgstr "डाउनलोड गर्दा त्रुटि: %s"
 
-#: lib/widgets/ephy-download-widget.c:264
+#: src/ephy-download-widget.c:257
 msgid "Cancelling…"
 msgstr "रद्द गर्दै"
 
-#: lib/widgets/ephy-download-widget.c:429
+#: src/ephy-download-widget.c:403
 msgid "Starting…"
 msgstr "सुरु गर्दै…"
 
-#: lib/widgets/ephy-file-chooser.c:122 src/ephy-web-extension-dialog.c:268
-#: src/resources/gtk/history-dialog.ui:255
-msgid "_Open"
-msgstr "_खोल्नुहोस्"
+#. Translators: the %s refers to the time at which the last sync was made.
+#. * For example: Today 04:34 PM, Sun 11:25 AM, May 31 06:41 PM.
+#.
+#: src/ephy-firefox-sync-dialog.c:140
+#, c-format
+msgid "Last synchronized: %s"
+msgstr "अन्तिम समक्रमण: %s"
 
-#: lib/widgets/ephy-file-chooser.c:131
-msgid "All supported types"
-msgstr "सबै समर्थित प्रकार"
+#: src/ephy-firefox-sync-dialog.c:429
+msgid "Something went wrong, please try again later."
+msgstr ""
 
-#: lib/widgets/ephy-file-chooser.c:147
-msgid "Web pages"
-msgstr "वेब पृष्ठ"
+#: src/ephy-firefox-sync-dialog.c:630
+#, c-format
+msgid "%u min"
+msgid_plural "%u mins"
+msgstr[0] "%u मिनेट"
+msgstr[1] "%u मिनेट"
 
-#: lib/widgets/ephy-file-chooser.c:158
-msgid "Images"
-msgstr "छवि"
+#. Translators: tooltip for the refresh button
+#: src/ephy-header-bar.c:52
+msgid "Reload the current page"
+msgstr "हालको पृष्ठ पुन: लोड गर्नुहोस्"
 
-#: lib/widgets/ephy-file-chooser.c:167
-msgid "All files"
-msgstr "सबै फाइलहरू"
+#: src/ephy-header-bar.c:279
+msgid "Main Menu"
+msgstr "मुख्य मेनु"
 
-#. Translators: the mnemonic shouldn't conflict with any of the
-#. * standard items in the GtkEntry context menu (Cut, Copy, Paste, Delete,
-#. * Select All, Input Methods and Insert Unicode control character.)
-#.
-#: lib/widgets/ephy-location-entry.c:743 src/ephy-history-dialog.c:565
+#: src/ephy-header-bar.c:458
+msgid "Stop loading the current page"
+msgstr "हालको पृष्ठ लोड गर्न रोक्नुहोस्"
+
+#: src/ephy-history-dialog.c:142 src/ephy-history-dialog.c:1023
+msgid "It is not possible to modify history when in incognito mode."
+msgstr ""
+
+#: src/ephy-history-dialog.c:486
+#| msgid "Remove the selected item from the toolbar"
+msgid "Remove the selected pages from history"
+msgstr ""
+
+#: src/ephy-history-dialog.c:492
+msgid "Copy URL"
+msgstr "URL प्रतिलिपि गर्नुहोस्"
+
+#: src/ephy-history-dialog.c:567
+msgid "Clear Browsing History?"
+msgstr "ब्राउजिङ इतिहास खाली गर्नुहुन्छ ?"
+
+#: src/ephy-history-dialog.c:568
+msgid "Clearing the browsing history will cause all history links to be permanently deleted."
+msgstr "ब्राउज गरिएको इतिहास मेट्नाले सबै लिङ्क इतिहास सदाका लागि मेटिनेछन्।"
+
+#: src/ephy-history-dialog.c:573 src/resources/gtk/location-entry.ui:296
 msgid "Cl_ear"
 msgstr "खाली गर्नुहोस्"
 
-#: lib/widgets/ephy-location-entry.c:763
-msgid "Paste and _Go"
-msgstr "टाँस्नुहोस् र जानुहोस्"
+#: src/ephy-history-dialog.c:1026
+msgid "Remove all history"
+msgstr "सबै इतिहास हटाउनुहोस्"
 
-#  Edit menu
-#. Undo, redo.
-#: lib/widgets/ephy-location-entry.c:784 src/ephy-window.c:934
-msgid "_Undo"
-msgstr "पूर्वस्थितिमा फर्काउनुहोस्"
+#. Translators: Notification policy for a specific site.
+#: src/ephy-location-entry.c:1805 src/ephy-permission-popover.c:271
+msgid "Notification Request"
+msgstr "सूचना अनुरोध"
+
+#: src/ephy-location-entry.c:1809
+msgid "Camera Request"
+msgstr "क्यामेरा अनुरोध"
+
+#: src/ephy-location-entry.c:1813
+msgid "Microphone Request"
+msgstr "माइक्रोफोन अनुरोध"
+
+#: src/ephy-location-entry.c:1817
+msgid "Location Request"
+msgstr "स्थान अनुरोध"
+
+#: src/ephy-location-entry.c:1821
+msgid "Webcam and Microphone Request"
+msgstr "वेबक्याम र माइक्रोफोन अनुरोध"
+
+#: src/ephy-location-entry.c:1825
+msgid "Permission Request"
+msgstr "अनुमति अनुरोध"
 
-#: lib/widgets/ephy-location-entry.c:791
-msgid "_Redo"
-msgstr "रिडू गर्नुहोस्"
+#: src/ephy-main.c:112
+msgid "Open a new browser window instead of a new tab"
+msgstr "नयाँ ट्याबको साटोमा नयाँ ब्राउजर सञ्झ्याल खोल्नुहोस्"
 
-#: lib/widgets/ephy-location-entry.c:1075
-msgid "Show website security status and permissions"
+#: src/ephy-main.c:114
+#| msgid "Load the given session file"
+msgid "Load the given session state file"
 msgstr ""
 
-#: lib/widgets/ephy-location-entry.c:1077
-msgid "Search for websites, bookmarks, and open tabs"
+#: src/ephy-main.c:114
+msgid "FILE"
+msgstr "FILE"
+
+#: src/ephy-main.c:116
+msgid "Start an instance with user data read-only"
 msgstr ""
 
-#: lib/widgets/ephy-location-entry.c:1121
-msgid "Toggle reader mode"
-msgstr "पढ्ने मोड टगल गर्नुहोस्"
+#: src/ephy-main.c:118
+#| msgid "Start a private instance"
+msgid "Start a private instance with separate user data"
+msgstr ""
 
-#: lib/widgets/ephy-location-entry.c:1134
-msgid "Bookmark this page"
-msgstr "यो पृष्ठ पुस्तकचिनो "
+#: src/ephy-main.c:121
+msgid "Start a private instance in web application mode"
+msgstr ""
 
-#. Label in certificate popover when site is untrusted. %s is a URL.
-#: lib/widgets/ephy-security-popover.c:183
+#: src/ephy-main.c:123
+#| msgid "Start a private instance"
+msgid "Start a private instance for WebDriver control"
+msgstr ""
+
+#: src/ephy-main.c:125
+#| msgid "Profile directory to use in the private instance"
+msgid "Custom profile directory for private instance"
+msgstr ""
+
+#: src/ephy-main.c:125
+msgid "DIR"
+msgstr "DIR"
+
+#: src/ephy-main.c:127
+msgid "URL …"
+msgstr "यूआरएल ..."
+
+#: src/ephy-main.c:280
+msgid "Web options"
+msgstr "वेब विकल्पहरू"
+
+#. Translators: Notification policy for a specific site.
+#: src/ephy-permission-popover.c:273
+#, c-format
+msgid "The page at “%s” would like to send you notifications"
+msgstr ""
+
+#. Translators: Geolocation policy for a specific site.
+#: src/ephy-permission-popover.c:278
+#| msgid "Location access"
+msgid "Location Access Request"
+msgstr ""
+
+#. Translators: Geolocation policy for a specific site.
+#: src/ephy-permission-popover.c:280
+#, c-format
+#| msgid "The page at %s wants to know your location."
+msgid "The page at “%s” would like to know your location"
+msgstr ""
+
+#. Translators: Microphone policy for a specific site.
+#: src/ephy-permission-popover.c:285
+msgid "Microphone Access Request"
+msgstr ""
+
+#. Translators: Microphone policy for a specific site.
+#: src/ephy-permission-popover.c:287
+#, c-format
+msgid "The page at “%s” would like to use your microphone"
+msgstr ""
+
+#. Translators: Webcam policy for a specific site.
+#: src/ephy-permission-popover.c:292
+#| msgid "Webcam access"
+msgid "Webcam Access Request"
+msgstr ""
+
+#. Translators: Webcam policy for a specific site.
+#: src/ephy-permission-popover.c:294
+#, c-format
+msgid "The page at “%s” would like to use your webcam"
+msgstr ""
+
+#. Translators: Webcam and microphone policy for a specific site.
+#: src/ephy-permission-popover.c:299
+msgid "Webcam and Microphone Access Request"
+msgstr ""
+
+#. Translators: Webcam and microphone policy for a specific site.
+#: src/ephy-permission-popover.c:301
+#, c-format
+msgid "The page at “%s” would like to use your webcam and microphone"
+msgstr ""
+
+#. Translators: Storage access policy for a specific site.
+#: src/ephy-permission-popover.c:308
+msgid "Website Data Access Request"
+msgstr ""
+
+#. Translators: Storage access policy for a specific site.
+#: src/ephy-permission-popover.c:310
 #, c-format
 msgid ""
-"This web site’s digital identification is not trusted. You may have connected to an attacker "
-"pretending to be %s."
+"The page at “%s” would like to access its own data (including cookies) while browsing “%s”. This will allow “%s” to "
+"track your activity on “%s”."
+msgstr ""
+
+#. Translators: Clipboard policy for a specific site.
+#: src/ephy-permission-popover.c:315
+msgid "Clipboard Access Request"
+msgstr ""
+
+#. Translators: Clipboard policy for a specific site.
+#: src/ephy-permission-popover.c:317
+#, c-format
+msgid "The page at “%s” would like to access your clipboard"
+msgstr ""
+
+#. Label in certificate popover when site is untrusted. %s is a URL.
+#: src/ephy-security-popover.c:185
+#, c-format
+msgid "This web site’s digital identification is not trusted. You may have connected to an attacker pretending to be %s."
 msgstr ""
 
 #. Label in certificate popover when site uses HTTP. %s is a URL.
-#: lib/widgets/ephy-security-popover.c:190
+#: src/ephy-security-popover.c:192
 #, c-format
-msgid ""
-"This site has no security. An attacker could see any information you send, or control the content "
-"that you see."
+msgid "This site has no security. An attacker could see any information you send, or control the content that you see."
 msgstr ""
 
 #. Label in certificate popover when site sends mixed content.
-#: lib/widgets/ephy-security-popover.c:197
+#: src/ephy-security-popover.c:199
 msgid "This web site did not properly secure your connection."
 msgstr "यो वेब साइटले तपाईँको जडान उचित तरिकाले सुरक्षित गरेन ।"
 
 #. Label in certificate popover on secure sites.
-#: lib/widgets/ephy-security-popover.c:202
+#: src/ephy-security-popover.c:204
 msgid "Your connection seems to be secure."
 msgstr "तपाईँको जडान सुरक्षित देखिन्छ ।"
 
 #  Add the buttons
-#: lib/widgets/ephy-security-popover.c:248
+#: src/ephy-security-popover.c:247
 msgid "_View Certificate…"
 msgstr "_प्रमाणपत्र हेर्नुहोस्..."
 
-#: lib/widgets/ephy-security-popover.c:515
+#: src/ephy-security-popover.c:494
+msgid "Allow"
+msgstr "अनुमति दिनुहोस्"
+
+#: src/ephy-security-popover.c:495
+msgid "Deny"
+msgstr "अस्वीकार गर्नुहोस्"
+
+#: src/ephy-security-popover.c:498
 msgid "Ask"
 msgstr "सोध्नुहोस्"
 
-#: lib/widgets/ephy-security-popover.c:532
+#: src/ephy-security-popover.c:516
 msgid "Permissions"
 msgstr "अनुमतिहरू"
 
-#: lib/widgets/ephy-security-popover.c:572
+#: src/ephy-security-popover.c:558
 msgid "Advertisements"
 msgstr "विज्ञापनहरू"
 
-#: lib/widgets/ephy-security-popover.c:573
+#: src/ephy-security-popover.c:559
 msgid "Notifications"
 msgstr "सूचना"
 
-#: lib/widgets/ephy-security-popover.c:574
-#, fuzzy
+#: src/ephy-security-popover.c:560
 #| msgid "Passwords"
 msgid "Password saving"
-msgstr "बचत गर्दैछ…"
+msgstr ""
 
-#: lib/widgets/ephy-security-popover.c:575
+#: src/ephy-security-popover.c:561
 msgid "Location access"
 msgstr "स्थान पहुँच"
 
-#: lib/widgets/ephy-security-popover.c:576
-#, fuzzy
+#: src/ephy-security-popover.c:562
 msgid "Microphone access"
-msgstr "माईक्रोफोन"
+msgstr "माइक पहुँच"
 
-#: lib/widgets/ephy-security-popover.c:577
+#: src/ephy-security-popover.c:563
 msgid "Webcam access"
 msgstr "वेबक्याम पहुँच"
 
-#: lib/widgets/ephy-security-popover.c:578
+#: src/ephy-security-popover.c:564
 msgid "Media autoplay"
 msgstr "मिडिया स्वत: प्ले"
 
-#: lib/widgets/ephy-security-popover.c:578
+#: src/ephy-security-popover.c:564
 msgid "Without Sound"
 msgstr "ध्वनिरहित"
 
-#: src/bookmarks/ephy-bookmark-row.c:62
-msgid "Bookmark Properties"
-msgstr "पुस्तकचिन्हो गुणहरू"
-
-#: src/bookmarks/ephy-bookmarks-import.c:127
-#, c-format
-msgid "File is not a valid Epiphany bookmarks file: missing tags table"
-msgstr ""
-
-#: src/bookmarks/ephy-bookmarks-import.c:145
-#, c-format
-msgid "File is not a valid Epiphany bookmarks file: missing bookmarks table"
-msgstr ""
-
-#: src/bookmarks/ephy-bookmarks-import.c:247
-#, c-format
-msgid "Firefox bookmarks database could not be opened. Close Firefox and try again."
-msgstr ""
-
-#: src/bookmarks/ephy-bookmarks-import.c:260 src/bookmarks/ephy-bookmarks-import.c:292
-#, fuzzy, c-format
-msgid "Firefox bookmarks could not be retrieved!"
-msgstr "ठेगाना खोल्न सकेन"
-
-#: src/bookmarks/ephy-bookmarks-import.c:459
-#, fuzzy, c-format
-msgid "HTML bookmarks database could not be opened: %s"
-msgstr "चिनो बचत गर्न सकिएन ।"
-
-#: src/bookmarks/ephy-bookmarks-import.c:470
-#, fuzzy
-msgid "HTML bookmarks database could not be read."
-msgstr "चिनो बचत गर्न सकिएन ।"
-
-#: src/bookmarks/ephy-bookmarks-import.c:491
-#, fuzzy, c-format
-msgid "HTML bookmarks database could not be parsed: %s"
-msgstr "चिनो बचत गर्न सकिएन ।"
-
-#: src/bookmarks/ephy-bookmarks-import.c:644
-#, fuzzy, c-format
-msgid "Bookmarks file could not be parsed:"
-msgstr "यूआरआई '%s' पद वर्ण नगर्न सकिएन।"
-
-#: src/bookmarks/ephy-bookmarks-manager.h:34
-msgid "Favorites"
-msgstr "मनपर्ने"
-
-#: src/bookmarks/ephy-bookmarks-manager.h:35
-msgid "Mobile"
-msgstr "मोबाइल"
-
-#. Translators: tooltip for the refresh button
-#: src/ephy-action-bar-start.c:37 src/ephy-header-bar.c:52
-msgid "Reload the current page"
-msgstr "हालको पृष्ठ पुन: लोड गर्नुहोस्"
-
-#: src/ephy-action-bar-start.c:644 src/ephy-header-bar.c:485
-msgid "Stop loading the current page"
-msgstr "हालको पृष्ठ लोड गर्न रोक्नुहोस्"
-
-#. Translators: the %s refers to the time at which the last sync was made.
-#. * For example: Today 04:34 PM, Sun 11:25 AM, May 31 06:41 PM.
-#.
-#: src/ephy-firefox-sync-dialog.c:108
-#, c-format
-msgid "Last synchronized: %s"
-msgstr "अन्तिम समक्रमण: %s"
-
-#: src/ephy-firefox-sync-dialog.c:396
-#, fuzzy
-msgid "Something went wrong, please try again later."
-msgstr "%1 देखाउने बेलामा केही त्रुटी भयो।"
-
-#: src/ephy-history-dialog.c:140 src/ephy-history-dialog.c:977
-msgid "It is not possible to modify history when in incognito mode."
-msgstr ""
-
-#: src/ephy-history-dialog.c:459
-#, fuzzy
-#| msgid "Remove the selected item from the toolbar"
-msgid "Remove the selected pages from history"
-msgstr "चयन भिडियो परियोजनाबाट हटाउनुहोस्"
-
-#: src/ephy-history-dialog.c:465
-msgid "Copy URL"
-msgstr "URL प्रतिलिपि गर्नुहोस्"
-
-#: src/ephy-history-dialog.c:555
-msgid "Clear browsing history?"
-msgstr "ब्राउजिङ इतिहास खाली गर्नुहुन्छ ?"
-
-#: src/ephy-history-dialog.c:559
-msgid "Clearing the browsing history will cause all history links to be permanently deleted."
-msgstr "ब्राउज गरिएको इतिहास मेट्नाले सबै लिङ्क इतिहास सदाका लागि मेटिनेछन्।"
-
-#: src/ephy-history-dialog.c:980
-msgid "Remove all history"
-msgstr "सबै इतिहास हटाउनुहोस्"
-
-#: src/ephy-main.c:110
-#, fuzzy
-#| msgid "Open a new browser window"
-msgid "Open a new browser window instead of a new tab"
-msgstr "पूर्वनिर्धारित प्रोफाइल भएको ट्याब समाविष्ट नयाँ सञ्झ्याल खोल्नुहोस्"
-
-#: src/ephy-main.c:112
-#, fuzzy
-#| msgid "Load the given session file"
-msgid "Load the given session state file"
-msgstr "दिइएको सत्र फाइल लोड गर्नुहोस्"
-
-#: src/ephy-main.c:112
-msgid "FILE"
-msgstr "FILE"
-
-#: src/ephy-main.c:114
-msgid "Start an instance with user data read-only"
-msgstr ""
-
-#: src/ephy-main.c:116
-#, fuzzy
-#| msgid "Start a private instance"
-msgid "Start a private instance with separate user data"
-msgstr "निजी प्रतिरूप सुरु गर्नुहोस्"
-
-#: src/ephy-main.c:119
-#, fuzzy
-msgid "Start a private instance in web application mode"
-msgstr "फाइल ब्राउजर फिल्टर मोड"
-
-#: src/ephy-main.c:121
-#, fuzzy
-#| msgid "Start a private instance"
-msgid "Start a private instance for WebDriver control"
-msgstr "निजी प्रतिरूप सुरु गर्नुहोस्"
-
-#: src/ephy-main.c:123
-#, fuzzy
-#| msgid "Profile directory to use in the private instance"
-msgid "Custom profile directory for private instance"
-msgstr "निजी प्रतिरूपमा प्रयोग गर्न प्रोफाइल डाइरेक्टरी"
-
-#: src/ephy-main.c:123
-msgid "DIR"
-msgstr "DIR"
-
-#: src/ephy-main.c:125
-msgid "URL …"
-msgstr "यूआरएल ..."
-
-#: src/ephy-main.c:254
-msgid "Web options"
-msgstr "वेब विकल्पहरू"
-
 #. Translators: tooltip for the new tab button
-#: src/ephy-tab-view.c:636 src/resources/gtk/action-bar-start.ui:90
+#: src/ephy-tab-view.c:647
 msgid "Open a new tab"
 msgstr "नयाँ टयाब खोल्नुहोस्"
 
-#: src/ephy-web-extension-dialog.c:91
-msgid "Do you really want to remove this extension?"
-msgstr "तपाईँ वास्तवमै यो विस्तार हटाउन चाहनुहुन्छ?"
-
-#: src/ephy-web-extension-dialog.c:95 src/ephy-web-extension-dialog.c:207
-#: src/resources/gtk/bookmark-properties.ui:120
-msgid "_Remove"
-msgstr "_हटाउनुहोस्"
-
-#: src/ephy-web-extension-dialog.c:176
-msgid "Author"
-msgstr "लेखक"
-
-#: src/ephy-web-extension-dialog.c:185
-msgid "Version"
-msgstr "संस्करण"
-
-#: src/ephy-web-extension-dialog.c:194 src/resources/gtk/prefs-general-page.ui:127
-msgid "Homepage"
-msgstr "गृहपृष्ठ"
-
-#: src/ephy-web-extension-dialog.c:211
-#, fuzzy
-#| msgid "Remove the selected item from the toolbar"
-msgid "Remove selected WebExtension"
-msgstr "चयन भिडियो परियोजनाबाट हटाउनुहोस्"
-
-#. Translators: this is the title of a file chooser dialog.
-#: src/ephy-web-extension-dialog.c:265
-#, fuzzy
-msgid "Open File (manifest.json/xpi)"
-msgstr "अस्थायी फाइल खोल्न असफल"
+#  Edit menu
+#. Undo, redo.
+#: src/ephy-window.c:950 src/resources/gtk/location-entry.ui:264
+msgid "_Undo"
+msgstr "पूर्वस्थितिमा फर्काउनुहोस्"
 
-#: src/ephy-window.c:935
+#: src/ephy-window.c:951
 msgid "Re_do"
 msgstr "रिडु गर्नुहोस्"
 
 #  Edit Menu
 #. Edit.
-#: src/ephy-window.c:938
+#: src/ephy-window.c:954 src/resources/gtk/location-entry.ui:274
 msgid "Cu_t"
 msgstr "काट्नुहोस्"
 
-#: src/ephy-window.c:939
+#: src/ephy-window.c:955 src/resources/gtk/location-entry.ui:278
 msgid "_Copy"
 msgstr "प्रतिलिपि बनाउनुहोस्"
 
-#: src/ephy-window.c:940
+#: src/ephy-window.c:956 src/resources/gtk/location-entry.ui:282
 msgid "_Paste"
 msgstr "टाँस्नुहोस्"
 
-#: src/ephy-window.c:941
+#: src/ephy-window.c:957
 msgid "_Paste Text Only"
 msgstr "पाठ मात्र टाँस्नुहोस्"
 
-#: src/ephy-window.c:942
+#: src/ephy-window.c:958 src/resources/gtk/location-entry.ui:300
 msgid "Select _All"
 msgstr "सबै चयन गर्नुहोस्"
 
-#: src/ephy-window.c:944
+#: src/ephy-window.c:960
 msgid "S_end Link by Email…"
 msgstr "इमेलद्वारा लिङ्क पठाउनुहोस्..."
 
-#: src/ephy-window.c:946
+#: src/ephy-window.c:962
 msgid "_Reload"
 msgstr "फेरि लोड गर्नुहोस्"
 
 #  Go menu
-#: src/ephy-window.c:947
+#: src/ephy-window.c:963
 msgid "_Back"
 msgstr "पछाडि"
 
-#: src/ephy-window.c:948
+#: src/ephy-window.c:964
 msgid "_Forward"
 msgstr "अगाडि"
 
 #  Bookmarks menu
 #. Bookmarks
-#: src/ephy-window.c:951
+#: src/ephy-window.c:967
 msgid "Add Boo_kmark…"
 msgstr "पुस्तकचिनो थप्नुहोस्…"
 
 #. Links.
-#: src/ephy-window.c:955
+#: src/ephy-window.c:971
 msgid "Open Link in New _Window"
 msgstr "नयाँ सञ्झ्यालमा लिङ्क खोल्नुहोस्"
 
-#: src/ephy-window.c:956
+#: src/ephy-window.c:972
 msgid "Open Link in New _Tab"
 msgstr "नयाँ ट्याबमा लिङ्क खोल्नुहोस्"
 
-#: src/ephy-window.c:957
-#, fuzzy
+#: src/ephy-window.c:973
 #| msgid "Open Link in New _Window"
 msgid "Open Link in I_ncognito Window"
-msgstr "नयाँ सञ्झ्यालमा लिङ्क खोल्नुहोस्"
+msgstr ""
 
-#: src/ephy-window.c:958
+#: src/ephy-window.c:974
 msgid "_Save Link As…"
 msgstr "_यस रूपमा लिङ्क बचत गर्नुहोस्..."
 
-#: src/ephy-window.c:959
+#: src/ephy-window.c:975
 msgid "_Copy Link Address"
 msgstr "लिङ्क ठेगानाको प्रतिलिपि बनाउनुहोस्"
 
-#: src/ephy-window.c:960
+#: src/ephy-window.c:976
 msgid "_Copy E-mail Address"
 msgstr "इमेल ठेगाना प्रतिलिपि गर्नुहोस्"
 
 #. Images.
-#: src/ephy-window.c:964
+#: src/ephy-window.c:980
 msgid "View _Image in New Tab"
 msgstr "नयाँ ट्याबमा छवि हेर्नुहोस्"
 
-#: src/ephy-window.c:965
+#: src/ephy-window.c:981
 msgid "Copy I_mage Address"
 msgstr "छवि ठेगानाको प्रतिलिपि बनाउनुहोस्"
 
-#: src/ephy-window.c:966
+#: src/ephy-window.c:982
 msgid "_Save Image As…"
 msgstr "_यस रूपमा छवि बचत गर्नुहोस्..."
 
-#: src/ephy-window.c:967
+#: src/ephy-window.c:983
 msgid "Set as _Wallpaper"
 msgstr "वालपेपर सेट गर्नुहोस्"
 
 #. Video.
-#: src/ephy-window.c:971
-#, fuzzy
-#| msgid "Open in New _Window"
-#| msgid_plural "Open in New _Windows"
+#: src/ephy-window.c:987
 msgid "Open Video in New _Window"
-msgstr "नयाँ सञ्झ्यालमा लिङ्क खोल्नुहोस्"
+msgstr "नयाँ सञ्झ्यालमा भिडियो खोल्नुहोस्"
 
-#: src/ephy-window.c:972
-#, fuzzy
-#| msgid "Open in New _Tab"
-#| msgid_plural "Open in New _Tabs"
+#: src/ephy-window.c:988
 msgid "Open Video in New _Tab"
-msgstr "नयाँ ट्याबमा लिङ्क खोल्नुहोस्"
+msgstr "नयाँ ट्याबमा भिडियो खोल्नुहोस्"
 
-#: src/ephy-window.c:973
+#: src/ephy-window.c:989
 msgid "_Save Video As…"
 msgstr "यस रूपमा भिडियो बचत गर्नुहोस्…"
 
-#: src/ephy-window.c:974
+#: src/ephy-window.c:990
 msgid "_Copy Video Address"
 msgstr "भिडियो ठेगाना प्रतिलिपि बनाउनुहोस्"
 
 #. Audio.
-#: src/ephy-window.c:978
-#, fuzzy
-#| msgid "Open in New _Window"
-#| msgid_plural "Open in New _Windows"
+#: src/ephy-window.c:994
 msgid "Open Audio in New _Window"
-msgstr "नयाँ सञ्झ्यालमा खोल्नुहोस्"
+msgstr "नयाँ सञ्झ्याल ध्वनि खोल्नुहोस्"
 
-#: src/ephy-window.c:979
-#, fuzzy
-#| msgid "Open in New _Tab"
-#| msgid_plural "Open in New _Tabs"
+#: src/ephy-window.c:995
 msgid "Open Audio in New _Tab"
-msgstr "नयाँ ट्याबमा लिङ्क खोल्नुहोस्"
+msgstr "नयाँ ट्याबमा ध्वनि खोल्नुहोस्"
 
-#: src/ephy-window.c:980
+#: src/ephy-window.c:996
 msgid "_Save Audio As…"
 msgstr "यस रूपमा अडियो बचत गर्नुहोस्..."
 
-#: src/ephy-window.c:981
+#: src/ephy-window.c:997
 msgid "_Copy Audio Address"
 msgstr "अडियो ठेगाना प्रतिलिपि बनाउनुहोस्"
 
-#: src/ephy-window.c:987
+#: src/ephy-window.c:1003
 msgid "Save Pa_ge As…"
 msgstr "यस रूपमा पृष्ठ बचत गर्नुहोस्..."
 
-#: src/ephy-window.c:988
+#: src/ephy-window.c:1004
+msgid "_Take Screenshot…"
+msgstr "स्क्रिनसट लिनुहोस्"
+
+#: src/ephy-window.c:1005
 msgid "_Page Source"
 msgstr "पृष्ठ स्रोत"
 
 #  Translators you should change these links to respect your locale.
 #  * For instance in .nl these should be
 #  * "http://www.google.nl" and "http://www.google.nl/search?q=%s"
-#: src/ephy-window.c:1374
-#, fuzzy, c-format
+#: src/ephy-window.c:1382
+#, c-format
 #| msgid "Search the web"
 msgid "Search the Web for “%s”"
-msgstr "वेब"
+msgstr ""
 
 #  Links
-#: src/ephy-window.c:1403
+#: src/ephy-window.c:1411
 msgid "Open Link"
 msgstr "लिङ्क खोल्नुहोस्"
 
-#: src/ephy-window.c:1405
+#: src/ephy-window.c:1413
 msgid "Open Link In New Tab"
 msgstr "नयाँ ट्याबमा लिङ्क खोल्नुहोस्"
 
-#: src/ephy-window.c:1407
-#, fuzzy
-#| msgid "Open Link in New _Window"
+#: src/ephy-window.c:1415
 msgid "Open Link In New Window"
 msgstr "नयाँ सञ्झ्यालमा लिङ्क खोल्नुहोस्"
 
-#: src/ephy-window.c:1409
-#, fuzzy
+#: src/ephy-window.c:1417
 #| msgid "Open Link in New _Window"
 msgid "Open Link In Incognito Window"
-msgstr "नयाँ सञ्झ्यालमा लिङ्क खोल्नुहोस्"
+msgstr ""
+
+#: src/ephy-window.c:2800
+msgid "_Ask Later"
+msgstr ""
+
+#: src/ephy-window.c:2801 src/resources/gtk/permission-popover.ui:51
+msgid "_Deny"
+msgstr "अस्वीकार गर्नुहोस्"
 
-#: src/ephy-window.c:2865 src/ephy-window.c:4220
-msgid "Do you want to leave this website?"
-msgstr "के तपाईं यो वेबसाइट छोड्न चाहनुहुन्छ?"
+#: src/ephy-window.c:2802 src/resources/gtk/permission-popover.ui:66
+msgid "_Allow"
+msgstr "अनुमति दिनुहोस्"
 
-#: src/ephy-window.c:2866 src/ephy-window.c:4221 src/window-commands.c:1207
-msgid "A form you modified has not been submitted."
+#: src/ephy-window.c:3004 src/ephy-window.c:4439
+#| msgid "Website"
+msgid "Leave Website?"
 msgstr ""
 
-#: src/ephy-window.c:2867 src/ephy-window.c:4222 src/window-commands.c:1209
-msgid "_Discard form"
+#: src/ephy-window.c:3005 src/ephy-window.c:4440 src/window-commands.c:1240
+msgid "A form was modified and has not been submitted"
+msgstr ""
+
+#: src/ephy-window.c:3006 src/ephy-window.c:4441 src/window-commands.c:1244
+msgid "_Discard Form"
 msgstr "फारम छोड्नुहोस्"
 
-#: src/ephy-window.c:2888
+#: src/ephy-window.c:3027
 msgid "Download operation"
 msgstr "डाउनलोड कार्य"
 
-#: src/ephy-window.c:2890
+#: src/ephy-window.c:3029
 msgid "Show details"
 msgstr "विवरण देखाउनुहोस्"
 
-#: src/ephy-window.c:2892
+#: src/ephy-window.c:3031
 #, c-format
 msgid "%d download operation active"
 msgid_plural "%d download operations active"
 msgstr[0] ""
 msgstr[1] ""
 
-#. Translators: tooltip for the tab switcher menu button
-#: src/ephy-window.c:3414
-msgid "View open tabs"
-msgstr "खुलेका ट्याबहरु हेर्नुहोस्"
+#: src/ephy-window.c:3272
+#| msgid "Set Web as your default browser?"
+msgid "Set as Default Browser?"
+msgstr ""
 
-#: src/ephy-window.c:3544
-msgid "Set Web as your default browser?"
-msgstr "तपाईँको पूर्वनिर्धारित ब्राउजरको रूपमा वेब सेट गर्नुहुन्छ?"
+#: src/ephy-window.c:3274
+msgid "Use Web as your default web browser and for opening external links"
+msgstr ""
 
-#: src/ephy-window.c:3546
-msgid "Set Epiphany Technology Preview as your default browser?"
+#: src/ephy-window.c:3276
+msgid "Use Epiphany Technology Preview as your default web browser and for opening external links"
 msgstr ""
 
-#: src/ephy-window.c:3558
-msgid "_Yes"
-msgstr "ठिक छ"
+#: src/ephy-window.c:3280
+msgid "_Ask Again Later"
+msgstr ""
 
-#: src/ephy-window.c:3559
+#: src/ephy-window.c:3281
 msgid "_No"
 msgstr "होइन्"
 
-#: src/ephy-window.c:4354
-msgid "There are multiple tabs open."
-msgstr "त्यहाँ बहुँविध ट्याबहरू खुलेका छन् ।"
+#: src/ephy-window.c:3282
+msgid "_Yes"
+msgstr "ठिक छ"
+
+#: src/ephy-window.c:3732
+msgid "Save password?"
+msgstr "पासवर्ड बचत गर्नुहोस्"
 
-#: src/ephy-window.c:4355
-msgid "If you close this window, all open tabs will be lost"
+#: src/ephy-window.c:3733
+msgid "Passwords can be removed at any time in Preferences"
 msgstr ""
 
-#: src/ephy-window.c:4356
-msgid "C_lose tabs"
-msgstr "ट्याब बन्द गर्नुहोस्"
+#: src/ephy-window.c:3735
+msgid "Not Now"
+msgstr "अहिले होईन"
 
-#: src/popup-commands.c:240
-msgid "Save Link As"
-msgstr "यस रूपमा लिङ्क बचत गर्नुहोस्"
+#: src/ephy-window.c:3736
+msgid "Never Save"
+msgstr "कहिल्यै पनि बचत नगर्नुहोस्"
 
-#: src/popup-commands.c:248
-msgid "Save Image As"
-msgstr "यस रूपमा छवि बचत गर्नुहोस्"
+#: src/ephy-window.c:3737
+msgid "Save"
+msgstr "बचत गर्नुहोस्"
 
-#: src/popup-commands.c:256
-#, fuzzy
-#| msgid "Save Link As"
-msgid "Save Media As"
-msgstr "मिडिया भेटिएन"
+#: src/ephy-window.c:4570
+#| msgid "Close tab"
+msgid "Close Multiple Tabs?"
+msgstr ""
 
-#: src/preferences/clear-data-view.c:70
+#: src/ephy-window.c:4571
+msgid "If this window is closed, all open tabs will be lost"
+msgstr ""
+
+#: src/ephy-window.c:4572
+msgid "C_lose Tabs"
+msgstr "ट्याब बन्द गर्नुहोस्"
+
+#: src/ephy-window.c:4665
+#| msgid "New _tab page"
+msgid "New tab opened"
+msgstr ""
+
+#: src/ephy-window.c:4669
+msgid "Switch"
+msgstr "स्विच"
+
+#: src/preferences/clear-data-view.c:68
 msgid "Cookies"
 msgstr "कुकिज"
 
-#: src/preferences/clear-data-view.c:71
-#, fuzzy
+#: src/preferences/clear-data-view.c:69
 #| msgid "Size of disk cache"
 msgid "HTTP disk cache"
-msgstr "डिस्क"
+msgstr ""
 
-#: src/preferences/clear-data-view.c:72
+#: src/preferences/clear-data-view.c:70
 msgid "Local storage data"
 msgstr "स्थानीय डाटा भण्डार"
 
-#: src/preferences/clear-data-view.c:73
-#, fuzzy
+#: src/preferences/clear-data-view.c:71
 msgid "Offline web application cache"
-msgstr "वेब अनुप्रयोग सिर्जना गर्नुहोस्"
+msgstr ""
 
-#: src/preferences/clear-data-view.c:74
+#: src/preferences/clear-data-view.c:72
 msgid "IndexedDB databases"
 msgstr "IndexedDB डाटाबेस"
 
-#: src/preferences/clear-data-view.c:75
-msgid "WebSQL databases"
-msgstr "वेब एस क्यू एल डाटाबेस"
-
-#: src/preferences/clear-data-view.c:76
-#, fuzzy
-msgid "Plugins data"
-msgstr "प्लगइनहरू…"
-
-#: src/preferences/clear-data-view.c:77
+#: src/preferences/clear-data-view.c:73
 msgid "HSTS policies cache"
 msgstr "HSTS नीति क्यास"
 
-#: src/preferences/clear-data-view.c:78
+#: src/preferences/clear-data-view.c:74
 msgid "Intelligent Tracking Prevention data"
 msgstr ""
 
@@ -2725,109 +2691,121 @@ msgstr "नया खोज इन्ज
 msgid "A_dd Search Engine…"
 msgstr "खोज प्रविधि थप्नुहोस् …"
 
-#: src/preferences/ephy-search-engine-row.c:115
+#: src/preferences/ephy-search-engine-row.c:114
 msgid "This field is required"
 msgstr "यो फाँट आवश्यक छ"
 
-#: src/preferences/ephy-search-engine-row.c:120
+#: src/preferences/ephy-search-engine-row.c:119
 msgid "Address must start with either http:// or https://"
 msgstr ""
 
-#: src/preferences/ephy-search-engine-row.c:132
+#: src/preferences/ephy-search-engine-row.c:131
 #, c-format
 msgid "Address must contain the search term represented by %s"
 msgstr ""
 
-#: src/preferences/ephy-search-engine-row.c:135
+#: src/preferences/ephy-search-engine-row.c:134
 msgid "Address should not contain the search term several times"
 msgstr ""
 
-#: src/preferences/ephy-search-engine-row.c:141
+#: src/preferences/ephy-search-engine-row.c:140
 msgid "Address is not a valid URI"
 msgstr "ठेगाना वैध यूआरआई होइन"
 
-#: src/preferences/ephy-search-engine-row.c:146
+#: src/preferences/ephy-search-engine-row.c:145
 #, c-format
 msgid "Address is not a valid URL. The address should look like https://www.example.com/search?q=%s"
 msgstr ""
 
-#: src/preferences/ephy-search-engine-row.c:191
+#: src/preferences/ephy-search-engine-row.c:188
 msgid "This shortcut is already used."
 msgstr "यो सर्टकट पहिल्यै प्रयोग गरिएको छ ।"
 
-#: src/preferences/ephy-search-engine-row.c:193
+#: src/preferences/ephy-search-engine-row.c:190
 msgid "Search shortcuts must not contain any space."
 msgstr ""
 
-#: src/preferences/ephy-search-engine-row.c:201
+#: src/preferences/ephy-search-engine-row.c:198
 msgid "Search shortcuts should start with a symbol such as !, # or @."
 msgstr ""
 
-#: src/preferences/ephy-search-engine-row.c:334
+#: src/preferences/ephy-search-engine-row.c:331
 msgid "A name is required"
 msgstr "नाम आवश्यक"
 
-#: src/preferences/ephy-search-engine-row.c:336
-#, fuzzy
+#: src/preferences/ephy-search-engine-row.c:333
 #| msgid "Certificate already exists."
 msgid "This search engine already exists"
-msgstr "यस नामको वस्तु पहिले नै अवस्थित छ"
+msgstr ""
 
-#: src/preferences/passwords-view.c:196
-#, fuzzy
+#: src/preferences/extension-view.c:114 src/resources/gtk/extension-view.ui:95
+#| msgid "Remove the selected item from the toolbar"
+msgid "Remove Extension"
+msgstr ""
+
+#: src/preferences/extension-view.c:115
+msgid "Do you really want to remove this extension?"
+msgstr "तपाईँ वास्तवमै यो विस्तार हटाउन चाहनुहुन्छ?"
+
+#: src/preferences/extension-view.c:119 src/resources/gtk/bookmark-properties.ui:106
+msgid "_Remove"
+msgstr "_हटाउनुहोस्"
+
+#: src/preferences/passwords-view.c:179
 #| msgid "Select Password"
 msgid "Delete All Passwords?"
-msgstr "पासवर्ड"
+msgstr ""
 
-#: src/preferences/passwords-view.c:199
+#: src/preferences/passwords-view.c:180
 msgid "This will clear all locally stored passwords, and can not be undone."
 msgstr ""
 
-#: src/preferences/passwords-view.c:204 src/resources/gtk/history-dialog.ui:239
+#: src/preferences/passwords-view.c:184 src/resources/gtk/history-dialog.ui:154 src/resources/gtk/location-entry.ui:290
 msgid "_Delete"
 msgstr "मेट्नुहोस्"
 
-#: src/preferences/passwords-view.c:262
+#: src/preferences/passwords-view.c:239
 msgid "Copy password"
 msgstr "पासवर्ड प्रतिलिपि बनाउनुहोस्"
 
-#: src/preferences/passwords-view.c:268
+#: src/preferences/passwords-view.c:246
 msgid "Username"
 msgstr "प्रयोगकर्ताको नाम"
 
-#: src/preferences/passwords-view.c:291
+#: src/preferences/passwords-view.c:256
 msgid "Copy username"
 msgstr "प्रयोगकर्ता नाम प्रतिलिपि गर्नुहोस्"
 
-#: src/preferences/passwords-view.c:297
+#: src/preferences/passwords-view.c:263
 msgid "Password"
 msgstr "पासवर्ड"
 
-#: src/preferences/passwords-view.c:322
-msgid "Reveal password"
-msgstr "पासवर्ड प्रकट गर्नुहोस्"
-
-#: src/preferences/passwords-view.c:332
+#: src/preferences/passwords-view.c:275
 msgid "Remove Password"
 msgstr "गोप्यशब्द हटाउनुहोस्"
 
-#: src/preferences/prefs-appearance-page.c:66
+#: src/preferences/prefs-appearance-page.c:64
 msgid "Sans"
 msgstr "सान्स"
 
-#: src/preferences/prefs-appearance-page.c:68
+#: src/preferences/prefs-appearance-page.c:66
 msgid "Serif"
 msgstr "सेरिफ"
 
-#: src/preferences/prefs-appearance-page.c:146
+#: src/preferences/prefs-appearance-page.c:108
 msgid "Light"
 msgstr "हल्का"
 
-#: src/preferences/prefs-appearance-page.c:148
+#: src/preferences/prefs-appearance-page.c:110
 msgid "Dark"
 msgstr "गाढा"
 
-#: src/preferences/prefs-general-page.c:297 src/resources/gtk/prefs-lang-dialog.ui:11
+#. Translators: this is the title of a file chooser dialog.
+#: src/preferences/prefs-extensions-page.c:79
+msgid "Open File (manifest.json/xpi)"
+msgstr ""
+
+#: src/preferences/prefs-general-page.c:203
 msgid "Add Language"
 msgstr "भाषा थप्नुहोस्"
 
@@ -2837,166 +2815,153 @@ msgstr "भाषा थप्नुह
 #  * "de"    translation: "Deutsch (Systemeinstellung)"
 #  * "en_AU" translation: "English, Australia (System setting)" or
 #  *                      "Australian English (System setting)
-#: src/preferences/prefs-general-page.c:526 src/preferences/prefs-general-page.c:685
+#: src/preferences/prefs-general-page.c:365 src/preferences/prefs-general-page.c:521
 #, c-format
 msgid "System language (%s)"
 msgid_plural "System languages (%s)"
 msgstr[0] "प्रणाली भाषा (%s)"
 msgstr[1] "प्रणाली भाषाहरू (%s)"
 
-#: src/preferences/prefs-general-page.c:713
-msgid "Select a directory"
-msgstr "निर्देशिका चयन गर्नुहोस्"
-
-#: src/preferences/prefs-general-page.c:859
-msgid "Web Application Icon"
-msgstr "वेब अनुप्रयोग प्रतिमा"
-
-#: src/preferences/prefs-general-page.c:864
+#: src/preferences/prefs-general-page.c:730
 msgid "Supported Image Files"
 msgstr "समर्थित छवि फाईल "
 
-#: src/profile-migrator/ephy-profile-migrator.c:1593
+#: src/profile-migrator/ephy-profile-migrator.c:1810
 msgid "Executes only the n-th migration step"
 msgstr ""
 
-#: src/profile-migrator/ephy-profile-migrator.c:1595
+#: src/profile-migrator/ephy-profile-migrator.c:1812
 msgid "Specifies the required version for the migrator"
 msgstr ""
 
-#: src/profile-migrator/ephy-profile-migrator.c:1597
+#: src/profile-migrator/ephy-profile-migrator.c:1814
 msgid "Specifies the profile where the migrator should run"
 msgstr ""
 
-#: src/profile-migrator/ephy-profile-migrator.c:1618
-#, fuzzy
+#: src/profile-migrator/ephy-profile-migrator.c:1835
 msgid "Web profile migrator"
-msgstr "प्रोफाइल छैन"
+msgstr ""
 
-#: src/profile-migrator/ephy-profile-migrator.c:1619
-#, fuzzy
+#: src/profile-migrator/ephy-profile-migrator.c:1836
 #| msgid "GNOME Web Browser options"
 msgid "Web profile migrator options"
-msgstr "वेब विकल्पहरू"
+msgstr ""
 
-#. Translators: tooltip for the downloads button
-#: src/resources/gtk/action-bar-end.ui:18
-msgid "View downloads"
-msgstr "डाउनलोड हेर्नुहोस्"
-
-#. Translators: tooltip for the bookmark button
-#: src/resources/gtk/action-bar-end.ui:56
-#, fuzzy
-#| msgid "Bookmark this page"
-msgid "Bookmark page"
-msgstr "यो पृष्ठ पुस्तकचिनो "
+#. Translators: tooltip for the webextension actions button
+#: src/resources/gtk/action-bar-end.ui:29 src/resources/gtk/prefs-extensions-page.ui:6
+msgid "Extensions"
+msgstr "विस्तारहरू"
+
+#: src/resources/gtk/action-bar-end.ui:100
+msgid "View Open Tabs"
+msgstr "खुलेका ट्याबहरु हेर्नुहोस्"
 
 #. Translators: tooltip for the bookmarks popover button
-#: src/resources/gtk/action-bar-end.ui:73
-msgid "View and manage your bookmarks"
-msgstr "तपाईँको पुस्तकचिनोहरू हेर्नुहोस् र प्रबन्ध गर्नुहोस्"
+#: src/resources/gtk/action-bar-end.ui:118
+msgid "Bookmarks"
+msgstr "पुस्तकचिनो"
 
+#  Go menu
 #. Translators: tooltip for the back button
-#: src/resources/gtk/action-bar-start.ui:18
-msgid "Go back to the previous page"
-msgstr "अघिल्लो पृष्ठमा जानुहोस्"
+#: src/resources/gtk/action-bar-start.ui:17
+msgid "Back"
+msgstr "पछाडि"
 
 #. Translators: tooltip for the forward button
-#: src/resources/gtk/action-bar-start.ui:36
-msgid "Go forward to the next page"
-msgstr "अर्को पृष्ठमा जानुहोस्"
+#: src/resources/gtk/action-bar-start.ui:48
+msgid "Forward"
+msgstr "अगाडि पठाउनुहोस्"
 
 #. Translators: tooltip for the secret homepage button
-#: src/resources/gtk/action-bar-start.ui:72
-msgid "Go to your homepage"
-msgstr "गृहपृष्ठ जानुहोस्"
-
-#. Translators: tooltip for the page switcher button
-#: src/resources/gtk/action-bar.ui:23
-msgid "View open pages"
-msgstr "खुलेको पृष्ठहरू हेर्नुहोस्"
+#: src/resources/gtk/action-bar-start.ui:98 src/resources/gtk/extension-view.ui:62
+#: src/resources/gtk/prefs-general-page.ui:73
+msgid "Homepage"
+msgstr "गृहपृष्ठ"
 
-#: src/resources/gtk/bookmark-properties.ui:16
+#: src/resources/gtk/bookmark-properties.ui:14
 msgid "Bookmark"
 msgstr "पुस्तकचिनो"
 
-#: src/resources/gtk/bookmark-properties.ui:26
+#: src/resources/gtk/bookmark-properties.ui:23
 msgid "_Name"
 msgstr "नाम"
 
-#: src/resources/gtk/bookmark-properties.ui:45
-#, fuzzy
-#| msgid "_Address:"
+#: src/resources/gtk/bookmark-properties.ui:40
 msgid "_Address"
-msgstr "ठेगाना:"
+msgstr "ठेगाना"
 
-#: src/resources/gtk/bookmark-properties.ui:63 src/resources/gtk/bookmarks-popover.ui:77
+#: src/resources/gtk/bookmark-properties.ui:55 src/resources/gtk/bookmarks-popover.ui:57
 msgid "Tags"
 msgstr "ट्याग"
 
 #  Bookmarks menu
-#: src/resources/gtk/bookmark-properties.ui:100
+#: src/resources/gtk/bookmark-properties.ui:88
 msgid "Add Tag…"
 msgstr "ट्याग थप्नुहोस्…"
 
-#: src/resources/gtk/bookmark-properties.ui:105 src/resources/gtk/prefs-lang-dialog.ui:23
+#: src/resources/gtk/bookmark-properties.ui:93 src/resources/gtk/prefs-lang-dialog.ui:25
 msgid "_Add"
 msgstr "थप्नुहोस्"
 
-#: src/resources/gtk/bookmarks-popover.ui:56
+#: src/resources/gtk/bookmarks-popover.ui:36
 msgid "All"
 msgstr "सबै"
 
-#: src/resources/gtk/bookmarks-popover.ui:163
-msgid "No bookmarks yet?"
-msgstr "अहिलेसम्म पुस्तकचिनोहरू छैनन्?"
-
-#: src/resources/gtk/bookmarks-popover.ui:179
-msgid "Bookmark some webpages to view them here."
+#: src/resources/gtk/bookmarks-popover.ui:138
+msgid "No Bookmarks"
+msgstr "कुनै पुस्तकचिनोहरू  गरिएको छैन"
+
+#: src/resources/gtk/bookmarks-popover.ui:139
+#| msgid "Visited pages will be listed here"
+msgid "Bookmarked pages will appear here"
 msgstr ""
 
-#: src/resources/gtk/clear-data-view.ui:22 src/resources/gtk/prefs-privacy-page.ui:86
-msgid "Personal Data"
-msgstr "व्यक्तिगत डेटा"
+#: src/resources/gtk/clear-data-view.ui:22
+msgid "Website Data"
+msgstr "वेबसाइट डेटा"
 
 #: src/resources/gtk/clear-data-view.ui:23
 msgid "_Clear Data"
 msgstr "खाली गर्नुहोस्"
 
 #: src/resources/gtk/clear-data-view.ui:24
-msgid "Remove selected personal data"
-msgstr "चयन गरिएको व्यक्तिगत डेटा हटाउनुहोस्"
+#| msgid "Remove selected personal data"
+msgid "Remove selected website data"
+msgstr ""
 
 #: src/resources/gtk/clear-data-view.ui:25
-msgid "Search personal data"
-msgstr "व्यक्तिगत डेटा खोजी गर्नुहोस्"
+#| msgid "Search personal data"
+msgid "Search website data"
+msgstr ""
 
 #: src/resources/gtk/clear-data-view.ui:26
-msgid "There is no Personal Data"
-msgstr "त्यहाँ व्यक्तिगत डेटा छैन"
+#| msgid "_Website Data Storage"
+msgid "No Website Data Found"
+msgstr ""
 
 #: src/resources/gtk/clear-data-view.ui:27
-msgid "Personal data will be listed here"
-msgstr "व्यक्तिगत डेटा यहाँ सूचीबद्ध गरिनेछ"
+#| msgid "Personal data will be listed here"
+msgid "Website data will be listed here"
+msgstr ""
 
-#: src/resources/gtk/clear-data-view.ui:55
-msgid "Clear selected personal data:"
-msgstr "चयन गरिएको व्यक्तिगत डेटा खाली गर्नुहोस्:"
+#: src/resources/gtk/clear-data-view.ui:50
+#| msgid "Clear selected personal data:"
+msgid "Clear selected website data:"
+msgstr ""
 
-#: src/resources/gtk/clear-data-view.ui:113
+#: src/resources/gtk/clear-data-view.ui:105
 msgid "You cannot undo this action. The data you are choosing to clear will be removed forever."
 msgstr ""
 
-#: src/resources/gtk/data-view.ui:44 src/resources/gtk/history-dialog.ui:69
-#: src/resources/gtk/history-dialog.ui:114
+#: src/resources/gtk/data-view.ui:14 src/resources/gtk/history-dialog.ui:29 src/resources/gtk/history-dialog.ui:48
 msgid "Search"
 msgstr "खोज गर्ने"
 
-#: src/resources/gtk/data-view.ui:100 src/resources/gtk/history-dialog.ui:198
+#: src/resources/gtk/data-view.ui:66 src/resources/gtk/history-dialog.ui:125
 msgid "No Results Found"
 msgstr "नतिजा भेटिएन"
 
-#: src/resources/gtk/data-view.ui:101 src/resources/gtk/history-dialog.ui:199
+#: src/resources/gtk/data-view.ui:67 src/resources/gtk/history-dialog.ui:126
 msgid "Try a different search"
 msgstr "फरक खोज कोशिश गर्नुहोस्"
 
@@ -3004,108 +2969,159 @@ msgstr "फरक खोज कोशि
 msgid "Text Encoding"
 msgstr "पाठ सङ्केतन"
 
-#: src/resources/gtk/encoding-dialog.ui:34
-msgid "Use the encoding specified by the document"
-msgstr "कागजातद्वारा निर्दिष्ट गरिएको सङ्केतन प्रयोग गर्नुहोस्"
+#: src/resources/gtk/encoding-dialog.ui:30
+#| msgid "Use the encoding specified by the document"
+msgid "Use Encoding Specified by Document"
+msgstr ""
 
-#: src/resources/gtk/encoding-dialog.ui:68
-msgid "Recent encodings"
+#: src/resources/gtk/encoding-dialog.ui:62
+msgid "Recent Encodings"
 msgstr "हालको सङ्केतनहरू"
 
-#: src/resources/gtk/encoding-dialog.ui:98
-msgid "Related encodings"
+#: src/resources/gtk/encoding-dialog.ui:88
+msgid "Related Encodings"
 msgstr "सम्बन्धित सङ्केतनहरू"
 
-#: src/resources/gtk/encoding-dialog.ui:123
-msgid "Show all…"
-msgstr "सबै देखाऊ…"
+#: src/resources/gtk/encoding-dialog.ui:111
+msgid "Show All…"
+msgstr "सबै देखाऊ"
+
+#: src/resources/gtk/extension-view.ui:7
+msgid "Open _Inspector"
+msgstr ""
+
+#: src/resources/gtk/extension-view.ui:35
+msgid "Author"
+msgstr "लेखक"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:20
+#: src/resources/gtk/extension-view.ui:48
+msgid "Version"
+msgstr "संस्करण"
+
+#: src/resources/gtk/extension-view.ui:77
+msgid "Enabled"
+msgstr "सक्षम बनाइयो ।"
+
+#: src/resources/gtk/firefox-sync-dialog.ui:9
 msgid "Firefox Sync"
 msgstr "फायरफक्स समक्रमण"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:28
+#: src/resources/gtk/firefox-sync-dialog.ui:19
+msgid "Sync _Now"
+msgstr "अहिले समक्रमण गर्नुहोस्"
+
+#: src/resources/gtk/firefox-sync-dialog.ui:32
 msgid ""
-"Sign in with your Firefox account to sync your data with GNOME Web and Firefox on other computers. "
-"GNOME Web is not Firefox and is not produced or endorsed by Mozilla."
+"Sign in with your Mozilla account to sync your data with GNOME Web and Firefox on other computers. GNOME Web is not "
+"Firefox and is not produced or endorsed by Mozilla."
 msgstr ""
 
-#: src/resources/gtk/firefox-sync-dialog.ui:47
-msgid "Firefox Account"
-msgstr "फायरफक्स खाता"
+#: src/resources/gtk/firefox-sync-dialog.ui:49
+#| msgid "Firefox Account"
+msgid "Mozilla Account"
+msgstr ""
 
-#: src/resources/gtk/firefox-sync-dialog.ui:51
+#: src/resources/gtk/firefox-sync-dialog.ui:52
 msgid "Logged in"
 msgstr "लगईन गरियो"
 
 #: src/resources/gtk/firefox-sync-dialog.ui:56
-msgid "Sign _out"
+msgid "Sign _Out"
 msgstr "साइन आउट"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:69
+#: src/resources/gtk/firefox-sync-dialog.ui:68
 msgid "Sync Options"
 msgstr "समक्रमण विकल्पहरू"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:74
+#: src/resources/gtk/firefox-sync-dialog.ui:71
 msgid "Sync _Bookmarks"
 msgstr "पुस्तकचिनो समक्रमण पार्नुहोस्"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:88
+#: src/resources/gtk/firefox-sync-dialog.ui:78
 msgid "Sync _Passwords"
 msgstr "पासवर्ड समक्रमण पार्नुहोस्"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:102
+#: src/resources/gtk/firefox-sync-dialog.ui:84
 msgid "Sync _History"
 msgstr "इतिहास समक्रमण गर्नुहोस्"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:116
+#: src/resources/gtk/firefox-sync-dialog.ui:90
 msgid "Sync Open _Tabs"
 msgstr "ट्याबहरू समक्रमण गर्नुहोस्"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:127
-msgid "S_ynced tabs"
+#: src/resources/gtk/firefox-sync-dialog.ui:94
+msgid "S_ynced Tabs"
 msgstr "समक्रमण गरिएको ट्याब"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:138
+#: src/resources/gtk/firefox-sync-dialog.ui:104
 msgid "Frequency"
 msgstr "आवृति"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:149
-msgid "Sync _now"
-msgstr "अहिले समक्रमण गर्नुहोस्"
-
-#: src/resources/gtk/firefox-sync-dialog.ui:161
+#: src/resources/gtk/firefox-sync-dialog.ui:113
 msgid "Device name"
 msgstr "यन्त्र नाम"
 
-#: src/resources/gtk/firefox-sync-dialog.ui:184
+#: src/resources/gtk/firefox-sync-dialog.ui:126 src/resources/gtk/password-popover.ui:79
+msgid "_Save"
+msgstr "बचत गर्नुहोस्"
+
+#: src/resources/gtk/firefox-sync-dialog.ui:135
 msgid "_Change"
 msgstr "परिवर्तन गर्नुहोस्"
 
-#: src/resources/gtk/history-dialog.ui:27 src/resources/gtk/history-dialog.ui:82
+#: src/resources/gtk/history-dialog.ui:10
 msgid "History"
 msgstr "इतिहास"
 
-#: src/resources/gtk/history-dialog.ui:39
+#: src/resources/gtk/history-dialog.ui:22
 msgid "Select Items"
 msgstr "वस्तु चयन गर्नुहोस्"
 
-#: src/resources/gtk/history-dialog.ui:138
+#: src/resources/gtk/history-dialog.ui:67
 msgid "Search history"
 msgstr "खोज इतिहास"
 
-#: src/resources/gtk/history-dialog.ui:190
-msgid "The History is Empty"
-msgstr "इतिहास खाली छ"
+#: src/resources/gtk/history-dialog.ui:118
+#| msgid "No Results Found"
+msgid "No History Found"
+msgstr ""
 
-#: src/resources/gtk/history-dialog.ui:191
+#: src/resources/gtk/history-dialog.ui:119
 msgid "Visited pages will be listed here"
-msgstr "अवलोकन गरिएका पृष्ठहरू यहाँ सूचीबद्ध हुनेछन् ।"
+msgstr "अवलोकन गरिएका पृष्ठहरू यहाँ सूचीबद्ध हुनेछन् ।."
+
+#: src/resources/gtk/history-dialog.ui:165
+msgid "_Open"
+msgstr "_खोल्नुहोस्"
 
-#: src/resources/gtk/lang-row.ui:39
-msgid "Delete language"
+#: src/resources/gtk/lang-row.ui:21
+msgid "Delete Language"
 msgstr "भाषा हटाउनुहोस्"
 
+#: src/resources/gtk/location-entry.ui:12
+msgid "Search for websites, bookmarks, and open tabs"
+msgstr ""
+
+#: src/resources/gtk/location-entry.ui:67
+msgid "Website Security Status and Permissions"
+msgstr "वेबसाइट सुरक्षा स्थिति र अनुमतिहरू"
+
+#: src/resources/gtk/location-entry.ui:86 src/resources/gtk/prefs-appearance-page.ui:59
+msgid "Reader Mode"
+msgstr "पाठक मोड"
+
+#: src/resources/gtk/location-entry.ui:98
+msgid "View Available Passwords"
+msgstr "उपलब्ध पासवर्ड हेर्नुहोस्"
+
+#: src/resources/gtk/location-entry.ui:268
+msgid "_Redo"
+msgstr "रिडू गर्नुहोस्"
+
+#: src/resources/gtk/location-entry.ui:286
+msgid "Paste and _Go"
+msgstr "टाँस्नुहोस् र जानुहोस्"
+
 #: src/resources/gtk/notebook-context-menu.ui:7
 msgid "R_eload"
 msgstr "पुन लोड गर्नुहोस्"
@@ -3127,154 +3143,139 @@ msgid "Unp_in Tab"
 msgstr "ट्याब अनपिन गर्नुहोस्"
 
 #: src/resources/gtk/notebook-context-menu.ui:31
-#, fuzzy
-#| msgid "_Next Tab"
 msgid "_Mute Tab"
-msgstr "मौन"
+msgstr "म्यूट ट्याब"
 
-#: src/resources/gtk/notebook-context-menu.ui:38
+#: src/resources/gtk/notebook-context-menu.ui:37
 msgid "Close Tabs to the _Left"
 msgstr "बायाँतिर ट्याबहरू बन्द गर्नुहोस्"
 
-#: src/resources/gtk/notebook-context-menu.ui:42
-#, fuzzy
-#| msgid "Move Tab _Right"
+#: src/resources/gtk/notebook-context-menu.ui:41
 msgid "Close Tabs to the _Right"
-msgstr "ट्याबहरु"
+msgstr "दायाँतिर ट्याब हरू बन्द गर्नुहोस्"
 
-#: src/resources/gtk/notebook-context-menu.ui:46
-#, fuzzy
-#| msgid "Close tab"
+#: src/resources/gtk/notebook-context-menu.ui:45
 msgid "Close _Other Tabs"
-msgstr "ट्याबहरु"
+msgstr "अन्य ट्याबहरू बन्द गर्नुहोस्"
 
-#: src/resources/gtk/notebook-context-menu.ui:50
+#: src/resources/gtk/notebook-context-menu.ui:49 src/window-commands.c:263
 msgid "_Close"
 msgstr "बन्द गर्नुहोस्"
 
-#: src/resources/gtk/page-menu-popover.ui:23
-msgctxt "tooltip"
-msgid "Zoom Out"
-msgstr "जूम घटाउनुहोस्"
-
-#: src/resources/gtk/page-menu-popover.ui:36
-#, fuzzy
-msgid "Restore Zoom"
-msgstr "पूर्वावस्थामा ल्याउनुहोस्"
-
-#: src/resources/gtk/page-menu-popover.ui:49
-msgctxt "tooltip"
-msgid "Zoom In"
-msgstr "जुम "
-
-#: src/resources/gtk/page-menu-popover.ui:72
-msgid "Print…"
-msgstr "मुद्रण:"
-
-#: src/resources/gtk/page-menu-popover.ui:82
-msgid "Find…"
-msgstr "फेला पार्नुहोस्…"
-
-#: src/resources/gtk/page-menu-popover.ui:92
-msgid "Fullscreen"
-msgstr "पूरा पर्दा"
-
-#: src/resources/gtk/page-menu-popover.ui:138
+#: src/resources/gtk/page-menu-popover.ui:14
 msgid "_Run in Background"
 msgstr "पृष्ठभूमि मा चलाउनुहोस्"
 
 #  File menu
-#: src/resources/gtk/page-menu-popover.ui:155
+#: src/resources/gtk/page-menu-popover.ui:21 src/resources/gtk/tab-overview-menu.ui:6
 msgid "_New Window"
 msgstr "नयाँ सञ्झ्याल"
 
 #  File menu
-#: src/resources/gtk/page-menu-popover.ui:162
+#: src/resources/gtk/page-menu-popover.ui:25 src/resources/gtk/tab-overview-menu.ui:10
 msgid "New _Incognito Window"
 msgstr "नयाँ गुप्त सञ्झ्याल"
 
-#: src/resources/gtk/page-menu-popover.ui:178
+#: src/resources/gtk/page-menu-popover.ui:31 src/resources/gtk/tab-overview-menu.ui:16
 msgid "Reopen Closed _Tab"
 msgstr "बन्द गरिएको पुन:खोल्नुहोस्"
 
-#: src/resources/gtk/page-menu-popover.ui:185
-msgid "_History"
+#: src/resources/gtk/page-menu-popover.ui:35
+msgid "Histo_ry"
 msgstr "इतिहास"
 
-#: src/resources/gtk/page-menu-popover.ui:201
+#: src/resources/gtk/page-menu-popover.ui:41
 msgid "Firefox _Sync"
 msgstr "फायरफक्स समक्रमण"
 
-#: src/resources/gtk/page-menu-popover.ui:208
+#: src/resources/gtk/page-menu-popover.ui:45
 msgid "I_mport and Export"
 msgstr "आयात र निर्यात"
 
-#: src/resources/gtk/page-menu-popover.ui:224
-#, fuzzy
-msgid "Install Site as Web _Application…"
-msgstr "ग्लेड वेब साइट हेर्नुहोस्"
+#: src/resources/gtk/page-menu-popover.ui:49
+msgid "I_mport Bookmarks…"
+msgstr "पुस्तकचिनो आयात गर्नुहोस्…"
 
-#: src/resources/gtk/page-menu-popover.ui:231
-#, fuzzy
-msgid "Open Appli_cation Manager"
-msgstr "फाइल प्रबन्धकसंग खोल्नुहोस्"
+#: src/resources/gtk/page-menu-popover.ui:53
+msgid "E_xport Bookmarks…"
+msgstr "पुस्तकचिनो निर्यात गर्नुहोस्…"
 
-#: src/resources/gtk/page-menu-popover.ui:238
-msgid "E_xtensions"
-msgstr "विस्तारहरू"
+#: src/resources/gtk/page-menu-popover.ui:59
+msgid "Import _Passwords…"
+msgstr "पासवर्ड आयात गर्नुहोस्"
 
-#: src/resources/gtk/page-menu-popover.ui:254
-#, fuzzy
-#| msgid "Text Encoding"
-msgid "_Override Text Encoding…"
-msgstr "पाठ सङ्केतन"
+#: src/resources/gtk/page-menu-popover.ui:67
+msgid "Install as _Web App…"
+msgstr "वेब अनुप्रयोगको रूपमा स्थापना गर्नुहोस्..."
+
+#: src/resources/gtk/page-menu-popover.ui:71
+msgid "Manag_e Web Apps"
+msgstr "वेब अनुप्रयोगहरू व्यवस्थापन गर्नुहोस्"
+
+#: src/resources/gtk/page-menu-popover.ui:77
+msgid "Text Enco_ding…"
+msgstr "पाठ सङ्केतन..."
 
-#: src/resources/gtk/page-menu-popover.ui:269
+#: src/resources/gtk/page-menu-popover.ui:83
 msgid "Pr_eferences"
 msgstr "प्राथमिकता"
 
-#: src/resources/gtk/page-menu-popover.ui:277
+#: src/resources/gtk/page-menu-popover.ui:87
 msgid "_Keyboard Shortcuts"
 msgstr "कुञ्जीपाटी सर्टकट"
 
-#: src/resources/gtk/page-menu-popover.ui:285
+#: src/resources/gtk/page-menu-popover.ui:91
 msgid "_Help"
 msgstr "मद्दत"
 
-#: src/resources/gtk/page-menu-popover.ui:293
+#: src/resources/gtk/page-menu-popover.ui:95
 msgid "_About Web"
 msgstr "वेब बारेमा"
 
-#: src/resources/gtk/page-menu-popover.ui:316
-msgid "Import and Export"
-msgstr "आयात र निर्यात"
+#: src/resources/gtk/page-menu-popover.ui:112
+msgctxt "tooltip"
+msgid "Zoom Out"
+msgstr "जूम घटाउनुहोस्"
 
-#: src/resources/gtk/page-menu-popover.ui:326
-msgid "I_mport Bookmarks…"
-msgstr "पुस्तकचिनो आयात गर्नुहोस्…"
+#: src/resources/gtk/page-menu-popover.ui:119
+msgid "Restore Zoom"
+msgstr "जुम पुनर्स्थापना गर्नुहोस्"
 
-#: src/resources/gtk/page-menu-popover.ui:333
-msgid "E_xport Bookmarks…"
-msgstr "पुस्तकचिनो निर्यात गर्नुहोस्…"
+#: src/resources/gtk/page-menu-popover.ui:130
+msgctxt "tooltip"
+msgid "Zoom In"
+msgstr "जुम "
 
-#: src/resources/gtk/page-menu-popover.ui:348
-msgid "Import _Passwords…"
-msgstr "पासवर्ड आयात गर्नुहोस्"
+#: src/resources/gtk/page-menu-popover.ui:148
+msgid "Print…"
+msgstr "मुद्रण:"
 
-#: src/resources/gtk/page-row.ui:61
-msgid "Close page"
-msgstr "यो पृष्ठ बन्द गर्नुहोस्"
+#: src/resources/gtk/page-menu-popover.ui:155
+msgid "Find…"
+msgstr "फेला पार्नुहोस्…"
 
-#: src/resources/gtk/pages-view.ui:11
-msgid "Tabs"
-msgstr "ट्याबहरु"
+#: src/resources/gtk/page-menu-popover.ui:162
+msgid "Fullscreen"
+msgstr "पूरा पर्दा"
+
+#: src/resources/gtk/password-popover.ui:22
+msgid "Save Login?"
+msgstr "लगइन बचत गर्नुहुन्छ?"
+
+#: src/resources/gtk/password-popover.ui:42
+msgid "Passwords are saved only on your device and can be removed at any time in Preferences"
+msgstr "पासवर्डहरू तपाईँको यन्त्रमा मात्र बचत गरिन्छ र प्राथमिकताहरूमा कुनै पनि समयमा हटाउन सकिन्छ"
 
-#: src/resources/gtk/passwords-view.ui:25 src/resources/gtk/prefs-privacy-page.ui:108
+#: src/resources/gtk/password-popover.ui:64
+msgid "_Never Save"
+msgstr "कहिल्यै पनि बचत नगर्नुहोस्"
+
+#: src/resources/gtk/passwords-view.ui:25 src/resources/gtk/prefs-privacy-page.ui:57
 msgid "Passwords"
 msgstr "पासवर्ड"
 
 #: src/resources/gtk/passwords-view.ui:28
-msgid "Remove all passwords"
+msgid "Remove All Passwords"
 msgstr "सबै पासवर्डहरू हटाउनुहोस्"
 
 #: src/resources/gtk/passwords-view.ui:29
@@ -3282,20 +3283,18 @@ msgid "Search passwords"
 msgstr "पासवर्ड खोज्नुहोस्"
 
 #: src/resources/gtk/passwords-view.ui:30
-#, fuzzy
-#| msgid "Abort pending downloads?"
-msgid "There are no Passwords"
-msgstr "पासवर्ड"
+msgid "No Passwords Found"
+msgstr "पासवर्ड फेला परेन"
 
 #: src/resources/gtk/passwords-view.ui:31
 msgid "Saved passwords will be listed here"
 msgstr "यहाँ बचत गरिएका पासवर्ड सूचीबद्ध हुनेछन् ।"
 
-#: src/resources/gtk/passwords-view.ui:73
+#: src/resources/gtk/passwords-view.ui:69
 msgid "_Copy Password"
 msgstr "पासवर्ड प्रतिलिपि बनाउनुहोस्"
 
-#: src/resources/gtk/passwords-view.ui:77
+#: src/resources/gtk/passwords-view.ui:73
 msgid "C_opy Username"
 msgstr "प्रयोगकर्ता नाम प्रतिलिपि बनाउनुहोस्"
 
@@ -3303,154 +3302,172 @@ msgstr "प्रयोगकर्त
 msgid "Appearance"
 msgstr "मोहडा"
 
-#: src/resources/gtk/prefs-appearance-page.ui:10
+#: src/resources/gtk/prefs-appearance-page.ui:9
 msgid "Fonts"
 msgstr "फन्ट"
 
-#: src/resources/gtk/prefs-appearance-page.ui:15
+#: src/resources/gtk/prefs-appearance-page.ui:13
 msgid "Use Custom Fonts"
 msgstr "अनुकूल फन्टहरू प्रयोग गर्नुहोस्"
 
-#: src/resources/gtk/prefs-appearance-page.ui:20
-msgid "Sans serif font"
+#: src/resources/gtk/prefs-appearance-page.ui:17
+msgid "Sans Serif Font"
 msgstr "सान्स सेरिफ फन्ट"
 
-#: src/resources/gtk/prefs-appearance-page.ui:35
-msgid "Serif font"
+#: src/resources/gtk/prefs-appearance-page.ui:30
+msgid "Serif Font"
 msgstr "सेरिफ फन्ट"
 
-#: src/resources/gtk/prefs-appearance-page.ui:50
-msgid "Monospace font"
+#: src/resources/gtk/prefs-appearance-page.ui:43
+msgid "Monospace Font"
 msgstr "मोनोस्पेस फन्ट"
 
-#: src/resources/gtk/prefs-appearance-page.ui:68
-msgid "Reader Mode"
-msgstr "पाठक मोड"
-
-#: src/resources/gtk/prefs-appearance-page.ui:72
+#: src/resources/gtk/prefs-appearance-page.ui:62
 msgid "Font Style"
 msgstr "वर्णको शैली"
 
-#: src/resources/gtk/prefs-appearance-page.ui:78
+#: src/resources/gtk/prefs-appearance-page.ui:77
 msgid "Color Scheme"
 msgstr "रङ योजना"
 
-#: src/resources/gtk/prefs-appearance-page.ui:86
+#: src/resources/gtk/prefs-appearance-page.ui:94
 msgid "Style"
 msgstr "शैली"
 
-#: src/resources/gtk/prefs-appearance-page.ui:91
+#: src/resources/gtk/prefs-appearance-page.ui:97
 msgid "Use Custom Stylesheet"
 msgstr "अनुकूल शैलीपाना प्रयोग गर्नुहोस्"
 
-#: src/resources/gtk/prefs-appearance-page.ui:126
+#: src/resources/gtk/prefs-appearance-page.ui:111
 msgid "Use Custom JavaScript"
 msgstr "अनुकूलन जाभा स्क्रिप्ट प्रयोग गर्नुहोस्"
 
-#: src/resources/gtk/prefs-appearance-page.ui:161
-#, fuzzy
-#| msgid "Default zoom level"
+#: src/resources/gtk/prefs-appearance-page.ui:125
 msgid "Default Zoom Level"
-msgstr "लिङ्क जुम स्तरमा परिवर्तन गर्न अनुमति दिन्छ।."
+msgstr "पूर्वनिर्धारित जुम तह"
+
+#: src/resources/gtk/prefs-extensions-page.ui:12
+msgid "Add New Extension"
+msgstr "नयाँ विस्तार थप्नुहोस्"
+
+#: src/resources/gtk/prefs-extensions-page.ui:13
+msgid "Extensions must be installed manually from their files"
+msgstr "एक्सटेन्सनहरू तिनीहरूका फाइलहरूबाट म्यानुअल रूपमा स्थापना हुनुपर्दछ"
+
+#: src/resources/gtk/prefs-extensions-page.ui:27
+msgid ""
+"Epiphany is compatible with web extensions for Mozilla Firefox. To find and add web extensions, visit <a href=\"https://"
+"addons.mozilla.org\">addons.mozilla.org</a>"
+msgstr ""
+
+#: src/resources/gtk/prefs-extensions-page.ui:59
+msgid "No Extensions Installed"
+msgstr "विस्तार स्थापना गरिएको छैन"
 
 #: src/resources/gtk/prefs-general-page.ui:6
 msgid "General"
 msgstr "साधारण"
 
-#: src/resources/gtk/prefs-general-page.ui:10
-msgid "Web Application"
+#: src/resources/gtk/prefs-general-page.ui:9
+msgid "Web App"
 msgstr "वेब अनुप्रयोग"
 
-#: src/resources/gtk/prefs-general-page.ui:15
+#: src/resources/gtk/prefs-general-page.ui:13
 msgid "_Icon"
 msgstr "प्रतिमा"
 
-#: src/resources/gtk/prefs-general-page.ui:38
+#: src/resources/gtk/prefs-general-page.ui:25
 msgid "_Homepage"
 msgstr "गृहपृष्ठ"
 
 #  View Menu
-#: src/resources/gtk/prefs-general-page.ui:53
+#: src/resources/gtk/prefs-general-page.ui:32
 msgid "_Title"
 msgstr "शीर्षक"
 
-#: src/resources/gtk/prefs-general-page.ui:68
+#: src/resources/gtk/prefs-general-page.ui:40
 msgid "_Manage Additional URLs"
 msgstr "अतिरिक्त यूआरएल हरू प्रबन्ध गर्नुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:93
+#: src/resources/gtk/prefs-general-page.ui:56
 msgid "Web Content"
 msgstr "वेब सामाग्री"
 
-#: src/resources/gtk/prefs-general-page.ui:98
-#, fuzzy
-#| msgid "Try to block _advertisements"
+#: src/resources/gtk/prefs-general-page.ui:59
 msgid "Block _Advertisements"
-msgstr "रोक्नुहोस्"
+msgstr "विज्ञापन हरू ब्लक गर्नुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:112
+#: src/resources/gtk/prefs-general-page.ui:65
 msgid "Block _Popup Windows"
 msgstr "पपअप सञ्झ्याल बन्द गर्नुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:132
+#: src/resources/gtk/prefs-general-page.ui:77
 msgid "Most _Visited Pages"
 msgstr "सबै भन्दा बढी हेरिएको पृष्ठहरू"
 
-#: src/resources/gtk/prefs-general-page.ui:146
+#: src/resources/gtk/prefs-general-page.ui:89
 msgid "_Blank Page"
 msgstr "खाली पृष्ठ"
 
-#: src/resources/gtk/prefs-general-page.ui:161
+#: src/resources/gtk/prefs-general-page.ui:102
 msgid "_Custom"
 msgstr "अनुकूलन गर्नुहोस्"
 
 #  The name of the default downloads folder
-#: src/resources/gtk/prefs-general-page.ui:190
-#, fuzzy
-#| msgid "_Download"
+#: src/resources/gtk/prefs-general-page.ui:126
 msgid "Ask o_n Download"
-msgstr "डाउनलोड"
+msgstr "डाउनलोड गर्दा सोध्नुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:205
-#, fuzzy
-#| msgid "_Download folder"
+#: src/resources/gtk/prefs-general-page.ui:133
 msgid "_Download Folder"
-msgstr "डाउनलोड"
+msgstr "डाउनलोड फोल्डर"
 
-#: src/resources/gtk/prefs-general-page.ui:214
+#: src/resources/gtk/prefs-general-page.ui:173
 msgid "Search Engines"
 msgstr "खोज प्रबिधी"
 
-#: src/resources/gtk/prefs-general-page.ui:225
+#: src/resources/gtk/prefs-general-page.ui:181
 msgid "Session"
 msgstr "सत्र"
 
-#: src/resources/gtk/prefs-general-page.ui:230
+#: src/resources/gtk/prefs-general-page.ui:184
 msgid "Start in _Incognito Mode"
 msgstr "अज्ञात मुद्रामा सुरु गर्नुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:244
+#: src/resources/gtk/prefs-general-page.ui:190
 msgid "_Restore Tabs on Startup"
 msgstr "सुरुआतमा ट्याबपूर्वावस्थामा ल्याउनुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:259
+#: src/resources/gtk/prefs-general-page.ui:198
 #, fuzzy
 msgid "Browsing"
-msgstr "ब्राउजिङ इतिहास खाली गर्नुहुन्छ ?"
+msgstr "फाइल प्रणाली ब्राउजगर्नका लागि एउटा स्रोत"
 
-#: src/resources/gtk/prefs-general-page.ui:264
+#: src/resources/gtk/prefs-general-page.ui:201
 msgid "Mouse _Gestures"
 msgstr "माउस गेस्चर"
 
-#: src/resources/gtk/prefs-general-page.ui:278
+#: src/resources/gtk/prefs-general-page.ui:207
 msgid "S_witch Immediately to New Tabs"
 msgstr "तुरून्तै नयाँ ट्याबमा स्विच गर्नुहोस्"
 
-#: src/resources/gtk/prefs-general-page.ui:313
+#: src/resources/gtk/prefs-general-page.ui:230
 msgid "_Spell Checking"
 msgstr "हिज्जे जाँच गर्दै"
 
-#: src/resources/gtk/prefs-lang-dialog.ui:48
+#: src/resources/gtk/prefs-general-page.ui:238
+msgid "Developer"
+msgstr "प्रमुख विकासकर्ता"
+
+#: src/resources/gtk/prefs-general-page.ui:241
+msgid "Show D_eveloper Actions"
+msgstr "विकासकर्ता कार्य देखाउनुहोस्"
+
+#: src/resources/gtk/prefs-lang-dialog.ui:8
+msgid "Add Language…"
+msgstr "भाषा थप्नुहोस्"
+
+#: src/resources/gtk/prefs-lang-dialog.ui:45
 msgid "Choose a language:"
 msgstr "भाषा रोज्नुहोस्:"
 
@@ -3458,639 +3475,819 @@ msgstr "भाषा रोज्नु
 msgid "Privacy"
 msgstr "गोपनीयता"
 
-#: src/resources/gtk/prefs-privacy-page.ui:10
-msgid "Web Safety"
-msgstr "वेब सुरक्षा"
-
-#: src/resources/gtk/prefs-privacy-page.ui:15
-msgid "Block Dangerous Web_sites"
-msgstr "खतरनाक वेबसाइटहरू बन्द गर्नुहोस्"
-
-#: src/resources/gtk/prefs-privacy-page.ui:30
-#, fuzzy
+#: src/resources/gtk/prefs-privacy-page.ui:9
 msgid "Web Tracking"
-msgstr "ट्रयाकिङ्ग मोड"
+msgstr "वेब ट्रयाकिङ"
 
-#: src/resources/gtk/prefs-privacy-page.ui:35
+#: src/resources/gtk/prefs-privacy-page.ui:12
 msgid "Intelligent _Tracking Prevention"
 msgstr "बौद्धिक ट्रेकिङ रोकथाम"
 
-#: src/resources/gtk/prefs-privacy-page.ui:49
-msgid "Allow websites to store cookies, databases, and local storage data."
-msgstr "वेबसाइटहरू लाई कुकीहरू, डेटाबेसहरू, र स्थानीय भण्डारण डेटा भण्डारण गर्न अनुमति दिनुहोस्।"
+#: src/resources/gtk/prefs-privacy-page.ui:18
+msgid "Allow websites to store cookies, databases, and local storage data"
+msgstr "वेबसाइटहरू लाई कुकीहरू, डेटाबेसहरू, र स्थानीय भण्डारण डेटा भण्डारण गर्न अनुमति दिनुहोस्"
 
-#: src/resources/gtk/prefs-privacy-page.ui:50
+#: src/resources/gtk/prefs-privacy-page.ui:19
 msgid "_Website Data Storage"
 msgstr "वेबसाइट डेटा भण्डारण"
 
-#: src/resources/gtk/prefs-privacy-page.ui:65
+#: src/resources/gtk/prefs-privacy-page.ui:27
 msgid "Search Suggestions"
 msgstr "सुझावहरू खोज्नुहोस्"
 
-#: src/resources/gtk/prefs-privacy-page.ui:70
-msgid "Enable search suggestions in the URL entry."
+#: src/resources/gtk/prefs-privacy-page.ui:30
+msgid "Enable search suggestions in the URL entry"
 msgstr "यूआरएल प्रविष्टिमा खोजी सुझाव सक्षम पार्नुहोस् ।"
 
-#: src/resources/gtk/prefs-privacy-page.ui:71
+#: src/resources/gtk/prefs-privacy-page.ui:31
 msgid "_Google Search Suggestions"
 msgstr "गुगल खोजी सुझावहरू"
 
-#: src/resources/gtk/prefs-privacy-page.ui:91
-msgid "You can clear stored personal data."
-msgstr "तपाईँले भण्डारण गरिएको व्यक्तिगत डेटा खाली गर्न सक्नुहुन्छ ।"
-
-#: src/resources/gtk/prefs-privacy-page.ui:92
-msgid "Clear Personal _Data"
-msgstr "व्यक्तिगत डेटा खाली गर्नुहोस्"
+#: src/resources/gtk/prefs-privacy-page.ui:39
+msgid "Personal Data"
+msgstr "व्यक्तिगत डेटा"
+
+#: src/resources/gtk/prefs-privacy-page.ui:43
+msgid "Clear Website _Data"
+msgstr "वेबसाइट डेटा खाली गर्नुहोस्"
 
-#: src/resources/gtk/prefs-privacy-page.ui:113
+#: src/resources/gtk/prefs-privacy-page.ui:61
 msgid "_Passwords"
 msgstr "पासवर्ड"
 
-#: src/resources/gtk/prefs-privacy-page.ui:128
+#: src/resources/gtk/prefs-privacy-page.ui:73
 msgid "_Remember Passwords"
 msgstr "पासवर्ड सम्झनुहोस्"
 
-#: src/resources/gtk/search-engine-row.ui:10
-msgid "Selects the default search engine"
-msgstr "पूर्वनिर्धारित खोज प्रबिधी चयन गर्दछ"
+#: src/resources/gtk/search-engine-row.ui:8
+msgid "Selects Default Search Engine"
+msgstr "पूर्वनिर्धारित खोजी इन्जिन चयन गर्दछ"
 
-#: src/resources/gtk/search-engine-row.ui:31
+#: src/resources/gtk/search-engine-row.ui:26
 msgid "Name"
 msgstr "नाम"
 
-#: src/resources/gtk/search-engine-row.ui:53
+#: src/resources/gtk/search-engine-row.ui:46
 msgid "Address"
 msgstr "ठेगाना"
 
-#: src/resources/gtk/search-engine-row.ui:79
+#: src/resources/gtk/search-engine-row.ui:69
 msgid "Shortcut"
 msgstr "सर्टकट"
 
-#: src/resources/gtk/search-engine-row.ui:106
-#, c-format
+#: src/resources/gtk/search-engine-row.ui:92
 msgid ""
-"To determine the search address, perform a search using the search engine that you want to add and "
-"replace the search term with %s."
+"To determine the search address, perform a search using the search engine that you want to add and replace the search "
+"term with %s"
 msgstr ""
 
-#: src/resources/gtk/search-engine-row.ui:126
-#, fuzzy
+#: src/resources/gtk/search-engine-row.ui:110
 msgid "R_emove Search Engine"
-msgstr "नक्कल प्रतिहरू हटाउनुहोस्"
+msgstr "सोज प्रविधि हटाउनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:15
+#: src/resources/gtk/shortcuts-dialog.ui:13
 msgctxt "shortcut window"
 msgid "General"
 msgstr "सामान्य"
 
 #  File menu
-#: src/resources/gtk/shortcuts-dialog.ui:19
+#: src/resources/gtk/shortcuts-dialog.ui:16
 msgctxt "shortcut window"
-msgid "New window"
+msgid "New Window"
 msgstr "नयाँ सञ्झ्याल"
 
-#: src/resources/gtk/shortcuts-dialog.ui:26
+#  File menu
+#: src/resources/gtk/shortcuts-dialog.ui:22
 msgctxt "shortcut window"
-msgid "New incognito window"
+msgid "New Incognito Window"
 msgstr "नयाँ गुप्त सञ्झ्याल"
 
-#: src/resources/gtk/shortcuts-dialog.ui:33
+#: src/resources/gtk/shortcuts-dialog.ui:28
 msgctxt "shortcut window"
-msgid "Open file"
+msgid "Open File"
 msgstr "फाइल खोल्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:40
+#: src/resources/gtk/shortcuts-dialog.ui:34
 msgctxt "shortcut window"
-msgid "Save page"
+msgid "Save Page"
 msgstr "पृष्ठ सङ्ग्रह गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:47
+#: src/resources/gtk/shortcuts-dialog.ui:40
+msgctxt "shortcut window"
+msgid "Take Screenshot"
+msgstr "स्क्रिनसट लिनुहोस्"
+
+#: src/resources/gtk/shortcuts-dialog.ui:46
 msgctxt "shortcut window"
-msgid "Print page"
+msgid "Print Page"
 msgstr "पृष्ठ मुद्रण"
 
-#: src/resources/gtk/shortcuts-dialog.ui:54
+#: src/resources/gtk/shortcuts-dialog.ui:52
 msgctxt "shortcut window"
 msgid "Quit"
 msgstr "बन्द गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:61
+#: src/resources/gtk/shortcuts-dialog.ui:58
 msgctxt "shortcut window"
 msgid "Help"
 msgstr "सहायता"
 
 #  Images
-#: src/resources/gtk/shortcuts-dialog.ui:68
+#: src/resources/gtk/shortcuts-dialog.ui:64
 msgctxt "shortcut window"
-msgid "Open menu"
+msgid "Open Menu"
 msgstr "मेनु खोल्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:75
+#: src/resources/gtk/shortcuts-dialog.ui:70
 msgctxt "shortcut window"
 msgid "Shortcuts"
 msgstr "सर्टकटहरू"
 
-#: src/resources/gtk/shortcuts-dialog.ui:82
+#: src/resources/gtk/shortcuts-dialog.ui:76
 msgctxt "shortcut window"
-msgid "Show downloads list"
+msgid "Show Downloads List"
 msgstr "डाउनलोड सूची देखाउनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:93
+#: src/resources/gtk/shortcuts-dialog.ui:86
 msgctxt "shortcut window"
 msgid "Navigation"
 msgstr "नेभिगेशन"
 
-#: src/resources/gtk/shortcuts-dialog.ui:97
+#: src/resources/gtk/shortcuts-dialog.ui:89
 msgctxt "shortcut window"
-msgid "Go to homepage"
+msgid "Go to Homepage"
 msgstr "गृहपृष्ठमा जानुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:104
+#: src/resources/gtk/shortcuts-dialog.ui:95
 msgctxt "shortcut window"
-msgid "Reload current page"
+msgid "Reload Current Page"
 msgstr "हालको पृष्ठ पुन: लोड गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:111
-#, fuzzy
+#: src/resources/gtk/shortcuts-dialog.ui:101
 msgctxt "shortcut window"
-msgid "Reload bypassing cache"
-msgstr "पुन:लोड गर्नुहोस्"
+msgid "Reload Bypassing Cache"
+msgstr ""
 
-#: src/resources/gtk/shortcuts-dialog.ui:118
+#: src/resources/gtk/shortcuts-dialog.ui:107
 msgctxt "shortcut window"
-msgid "Stop loading current page"
+msgid "Stop Loading Current Page"
 msgstr "हालको पृष्ठ लोड गर्न रोक्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:125 src/resources/gtk/shortcuts-dialog.ui:140
+#: src/resources/gtk/shortcuts-dialog.ui:113 src/resources/gtk/shortcuts-dialog.ui:126
 msgctxt "shortcut window"
-msgid "Go back to the previous page"
-msgstr "अघिल्लो पृष्ठमा जानुहोस्"
+msgid "Go Back to Previous Page"
+msgstr "अघिल्लो पृष्ठमा फर्कनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:132 src/resources/gtk/shortcuts-dialog.ui:147
+#: src/resources/gtk/shortcuts-dialog.ui:119 src/resources/gtk/shortcuts-dialog.ui:132
 msgctxt "shortcut window"
-msgid "Go forward to the next page"
-msgstr "अर्को पृष्ठमा जानुहोस्"
+msgid "Go Forward to Next Page"
+msgstr "पछिल्लो पृष्ठमा जानुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:157
+#: src/resources/gtk/shortcuts-dialog.ui:141
 msgctxt "shortcut window"
 msgid "Tabs"
 msgstr "ट्याबहरु"
 
-#: src/resources/gtk/shortcuts-dialog.ui:161
+#: src/resources/gtk/shortcuts-dialog.ui:144
 msgctxt "shortcut window"
-msgid "New tab"
+msgid "New Tab"
 msgstr "नयाँ ट्याब"
 
-#: src/resources/gtk/shortcuts-dialog.ui:168
+#: src/resources/gtk/shortcuts-dialog.ui:150
 msgctxt "shortcut window"
-msgid "Close current tab"
+msgid "Close Current Tab"
 msgstr "हालको ट्याब बन्द गर्ने"
 
-#: src/resources/gtk/shortcuts-dialog.ui:175
+#: src/resources/gtk/shortcuts-dialog.ui:156
 msgctxt "shortcut window"
-msgid "Reopen closed tab"
+msgid "Reopen Closed Tab"
 msgstr "बन्द गरिएको ट्याब पुन:खोल्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:182
-#, fuzzy
-#| msgid "Go to the next visited page"
+#: src/resources/gtk/shortcuts-dialog.ui:162
 msgctxt "shortcut window"
-msgid "Go to the next tab"
+msgid "Go to Next Tab"
 msgstr "पछिल्लो ट्याबमा जानुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:189
+#: src/resources/gtk/shortcuts-dialog.ui:168
 msgctxt "shortcut window"
-msgid "Go to the previous tab"
+msgid "Go to Previous Tab"
 msgstr "अघिल्लो ट्याबमा जानुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:196
+#: src/resources/gtk/shortcuts-dialog.ui:174
 msgctxt "shortcut window"
-msgid "Move current tab to the left"
+msgid "Move Current Tab to the Left"
 msgstr "ट्याब बायाँतिर सार्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:203
+#: src/resources/gtk/shortcuts-dialog.ui:180
 msgctxt "shortcut window"
-msgid "Move current tab to the right"
+msgid "Move Current Tab to the Right"
 msgstr "ट्याब दायाँतिर सार्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:210
+#: src/resources/gtk/shortcuts-dialog.ui:186
 msgctxt "shortcut window"
-msgid "Duplicate current tab"
+msgid "Duplicate Current Tab"
 msgstr "हालको ट्याब नक्कल गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:221
+#: src/resources/gtk/shortcuts-dialog.ui:192
+msgctxt "shortcut window"
+msgid "View Open Tabs"
+msgstr "खुलेका ट्याबहरु हेर्नुहोस्"
+
+#: src/resources/gtk/shortcuts-dialog.ui:202
 msgctxt "shortcut window"
 msgid "Miscellaneous"
 msgstr "विविध"
 
-#: src/resources/gtk/shortcuts-dialog.ui:225
+#: src/resources/gtk/shortcuts-dialog.ui:205
 msgctxt "shortcut window"
 msgid "History"
 msgstr "इतिहास"
 
-#: src/resources/gtk/shortcuts-dialog.ui:232
+#: src/resources/gtk/shortcuts-dialog.ui:211
 msgctxt "shortcut window"
 msgid "Preferences"
 msgstr "प्राथमिकताहरू"
 
-#: src/resources/gtk/shortcuts-dialog.ui:239
-#, fuzzy
-#| msgid "Add a bookmark for the current page"
+#: src/resources/gtk/shortcuts-dialog.ui:217
 msgctxt "shortcut window"
-msgid "Bookmark current page"
-msgstr "यो पृष्ठ पुस्तकचिनो "
+msgid "Bookmark Current Page"
+msgstr "पुस्तकचिनो हालको पृष्ठ पुस्तकचिनो"
 
-#: src/resources/gtk/shortcuts-dialog.ui:246
+#: src/resources/gtk/shortcuts-dialog.ui:223
 msgctxt "shortcut window"
-msgid "Show bookmarks list"
+msgid "Show Bookmarks List"
 msgstr "पुस्तकचिनो सूची देखाउनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:253
+#: src/resources/gtk/shortcuts-dialog.ui:229
 msgctxt "shortcut window"
-msgid "Import bookmarks"
+msgid "Import Bookmarks"
 msgstr "पुस्तकचिनो आयात गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:260
+#: src/resources/gtk/shortcuts-dialog.ui:235
 msgctxt "shortcut window"
-msgid "Export bookmarks"
+msgid "Export Bookmarks"
 msgstr "पुस्तकचिनो निर्यात गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:267
+#: src/resources/gtk/shortcuts-dialog.ui:241
 msgctxt "shortcut window"
-msgid "Toggle caret browsing"
+msgid "Toggle Caret Browsing"
 msgstr "क्यारेट ब्राउजिङ टगल गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:278
+#: src/resources/gtk/shortcuts-dialog.ui:251
 msgctxt "shortcut window"
-msgid "Web application"
+msgid "Web App"
 msgstr "वेब अनुप्रयोग"
 
-#: src/resources/gtk/shortcuts-dialog.ui:282
-#, fuzzy
+#: src/resources/gtk/shortcuts-dialog.ui:254
 msgctxt "shortcut window"
-msgid "Install site as web application"
-msgstr "ग्लेड वेब साइट हेर्नुहोस्"
+msgid "Install Site as Web App"
+msgstr "वेब अनुप्रयोगको रूपमा साइट स्थापना गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:289
-msgctxt "shortcut window"
-msgid "Open web application manager"
-msgstr "वेब अनुप्रयोग प्रबन्धक खोल्नुहोस्"
-
-#: src/resources/gtk/shortcuts-dialog.ui:300
+#: src/resources/gtk/shortcuts-dialog.ui:264
 msgctxt "shortcut window"
 msgid "View"
 msgstr "दृश्य"
 
-#: src/resources/gtk/shortcuts-dialog.ui:304
+#: src/resources/gtk/shortcuts-dialog.ui:267
 msgctxt "shortcut window"
-msgid "Zoom in"
-msgstr "यसमा जुम गर्नुहोस्"
+msgid "Zoom In"
+msgstr "जुम बढाउनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:311
+#: src/resources/gtk/shortcuts-dialog.ui:273
 msgctxt "shortcut window"
-msgid "Zoom out"
-msgstr "जुम घटाउनुहोस््"
+msgid "Zoom Out"
+msgstr "जूम घटाउनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:318
+#: src/resources/gtk/shortcuts-dialog.ui:279
 msgctxt "shortcut window"
-msgid "Reset zoom"
-msgstr "जुम रिसेट गर्नुहोस्"
+msgid "Reset Zoom"
+msgstr "जुम पुनः मिलाउ"
 
-#: src/resources/gtk/shortcuts-dialog.ui:325
+#: src/resources/gtk/shortcuts-dialog.ui:285
 msgctxt "shortcut window"
 msgid "Fullscreen"
 msgstr "पूरा पर्दा"
 
-#: src/resources/gtk/shortcuts-dialog.ui:332
+#: src/resources/gtk/shortcuts-dialog.ui:291
 msgctxt "shortcut window"
-msgid "View page source"
+msgid "View Page Source"
 msgstr "पृष्ठ स्रोत हेर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:339
-#, fuzzy
+#: src/resources/gtk/shortcuts-dialog.ui:297
 msgctxt "shortcut window"
-msgid "Toggle inspector"
-msgstr "उल्टनू"
+msgid "Toggle Inspector"
+msgstr "इन्स्पेक्टर टगल गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:346
+#: src/resources/gtk/shortcuts-dialog.ui:303
 msgctxt "shortcut window"
-msgid "Toggle reader mode"
+msgid "Toggle Reader Mode"
 msgstr "पढ्ने मोड टगल गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:357
+#: src/resources/gtk/shortcuts-dialog.ui:313
 msgctxt "shortcut window"
 msgid "Editing"
 msgstr "सम्पादन गर्ने"
 
 #  Edit Menu
-#: src/resources/gtk/shortcuts-dialog.ui:361
+#: src/resources/gtk/shortcuts-dialog.ui:316
 msgctxt "shortcut window"
 msgid "Cut"
 msgstr "काट्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:368
+#: src/resources/gtk/shortcuts-dialog.ui:322
 msgctxt "shortcut window"
 msgid "Copy"
 msgstr "प्रतिलपि गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:375
+#: src/resources/gtk/shortcuts-dialog.ui:328
 msgctxt "shortcut window"
 msgid "Paste"
 msgstr "टाँस्नुहोस्"
 
 #  Edit menu
-#: src/resources/gtk/shortcuts-dialog.ui:382
+#: src/resources/gtk/shortcuts-dialog.ui:334
 msgctxt "shortcut window"
 msgid "Undo"
 msgstr "पूर्वस्थितिमा फर्काउनुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:389
+#: src/resources/gtk/shortcuts-dialog.ui:340
 msgctxt "shortcut window"
 msgid "Redo"
 msgstr "रिडू गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:396
+#: src/resources/gtk/shortcuts-dialog.ui:346
 msgctxt "shortcut window"
-msgid "Select all"
-msgstr "सबै चयन गर्नुहोस्"
+msgid "Select All"
+msgstr "सबै छान्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:403
+#: src/resources/gtk/shortcuts-dialog.ui:352
 msgctxt "shortcut window"
-msgid "Select page URL"
+msgid "Select Page URL"
 msgstr "पृष्ठ URL चयन गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:410
+#: src/resources/gtk/shortcuts-dialog.ui:358
 msgctxt "shortcut window"
-msgid "Search with default search engine"
+msgid "Search With Default Search Engine"
 msgstr "पूर्वनिर्धारित खोज प्रबिधीले खोजी गर्नुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:417
+#: src/resources/gtk/shortcuts-dialog.ui:364
 msgctxt "shortcut window"
 msgid "Find"
 msgstr "खोज्नुस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:424
+#: src/resources/gtk/shortcuts-dialog.ui:370
 msgctxt "shortcut window"
-msgid "Next find result"
+msgid "Next Find Result"
 msgstr "अर्को परिणाममा जानुहोस्"
 
-#: src/resources/gtk/shortcuts-dialog.ui:431
+#: src/resources/gtk/shortcuts-dialog.ui:376
 msgctxt "shortcut window"
-msgid "Previous find result"
+msgid "Previous Find Result"
 msgstr "अघिल्लो परिणाममा जानुहोस्"
 
-#: src/resources/gtk/synced-tabs-dialog.ui:22
-#, fuzzy
+#: src/resources/gtk/synced-tabs-dialog.ui:18
 msgid "Synced Tabs"
-msgstr "ट्याबहरु"
+msgstr "समक्रमण गरिएको ट्याब"
 
-#: src/resources/gtk/synced-tabs-dialog.ui:41
+#: src/resources/gtk/synced-tabs-dialog.ui:36
 msgid ""
-"Below are the synced open tabs of your other devices that use Firefox Sync with this account. Open "
-"a tab by double clicking its name (tabs under Local Tabs cannot be opened)."
+"Below are the synced open tabs of your other devices that use Firefox Sync with this account. Open a tab by double "
+"clicking its name (tabs under Local Tabs cannot be opened)."
 msgstr ""
 
-#: src/resources/gtk/webapp-additional-urls-dialog.ui:17
+#: src/resources/gtk/webapp-additional-urls-dialog.ui:15
 msgid "Additional URLs"
 msgstr "अतिरिक्त यूआरएल हरू"
 
-#: src/resources/gtk/webapp-additional-urls-dialog.ui:28
+#: src/resources/gtk/webapp-additional-urls-dialog.ui:32
 msgid ""
-"A URL that starts with any of the additional URLs will be opened by the web application. If you "
-"omit the URL scheme, the one from the currently loaded URL will be used."
+"A URL that starts with any of the additional URLs will be opened by the web application. If you omit the URL scheme, "
+"the one from the currently loaded URL will be used."
 msgstr ""
 
-#: src/resources/gtk/webapp-additional-urls-dialog.ui:52
+#: src/resources/gtk/webapp-additional-urls-dialog.ui:54
 msgctxt "Column header in the Additional URLs dialog"
 msgid "URL"
 msgstr "युआरएल"
 
-#: src/resources/gtk/webapp-additional-urls-dialog.ui:77
-msgid "Add new URL"
+#: src/resources/gtk/webapp-additional-urls-dialog.ui:81
+msgid "Add New URL"
 msgstr "नयाँ यूआरएल थप्नुहोस्"
 
-#: src/resources/gtk/webapp-additional-urls-dialog.ui:90
-#, fuzzy
-#| msgid "Remove the selected item from the toolbar"
-msgid "Remove the selected URLs"
-msgstr "चयन भिडियो परियोजनाबाट हटाउनुहोस्"
+#: src/resources/gtk/webapp-additional-urls-dialog.ui:87
+msgid "Remove Selected URLs"
+msgstr "चयन गरिएको यूआरएल हटाउनुहोस्"
 
-#: src/resources/gtk/webapp-additional-urls-dialog.ui:104
+#: src/resources/gtk/webapp-additional-urls-dialog.ui:94
 msgid "C_lear All"
 msgstr "सबै खाली गर्नुहोस्"
 
-#: src/resources/gtk/web-extensions-dialog.ui:12 src/resources/gtk/web-extensions-dialog.ui:21
-msgid "Extensions"
-msgstr "विस्तारहरू"
-
-#  Bookmarks menu
-#: src/resources/gtk/web-extensions-dialog.ui:26
-msgid "_Add…"
-msgstr "थप्नुहोस्…"
-
-#: src/resources/gtk/web-extensions-dialog.ui:40
-msgid "No Extensions Installed"
-msgstr "विस्तार स्थापना गरिएको छैन"
-
-#: src/resources/gtk/web-extensions-dialog.ui:41
-msgid "Add some extensions to display them here."
-msgstr "यहाँ प्रदर्शन गर्न केही विस्तारहरू थप्नुहोस् ।"
-
 #  Translators you should change these links to respect your locale.
 #  * For instance in .nl these should be
 #  * "http://www.google.nl" and "http://www.google.nl/search?q=%s"
 #: src/search-provider/ephy-search-provider.c:214
-#, fuzzy, c-format
-#| msgid "Search the web"
+#, c-format
 msgid "Search the web for “%s”"
-msgstr "वेब"
+msgstr "\"%s\" का लागि वेब खोजी गर्नुहोस्"
 
 #: src/search-provider/ephy-search-provider.c:224
 #, c-format
 msgid "Load “%s”"
 msgstr "“%s” लोड गर्नुहोस्"
 
-#: src/synced-tabs-dialog.c:190
+#: src/synced-tabs-dialog.c:194
 msgid "Local Tabs"
 msgstr "स्थानीय ट्याव"
 
-#: src/window-commands.c:113
+#: src/webapp-provider/ephy-webapp-provider.c:120
+msgid "The install_token is required for the Install() method"
+msgstr "स्थापना() विधिका लागि install_token आवश्यक छ ।"
+
+#: src/webapp-provider/ephy-webapp-provider.c:126
+#, c-format
+msgid "The url passed was not valid: ‘%s’"
+msgstr "पारित गरिएको यूआरएल वैध थिएन: '%s'"
+
+#: src/webapp-provider/ephy-webapp-provider.c:132
+msgid "The name passed was not valid"
+msgstr "पास गरिएको नाम वैध थिएन"
+
+#: src/webapp-provider/ephy-webapp-provider.c:144
+#, c-format
+msgid "Installing the web application ‘%s’ (%s) failed: %s"
+msgstr "वेब अनुप्रयोग '%s' (%s) स्थापना गर्न असफल भयो: %s"
+
+#: src/webapp-provider/ephy-webapp-provider.c:176
+#, c-format
+msgid "The desktop file ID passed ‘%s’ was not valid"
+msgstr "'%s' पास गरिएको डेस्कटप फाइल आईडी वैध थिएन"
+
+#: src/webapp-provider/ephy-webapp-provider.c:185
+#, c-format
+msgid "The web application ‘%s’ does not exist"
+msgstr "वेब अनुप्रयोग '%s' अवस्थित छैन"
+
+#: src/webapp-provider/ephy-webapp-provider.c:190
+#, c-format
+msgid "The web application ‘%s’ could not be deleted"
+msgstr "वेब अनुप्रयोग '%s' मेट्न सकिएन"
+
+#: src/webextension/api/runtime.c:161
+#, c-format
+msgid "Options for %s"
+msgstr "%s का लागि विकल्पहरू"
+
+#: src/window-commands.c:118
 msgid "GVDB File"
 msgstr "GVDB फाईल"
 
-#: src/window-commands.c:114
+#: src/window-commands.c:119
 msgid "HTML File"
 msgstr "HTML फाइल"
 
-#: src/window-commands.c:115
+#: src/window-commands.c:120
 msgid "Firefox"
 msgstr "फायरफक्स"
 
-#: src/window-commands.c:116 src/window-commands.c:687
+#: src/window-commands.c:121 src/window-commands.c:714
 msgid "Chrome"
 msgstr "क्रोम"
 
-#: src/window-commands.c:117 src/window-commands.c:688
+#: src/window-commands.c:122 src/window-commands.c:715
 msgid "Chromium"
 msgstr "क्रोमियम"
 
-#: src/window-commands.c:131 src/window-commands.c:552 src/window-commands.c:766
+#: src/window-commands.c:137 src/window-commands.c:581 src/window-commands.c:793
 msgid "Ch_oose File"
 msgstr "चयन फाईल"
 
-#: src/window-commands.c:133 src/window-commands.c:378 src/window-commands.c:423
-#: src/window-commands.c:768 src/window-commands.c:794
+#: src/window-commands.c:139 src/window-commands.c:795 src/window-commands.c:835
 msgid "I_mport"
 msgstr "आयात गर्नुहोस्"
 
-#: src/window-commands.c:293 src/window-commands.c:366 src/window-commands.c:411
-#: src/window-commands.c:454 src/window-commands.c:477 src/window-commands.c:493
+#: src/window-commands.c:300 src/window-commands.c:385 src/window-commands.c:432 src/window-commands.c:476
+#: src/window-commands.c:499 src/window-commands.c:515
 msgid "Bookmarks successfully imported!"
 msgstr "बुकमार्कहरू सफलतापूर्वक आयात गरियो!"
 
-#: src/window-commands.c:306
+#: src/window-commands.c:319
 msgid "Select Profile"
 msgstr "प्रोफाइल रोज्नुहोस्"
 
-#: src/window-commands.c:311
-msgid "_Select"
-msgstr "_चयन गर्नुहोस्"
-
-#: src/window-commands.c:375 src/window-commands.c:420 src/window-commands.c:644
+#: src/window-commands.c:396 src/window-commands.c:443 src/window-commands.c:673
 msgid "Choose File"
 msgstr "फाइल रोज्नुहोस्"
 
-#: src/window-commands.c:547
+#: src/window-commands.c:564
 msgid "Import Bookmarks"
 msgstr "पुस्तकचिनो आयात गर्नुहोस्"
 
-#: src/window-commands.c:566 src/window-commands.c:808
+#: src/window-commands.c:594 src/window-commands.c:848
 msgid "From:"
 msgstr "बाट:"
 
-#: src/window-commands.c:608
+#: src/window-commands.c:634
 msgid "Bookmarks successfully exported!"
 msgstr "पुस्तकचिनोहरू सफलतापूर्वक निर्यात गरियो!"
 
 #. Translators: Only translate the part before ".html" (e.g. "bookmarks")
-#: src/window-commands.c:652
-#| msgid "bookmarks|All"
+#: src/window-commands.c:684
 msgid "bookmarks.html"
 msgstr "bookmarks.html"
 
-#: src/window-commands.c:725
-#, fuzzy
-#| msgid "Bookmarks successfully imported!"
+#: src/window-commands.c:758
 msgid "Passwords successfully imported!"
-msgstr "बुकमार्कहरू सफलतापूर्वक आयात गरियो!"
+msgstr "पासवर्ड सफलतापूर्वक आयात गरियो!"
 
-#: src/window-commands.c:789
+#: src/window-commands.c:819
 msgid "Import Passwords"
 msgstr "पासवर्ड आयात गर्नुहोस्"
 
-#: src/window-commands.c:982
-#, c-format
-msgid ""
-"A simple, clean, beautiful view of the web.\n"
-"Powered by WebKitGTK %d.%d.%d"
-msgstr ""
-"वेबको सरल, सफा, सुन्दर दृश्य।\n"
-"वेबकिट GTK %d.%d.%d द्वारा संचालित"
-
-#: src/window-commands.c:996
+#: src/window-commands.c:1063
 msgid "Epiphany Canary"
 msgstr "इपिफ्यानी क्यानरी"
 
-#: src/window-commands.c:1012
-msgid "Website"
-msgstr "वेबसाइट"
-
 #  Translator credits
-#: src/window-commands.c:1045
+#: src/window-commands.c:1086
 msgid "translator-credits"
 msgstr ""
 "Pawan Chitrakar <chautari@gmail.com>,\n"
-"Mahesh Subedi<submanesh@hotmail.com>,Jyotshna Shrestha<jyotshna@mpp.org.np>,Jaydeep "
-"Bhusal<zaydeep@hotmail.com>,Ishwar Sharma<eesha_kaf@yahoo.com>,Shiva  "
-"Pokharel<pokharelshiva@hotmail.com>,Shyam Krishna Bal<shyamkrishna_bal@yahoo.com>"
-
-#: src/window-commands.c:1205
-msgid "Do you want to reload this website?"
-msgstr "तपाईँ यो वेबसाइट पुन: लोड गर्न चाहनुहुन्छ?"
+"Mahesh Subedi<submanesh@hotmail.com>,Jyotshna Shrestha<jyotshna@mpp.org.np>,Jaydeep Bhusal<zaydeep@hotmail.com>,Ishwar "
+"Sharma<eesha_kaf@yahoo.com>,Shiva  Pokharel<pokharelshiva@hotmail.com>,Shyam Krishna Bal<shyamkrishna_bal@yahoo.com>"
 
-#: src/window-commands.c:1794
-#, fuzzy, c-format
+#: src/window-commands.c:1239
+msgid "Reload Website?"
+msgstr "वेबसाइट पुन: लोड गर्नुहुन्छ?"
+
+#: src/window-commands.c:1829
+#, c-format
 msgid "The application “%s” is ready to be used"
-msgstr "बाकस \"%s\" स्थापित र प्रयोग गर्न तयार छ"
+msgstr "\"%s\" अनुप्रयोग प्रयोग गर्न तयार छ"
 
-#: src/window-commands.c:1797
-#, fuzzy, c-format
-#| msgid "“%s” could not be found."
-msgid "The application “%s” could not be created"
-msgstr "%s तत्व सिर्जना गर्न सकेन"
+#: src/window-commands.c:1832
+#, c-format
+msgid "The application “%s” could not be created: %s"
+msgstr "\"%s\" अनुप्रयोग सिर्जना गर्न सकिएन: %s"
 
 #. Translators: Desktop notification when a new web app is created.
-#: src/window-commands.c:1812
+#: src/window-commands.c:1842
 msgid "Launch"
 msgstr "सुरुआत गर्नुहोस्"
 
-#: src/window-commands.c:1873
-#, fuzzy, c-format
-msgid "A web application named “%s” already exists. Do you want to replace it?"
-msgstr "\"%s\" नाम गरिएको फाइल पहिले नै अवस्थित छ ।  तपाईँ यसलाई प्रतिस्थापन गर्न चाहनुहुन्छ?"
+#: src/window-commands.c:1908
+msgid "Replace Existing Web App?"
+msgstr "अवस्थित वेब अनुप्रयोग प्रतिस्थापन गर्नुहुन्छ?"
 
-#: src/window-commands.c:1876
-msgid "Cancel"
-msgstr "_रद्द"
-
-#: src/window-commands.c:1878
-msgid "Replace"
-msgstr "बदलनुहोस्"
-
-#: src/window-commands.c:1882
-msgid "An application with the same name already exists. Replacing it will overwrite it."
-msgstr "उही नाम को एउटा अनुप्रयोग पहिले नै अवस्थित छ । यसलाई प्रतिस्थापन गर्दा यसमा अधिलेखन हुनेछ ।"
+#: src/window-commands.c:1912
+#, c-format
+msgid "An application named “%s” already exists, replacing it will overwrite it"
+msgstr "\"%s\" नाम को अनुप्रयोग पहिल्यै अवस्थित छ, यसलाई प्रतिस्थापन गर्दा यसलाई अधिलेखन गरिनेछ"
 
-#. Show dialog with icon, title.
 #: src/window-commands.c:1917
-msgid "Create Web Application"
-msgstr "वेब अनुप्रयोग सिर्जना गर्नुहोस्"
-
-#: src/window-commands.c:1922
-msgid "C_reate"
-msgstr "सिर्जना गर्नुहोस्"
-
-#: src/window-commands.c:2141
-msgid "Save"
-msgstr "बचत गर्नुहोस्"
+msgid "_Replace"
+msgstr "प्रतिस्थापन गर्नुहोस्"
 
-#: src/window-commands.c:2150
+#: src/window-commands.c:2280
 msgid "HTML"
 msgstr "एचटीएमएल (HTML)"
 
-#: src/window-commands.c:2155
+#: src/window-commands.c:2284
 msgid "MHTML"
 msgstr "MHTML"
 
-#: src/window-commands.c:2160
+#: src/window-commands.c:2330
 msgid "PNG"
 msgstr "PNG"
 
-#: src/window-commands.c:2699
-msgid "Enable caret browsing mode?"
+#: src/window-commands.c:2813
+msgid "Enable Caret Browsing Mode?"
 msgstr "क्यारेट ब्राउजिङ मोड सक्षम पार्नुहुन्छ?"
 
-#: src/window-commands.c:2702
+#: src/window-commands.c:2814
 msgid ""
-"Pressing F7 turns caret browsing on or off. This feature places a moveable cursor in web pages, "
-"allowing you to move around with your keyboard. Do you want to enable caret browsing?"
+"Pressing F7 turns caret browsing on or off. This feature places a moveable cursor in web pages, allowing you to move "
+"around with your keyboard. Do you want to enable caret browsing?"
 msgstr ""
+"एफ सेभेन थिच्दा क्यारेट ब्राउजिङ अन वा अफ हुन्छ । यो सुविधाले वेब पृष्ठहरूमा सार्न योग्य कर्सर राख्छ, जसले तपाईंलाई तपाईंको कुञ्जीपाटीसँग "
+"वरिपरि सार्न अनुमति दिन्छ। के तपाईँ क्यारेट ब्राउजिङ सक्षम पार्न चाहनुहुन्छ?"
 
-#: src/window-commands.c:2705
+#: src/window-commands.c:2819
 msgid "_Enable"
 msgstr "सक्षम पार्नुहोस्"
 
+#~ msgid "Web browser for GNOME"
+#~ msgstr "जिनोम वेब ब्राउजर"
+
+#~ msgid "Enable safe browsing"
+#~ msgstr "सुरक्षित ब्राउजिङ सक्षम पार्नुहोस्"
+
+#~ msgid "Whether to enable safe browsing. Safe browsing operates via Google Safe Browsing API v4."
+#~ msgstr "सुरक्षित ब्राउजिङ सक्षम पार्ने या नपार्ने । सुरक्षित ब्राउजिङ गुगल सेफ ब्राउजिङ API v4 मार्फत सञ्चालन हुन्छ।"
+
+#~ msgid "Applications"
+#~ msgstr "अनुप्रयोग"
+
+#, c-format
+#~ msgid "From: %s"
+#~ msgstr "बाट: %s "
+
+#~ msgid "Save file"
+#~ msgstr "फाइल बचत गर्नुहोस्"
+
+#~ msgid "Open"
+#~ msgstr "खोल्नुहोस्"
+
+#, fuzzy, c-format
+#~| msgid "Choose a password for the “%s” token"
+#~ msgid "Do you want to save your password for “%s”?"
+#~ msgstr "“%s” टोकनका लागि पासवर्ड रोज्नुहोस्"
+
+#~ msgid "_Kill"
+#~ msgstr "नष्ट गर्नुहोस्"
+
+#, c-format
+#~ msgid "This will allow “%s” to track your activity."
+#~ msgstr "यसले \"%s\" लाई तपाईँको क्रियाकलाप ट्रयाक गर्न अनुमति दिन्छ ।"
+
+#, c-format
+#~ msgid "Security Warning"
+#~ msgstr "सुरक्षा चेतावनी"
+
+#~ msgid "Unsafe website detected!"
+#~ msgstr "असुरक्षित वेबसाइट फेला पर्‍यो"
+
+#~ msgid "_OK"
+#~ msgstr "_ठिक छ"
+
+#, c-format
+#~ msgid "Could not display help: %s"
+#~ msgstr "मद्दत प्रदर्शन गर्न सकेन: %s"
+
+#~ msgid "Bookmark this page"
+#~ msgstr "यो पृष्ठ पुस्तकचिनो "
+
+#~ msgid "Do you want to leave this website?"
+#~ msgstr "के तपाईं यो वेबसाइट छोड्न चाहनुहुन्छ?"
+
+#~ msgid "There are multiple tabs open."
+#~ msgstr "त्यहाँ बहुँविध ट्याबहरू खुलेका छन् ।"
+
+#~ msgid "WebSQL databases"
+#~ msgstr "वेब एस क्यू एल डाटाबेस"
+
+#, fuzzy
+#~ msgid "Plugins data"
+#~ msgstr "प्लगइनहरू…"
+
+#~ msgid "Web Application Icon"
+#~ msgstr "वेब अनुप्रयोग प्रतिमा"
+
+#~ msgid "View downloads"
+#~ msgstr "डाउनलोड हेर्नुहोस्"
+
+#~ msgid "View and manage your bookmarks"
+#~ msgstr "तपाईँको पुस्तकचिनोहरू हेर्नुहोस् र प्रबन्ध गर्नुहोस्"
+
+#~ msgid "Go to your homepage"
+#~ msgstr "गृहपृष्ठ जानुहोस्"
+
+#~ msgid "View open pages"
+#~ msgstr "खुलेको पृष्ठहरू हेर्नुहोस्"
+
+#~ msgid "No bookmarks yet?"
+#~ msgstr "अहिलेसम्म पुस्तकचिनोहरू छैनन्?"
+
+#~ msgid "There is no Personal Data"
+#~ msgstr "त्यहाँ व्यक्तिगत डेटा छैन"
+
+#~ msgid "S_ynced tabs"
+#~ msgstr "समक्रमण गरिएको ट्याब"
+
+#~ msgid "The History is Empty"
+#~ msgstr "इतिहास खाली छ"
+
+#~ msgid "_History"
+#~ msgstr "इतिहास"
+
+#, fuzzy
+#~ msgid "Open Appli_cation Manager"
+#~ msgstr "फाइल प्रबन्धकसंग खोल्नुहोस्"
+
+#~ msgid "E_xtensions"
+#~ msgstr "विस्तारहरू"
+
+#, fuzzy
+#~| msgid "Text Encoding"
+#~ msgid "_Override Text Encoding…"
+#~ msgstr "पाठ सङ्केतन"
+
+#~ msgid "Import and Export"
+#~ msgstr "आयात र निर्यात"
+
+#~ msgid "Close page"
+#~ msgstr "यो पृष्ठ बन्द गर्नुहोस्"
+
+#~ msgid "Tabs"
+#~ msgstr "ट्याबहरु"
+
+#, fuzzy
+#~| msgid "Abort pending downloads?"
+#~ msgid "There are no Passwords"
+#~ msgstr "पासवर्ड"
+
+#~ msgid "Web Safety"
+#~ msgstr "वेब सुरक्षा"
+
+#~ msgid "Block Dangerous Web_sites"
+#~ msgstr "खतरनाक वेबसाइटहरू बन्द गर्नुहोस्"
+
+#~ msgid "You can clear stored personal data."
+#~ msgstr "तपाईँले भण्डारण गरिएको व्यक्तिगत डेटा खाली गर्न सक्नुहुन्छ ।"
+
+#  File menu
+#~ msgctxt "shortcut window"
+#~ msgid "New window"
+#~ msgstr "नयाँ सञ्झ्याल"
+
+#~ msgctxt "shortcut window"
+#~ msgid "New incognito window"
+#~ msgstr "नयाँ गुप्त सञ्झ्याल"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Go back to the previous page"
+#~ msgstr "अघिल्लो पृष्ठमा जानुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Go forward to the next page"
+#~ msgstr "अर्को पृष्ठमा जानुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "New tab"
+#~ msgstr "नयाँ ट्याब"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Reopen closed tab"
+#~ msgstr "बन्द गरिएको ट्याब पुन:खोल्नुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Import bookmarks"
+#~ msgstr "पुस्तकचिनो आयात गर्नुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Web application"
+#~ msgstr "वेब अनुप्रयोग"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Open web application manager"
+#~ msgstr "वेब अनुप्रयोग प्रबन्धक खोल्नुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Zoom in"
+#~ msgstr "यसमा जुम गर्नुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Zoom out"
+#~ msgstr "जुम घटाउनुहोस््"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Toggle reader mode"
+#~ msgstr "पढ्ने मोड टगल गर्नुहोस्"
+
+#~ msgctxt "shortcut window"
+#~ msgid "Select all"
+#~ msgstr "सबै चयन गर्नुहोस्"
+
+#  Bookmarks menu
+#~ msgid "_Add…"
+#~ msgstr "थप्नुहोस्…"
+
+#~ msgid "Add some extensions to display them here."
+#~ msgstr "यहाँ प्रदर्शन गर्न केही विस्तारहरू थप्नुहोस् ।"
+
+#, c-format
+#~ msgid ""
+#~ "A simple, clean, beautiful view of the web.\n"
+#~ "Powered by WebKitGTK %d.%d.%d"
+#~ msgstr ""
+#~ "वेबको सरल, सफा, सुन्दर दृश्य।\n"
+#~ "वेबकिट GTK %d.%d.%d द्वारा संचालित"
+
+#~ msgid "Do you want to reload this website?"
+#~ msgstr "तपाईँ यो वेबसाइट पुन: लोड गर्न चाहनुहुन्छ?"
+
+#, fuzzy, c-format
+#~ msgid "A web application named “%s” already exists. Do you want to replace it?"
+#~ msgstr "\"%s\" नाम गरिएको फाइल पहिले नै अवस्थित छ ।  तपाईँ यसलाई प्रतिस्थापन गर्न चाहनुहुन्छ?"
+
+#~ msgid "Cancel"
+#~ msgstr "_रद्द"
+
+#~ msgid "Create Web Application"
+#~ msgstr "वेब अनुप्रयोग सिर्जना गर्नुहोस्"
+
+#~ msgid "C_reate"
+#~ msgstr "सिर्जना गर्नुहोस्"
+
 #~ msgid "GNOME Web"
 #~ msgstr "जिनोम वेब"
 
@@ -4100,11 +4297,10 @@ msgstr "सक्षम पार्न
 
 #, fuzzy
 #~ msgid ""
-#~ "List of the default search engines. It is an array in which each search engine is described by "
-#~ "a name, an address, and a bang (shortcut)."
+#~ "List of the default search engines. It is an array in which each search engine is described by a name, an address, "
+#~ "and a bang (shortcut)."
 #~ msgstr ""
-#~ "पूर्वानिर्धारित खोजी इन्जिनको सूची । यो एउटा एरे हो जसमा प्रत्येक खोज इन्जिनलाई नाम, ठेगाना र धमाका "
-#~ "(सर्टकट) द्वारा वर्णन गरिएको छ।"
+#~ "पूर्वानिर्धारित खोजी इन्जिनको सूची । यो एउटा एरे हो जसमा प्रत्येक खोज इन्जिनलाई नाम, ठेगाना र धमाका (सर्टकट) द्वारा वर्णन गरिएको छ।"
 
 #~ msgid "Most Visited"
 #~ msgstr "धेरै पटक हेरिएको"
@@ -4117,9 +4313,7 @@ msgstr "सक्षम पार्न
 #~ msgstr "कुकी स्वीकार"
 
 #, fuzzy
-#~| msgid ""
-#~| "Where to accept cookies from. Possible values are \"anywhere\", \"current site\" and \"nowhere"
-#~| "\"."
+#~| msgid "Where to accept cookies from. Possible values are \"anywhere\", \"current site\" and \"nowhere\"."
 #~ msgid "Where to accept cookies from. Possible values are “always”, “no-third-party” and “never”."
 #~ msgstr "कुकिज कहाँबाट स्वीकार गर्ने। सम्भाबित मानहरू \"जहाँसुकै\", \"हालको साइट\" र \"कतैपनि\" हुन्।"
 
@@ -4168,11 +4362,6 @@ msgstr "सक्षम पार्न
 #~ msgid "New address"
 #~ msgstr "नयाँ ठेगाना पुस्तिका"
 
-#, fuzzy
-#~| msgid "Switch to this tab"
-#~ msgid "Switch to Tab"
-#~ msgstr "स्विच"
-
 #~ msgid "Language"
 #~ msgstr "भाषा"
 
@@ -4339,11 +4528,9 @@ msgstr "सक्षम पार्न
 #~ msgstr "स्वचालित डाउनलोड"
 
 #~ msgid ""
-#~ "When files cannot be opened by the browser they are automatically downloaded to the download "
-#~ "folder and opened with the appropriate application."
-#~ msgstr ""
-#~ "जब फाइल ब्राउजरद्वारा खोल्न सकिँदैन, तिनीहरू डाउनलोड फोल्डरमा स्वत: डाउनलोड गरिन्छन् र उपयुक्त अनुप्रयोगमा "
-#~ "खोलिन्छन्।"
+#~ "When files cannot be opened by the browser they are automatically downloaded to the download folder and opened with "
+#~ "the appropriate application."
+#~ msgstr "जब फाइल ब्राउजरद्वारा खोल्न सकिँदैन, तिनीहरू डाउनलोड फोल्डरमा स्वत: डाउनलोड गरिन्छन् र उपयुक्त अनुप्रयोगमा खोलिन्छन्।"
 
 #~ msgid "Process model"
 #~ msgstr "नमूना प्रक्रिया "
@@ -4362,9 +4549,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Plugins are disabled in the preferences"
 #~ msgstr "अक्षम पारिएको प्लगइन सुची"
 
-#~ msgid "Enabled"
-#~ msgstr "सक्षम बनाइयो ।"
-
 #~ msgid "MIME type"
 #~ msgstr "माइम प्रकार"
 
@@ -4466,9 +4650,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Text _Encoding"
 #~ msgstr "पाठ सङ्केतन"
 
-#~ msgid "New _tab page"
-#~ msgstr "नयाँ ट्याब"
-
 #~ msgid "A_utomatically open downloaded files"
 #~ msgstr "डाउनलोड गरेको फाइलहरू स्वत: खोल्नुहोस"
 
@@ -4507,20 +4688,14 @@ msgstr "सक्षम पार्न
 #~ msgid "Contributors:"
 #~ msgstr "योगदानकर्ताहरू:"
 
-#~ msgid "Past developers:"
-#~ msgstr "विगतका विकासकर्ताहरू:"
-
 #~ msgid "Epiphany Web Bookmarks"
 #~ msgstr "इपिफ्यानी वेब पुस्तकचिनो"
 
 #~ msgid "Epiphany Web Browser"
 #~ msgstr "इपिफ्यानी वेब ब्राउजर"
 
-#~ msgid ""
-#~ "A list of protocols to be considered safe in addition to the default, when "
-#~ "disable_unsafe_protocols is enabled."
-#~ msgstr ""
-#~ "जब निष्क्रिय_असुरक्षित_प्रोटोकलहरू सक्षम पारिन्छ, प्रोटोकलको सूची पूर्वनिर्धारितको सट्टामा सुरक्षित हुनुपर्दछ।"
+#~ msgid "A list of protocols to be considered safe in addition to the default, when disable_unsafe_protocols is enabled."
+#~ msgstr "जब निष्क्रिय_असुरक्षित_प्रोटोकलहरू सक्षम पारिन्छ, प्रोटोकलको सूची पूर्वनिर्धारितको सट्टामा सुरक्षित हुनुपर्दछ।"
 
 #~ msgid "Disable JavaScript chrome control"
 #~ msgstr "जाभास्क्रिप्ट क्रोम नियन्त्रण अक्षम पार्नुहोस्"
@@ -4529,11 +4704,11 @@ msgstr "सक्षम पार्न
 #~ msgstr "सञ्झ्याल क्रोम माथी जाभास्क्रिप्ट नियन्त्रण अक्षम पार्नुहोस्।"
 
 #~ msgid ""
-#~ "Disable all historical information by disabling back and forward navigation, not allowing the "
-#~ "history dialog and hiding the most used bookmarks list."
+#~ "Disable all historical information by disabling back and forward navigation, not allowing the history dialog and "
+#~ "hiding the most used bookmarks list."
 #~ msgstr ""
-#~ "इतिहास संवादलाई अनुमति नदिएर र सबैभन्दा बढी प्रयोग गरिएको सूची लुकाएर, पछिल्तिर र अघिल्तिर नेभिगेसनलाई "
-#~ "अक्षम पारेर सबै ऐतिहासिक जानकारी अक्षम पार्नुहोस्।"
+#~ "इतिहास संवादलाई अनुमति नदिएर र सबैभन्दा बढी प्रयोग गरिएको सूची लुकाएर, पछिल्तिर र अघिल्तिर नेभिगेसनलाई अक्षम पारेर सबै ऐतिहासिक "
+#~ "जानकारी अक्षम पार्नुहोस्।"
 
 #~ msgid "Disable arbitrary URLs"
 #~ msgstr "स्वेच्छाचारी URL हरू अक्षम पार्नुहोस्"
@@ -4578,35 +4753,30 @@ msgstr "सक्षम पार्न
 #~ msgstr "सञ्जाल प्रबन्धकसँग अफलाइन स्थिति स्वचालित रूपमा व्यवस्थित गर्नुहोस्"
 
 #~ msgid ""
-#~ "Default encoding. Accepted values are: \"armscii-8\", \"Big5\", \"Big5-HKSCS\", \"EUC-JP\", "
-#~ "\"EUC-KR\", \"gb18030\", \"GB2312\", \"geostd8\", \"HZ-GB-2312\", \"IBM850\", \"IBM852\", "
-#~ "\"IBM855\", \"IBM857\", \"IBM862\", \"IBM864\", \"IBM866\", \"ISO-2022-CN\", \"ISO-2022-JP\", "
-#~ "\"ISO-2022-KR\", \"ISO-8859-1\", \"ISO-8859-2\", \"ISO-8859-3\", \"ISO-8859-4\", "
-#~ "\"ISO-8859-5\", \"ISO-8859-6\", \"ISO-8859-7\", \"ISO-8859-8\", \"ISO-8859-8-I\", "
-#~ "\"ISO-8859-9\", \"ISO-8859-10\", \"ISO-8859-11\", \"ISO-8859-13\", \"ISO-8859-14\", "
-#~ "\"ISO-8859-15\", \"ISO-8859-16\", \"ISO-IR-111\", \"KOI8-R\", \"KOI8-U\", \"Shift_JIS\", "
-#~ "\"TIS-620\", \"UTF-7\", \"UTF-8\", \"VISCII\", \"windows-874\", \"windows-1250\", "
-#~ "\"windows-1251\", \"windows-1252\", \"windows-1253\", \"windows-1254\", \"windows-1255\", "
-#~ "\"windows-1256\", \"windows-1257\", \"windows-1258\", \"x-euc-tw\", \"x-gbk\", \"x-johab\", \"x-"
-#~ "mac-arabic\", \"x-mac-ce\", \"x-mac-croatian\", \"x-mac-cyrillic\", \"x-mac-devanagari\", \"x-"
-#~ "mac-farsi\", \"x-mac-greek\", \"x-mac-gujarati\", \"x-mac-gurmukhi\", \"x-mac-hebrew\", \"x-mac-"
-#~ "icelandic\", \"x-mac-roman\", \"x-mac-romanian\", \"x-mac-turkish\", \"x-mac-ukrainian\", \"x-"
-#~ "user-defined\", \"x-viet-tcvn5712\", \"x-viet-vps\" and \"x-windows-949\"."
+#~ "Default encoding. Accepted values are: \"armscii-8\", \"Big5\", \"Big5-HKSCS\", \"EUC-JP\", \"EUC-KR\", \"gb18030\", "
+#~ "\"GB2312\", \"geostd8\", \"HZ-GB-2312\", \"IBM850\", \"IBM852\", \"IBM855\", \"IBM857\", \"IBM862\", \"IBM864\", "
+#~ "\"IBM866\", \"ISO-2022-CN\", \"ISO-2022-JP\", \"ISO-2022-KR\", \"ISO-8859-1\", \"ISO-8859-2\", \"ISO-8859-3\", "
+#~ "\"ISO-8859-4\", \"ISO-8859-5\", \"ISO-8859-6\", \"ISO-8859-7\", \"ISO-8859-8\", \"ISO-8859-8-I\", \"ISO-8859-9\", "
+#~ "\"ISO-8859-10\", \"ISO-8859-11\", \"ISO-8859-13\", \"ISO-8859-14\", \"ISO-8859-15\", \"ISO-8859-16\", \"ISO-"
+#~ "IR-111\", \"KOI8-R\", \"KOI8-U\", \"Shift_JIS\", \"TIS-620\", \"UTF-7\", \"UTF-8\", \"VISCII\", \"windows-874\", "
+#~ "\"windows-1250\", \"windows-1251\", \"windows-1252\", \"windows-1253\", \"windows-1254\", \"windows-1255\", "
+#~ "\"windows-1256\", \"windows-1257\", \"windows-1258\", \"x-euc-tw\", \"x-gbk\", \"x-johab\", \"x-mac-arabic\", \"x-"
+#~ "mac-ce\", \"x-mac-croatian\", \"x-mac-cyrillic\", \"x-mac-devanagari\", \"x-mac-farsi\", \"x-mac-greek\", \"x-mac-"
+#~ "gujarati\", \"x-mac-gurmukhi\", \"x-mac-hebrew\", \"x-mac-icelandic\", \"x-mac-roman\", \"x-mac-romanian\", \"x-mac-"
+#~ "turkish\", \"x-mac-ukrainian\", \"x-user-defined\", \"x-viet-tcvn5712\", \"x-viet-vps\" and \"x-windows-949\"."
 #~ msgstr ""
-#~ "पूर्वनिर्धारित इनकोडिङ. स्विकार गरिएका मानहरू: \"आरम्सकी-8\", \"Big5\", \"Big5-एचकेएससिएस\", \"इयुसि-जेपि"
-#~ "\", \"इयुसि-केआर\", \"gb18030\", \"GB2312\", \"geostd8\", \"HZ-जिबि-2312\", \"IBM850\", "
-#~ "\"IBM852\", \"IBM855\", \"IBM857\", \"IBM862\", \"IBM864\", \"IBM866\", \"ISO-2022-सिएन\", "
-#~ "\"ISO-2022-जेपि\", \"ISO-2022-KR\", \"ISO-8859-1\", \"ISO-8859-2\", \"ISO-8859-3\", "
-#~ "\"ISO-8859-4\", \"ISO-8859-5\", \"ISO-8859-6\", \"ISO-8859-7\", \"ISO-8859-8\", \"ISO-8859-8-I"
-#~ "\", \"ISO-8859-9\", \"ISO-8859-10\", \"ISO-8859-11\", \"ISO-8859-13\", \"ISO-8859-14\", "
-#~ "\"ISO-8859-15\", \"ISO-8859-16\", \"ISO-IR-111\", \"KOI8-R\", \"KOI8-U\", \"Shift_JIS\", "
-#~ "\"टिआइएस-620\", \"युटिएफ-7\", \"युटिएफ-8\", \"भिआइएससिआइआइ\", \"windows-874\", \"windows-1250\", "
-#~ "\"windows-1251\", \"windows-1252\", \"windows-1253\", \"windows-1254\", \"windows-1255\", "
-#~ "\"windows-1256\", \"windows-1257\", \"windows-1258\", \"x-इयुसि-टिडब्लु\", \"x-जिबिके\", \"x-जोहब"
-#~ "\", \"x-म्याक-अरेबिक\", \"x-म्याक-सिइ\", \"x-म्याक-क्रोएसियन\", \"x-म्याक-सिरिलिक\", \"x-म्याक-देवनागरी"
-#~ "\", \"x-म्याक-फार्सी\", \"x-म्याक-ग्रिक\", \"x-म्याक-गुजराती\", \"x-म्याक-गुरमुखी\", \"x-म्याक-हेब्रु\", \"x-"
-#~ "म्याक-आइसल्याण्डिक\", \"x-म्याक-रोमन\", \"x-म्याक-रोमानियन\", \"x-म्याक-टर्किस\", \"x-म्याक-युक्रेनियन\", "
-#~ "\"x-user-defined\", \"x-विएट-टिसिभिएनtcvn5712\", \"x-विएट-भिपिएस\" and \"x-windows-949\"."
+#~ "पूर्वनिर्धारित इनकोडिङ. स्विकार गरिएका मानहरू: \"आरम्सकी-8\", \"Big5\", \"Big5-एचकेएससिएस\", \"इयुसि-जेपि\", \"इयुसि-केआर\", "
+#~ "\"gb18030\", \"GB2312\", \"geostd8\", \"HZ-जिबि-2312\", \"IBM850\", \"IBM852\", \"IBM855\", \"IBM857\", \"IBM862\", "
+#~ "\"IBM864\", \"IBM866\", \"ISO-2022-सिएन\", \"ISO-2022-जेपि\", \"ISO-2022-KR\", \"ISO-8859-1\", \"ISO-8859-2\", "
+#~ "\"ISO-8859-3\", \"ISO-8859-4\", \"ISO-8859-5\", \"ISO-8859-6\", \"ISO-8859-7\", \"ISO-8859-8\", \"ISO-8859-8-I\", "
+#~ "\"ISO-8859-9\", \"ISO-8859-10\", \"ISO-8859-11\", \"ISO-8859-13\", \"ISO-8859-14\", \"ISO-8859-15\", "
+#~ "\"ISO-8859-16\", \"ISO-IR-111\", \"KOI8-R\", \"KOI8-U\", \"Shift_JIS\", \"टिआइएस-620\", \"युटिएफ-7\", \"युटिएफ-8\", "
+#~ "\"भिआइएससिआइआइ\", \"windows-874\", \"windows-1250\", \"windows-1251\", \"windows-1252\", \"windows-1253\", "
+#~ "\"windows-1254\", \"windows-1255\", \"windows-1256\", \"windows-1257\", \"windows-1258\", \"x-इयुसि-टिडब्लु\", \"x-"
+#~ "जिबिके\", \"x-जोहब\", \"x-म्याक-अरेबिक\", \"x-म्याक-सिइ\", \"x-म्याक-क्रोएसियन\", \"x-म्याक-सिरिलिक\", \"x-म्याक-देवनागरी\", "
+#~ "\"x-म्याक-फार्सी\", \"x-म्याक-ग्रिक\", \"x-म्याक-गुजराती\", \"x-म्याक-गुरमुखी\", \"x-म्याक-हेब्रु\", \"x-म्याक-आइसल्याण्डिक\", \"x-"
+#~ "म्याक-रोमन\", \"x-म्याक-रोमानियन\", \"x-म्याक-टर्किस\", \"x-म्याक-युक्रेनियन\", \"x-user-defined\", \"x-विएट-"
+#~ "टिसिभिएनtcvn5712\", \"x-विएट-भिपिएस\" and \"x-windows-949\"."
 
 #~ msgid "Default font type. Possible values are \"serif\" and \"sans-serif\"."
 #~ msgstr "पूर्वनिर्धारित फन्ट प्रकार। सम्भाव्य मानहरू \"serif\" र \"sans-serif\" हुन्।"
@@ -4620,12 +4790,8 @@ msgstr "सक्षम पार्न
 #~ msgid "How to print frames"
 #~ msgstr "फ्रेमहरू कसरी मुद्रण गर्नुपर्दछ"
 
-#~ msgid ""
-#~ "How to print pages containing frames. Allowed values are \"normal\", \"separately\" and "
-#~ "\"selected\"."
-#~ msgstr ""
-#~ "फ्रेमहरू समाविष्ट रहेको पृष्ठ कसरी मुद्रण गर्नुपर्दछ । अनुमति दिएको मानहरू \"normal\", \"separately\" र "
-#~ "\"selected\" हुन ।"
+#~ msgid "How to print pages containing frames. Allowed values are \"normal\", \"separately\" and \"selected\"."
+#~ msgstr "फ्रेमहरू समाविष्ट रहेको पृष्ठ कसरी मुद्रण गर्नुपर्दछ । अनुमति दिएको मानहरू \"normal\", \"separately\" र \"selected\" हुन ।"
 
 #~ msgid "ISO-8859-1"
 #~ msgstr "ISO-8859-1"
@@ -4639,9 +4805,7 @@ msgstr "सक्षम पार्न
 #~ msgid "Middle click to open the web page pointed to by the currently selected text"
 #~ msgstr "हालै चयन गरिएको पाठद्वारा सूचीत गरिएको वेब पृष्ठ खोल्न बीचमा क्लिक गर्नुहोस्"
 
-#~ msgid ""
-#~ "Middle clicking on the main view pane will open the web page pointed to by the currently "
-#~ "selected text."
+#~ msgid "Middle clicking on the main view pane will open the web page pointed to by the currently selected text."
 #~ msgstr "मुख्य दृश्य फलकमा बीचको क्लिक गर्नाले हालको चयन गरिएको पाठद्वारा सूचीत वेब पृष्ठ खोल्नेछ।"
 
 #~ msgid "Preferred languages, two letter codes."
@@ -4650,10 +4814,8 @@ msgstr "सक्षम पार्न
 #~ msgid "Show statusbar by default"
 #~ msgstr "पूर्वनिर्धारित अनुसार वस्तुस्थितिपट्टी देखाउनुहोस्"
 
-#~ msgid ""
-#~ "Show the history pages visited \"ever\", \"last_two_days\", \"last_three_days\", \"today\"."
-#~ msgstr ""
-#~ "भ्रमण गरिएको इतिहास पृष्ठहरू देखाउनुहोस् \"ever\", \"last_two_days\", \"last_three_days\", \"today\""
+#~ msgid "Show the history pages visited \"ever\", \"last_two_days\", \"last_three_days\", \"today\"."
+#~ msgstr "भ्रमण गरिएको इतिहास पृष्ठहरू देखाउनुहोस् \"ever\", \"last_two_days\", \"last_three_days\", \"today\""
 
 #~ msgid "Show the tab bar also when there is only one tab open."
 #~ msgstr "एउटा मात्र ट्याब खुला हुँदा ट्याबपट्टी पनि देखाउनुहोस्।"
@@ -4667,66 +4829,57 @@ msgstr "सक्षम पार्न
 #~ msgid "The bookmark information shown in the editor view"
 #~ msgstr "सम्पादक दृश्यमा देखाइएको पुस्तकचिनो जानकारी"
 
-#~ msgid ""
-#~ "The bookmark information shown in the editor view. Valid values in the list are \"address\" and "
-#~ "\"title\"."
+#~ msgid "The bookmark information shown in the editor view. Valid values in the list are \"address\" and \"title\"."
 #~ msgstr "सम्पादक दृश्यमा देखाइएको पुस्तकचिनो जानकारी। सूचीको वैध मानहरू \"address\" and \"title\" हुन्।"
 
 #~ msgid "The currently selected fonts language"
 #~ msgstr "हाल चयन गरिएको फन्ट भाषा"
 
 #~ msgid ""
-#~ "The currently selected fonts language. Valid values are \"ar\" (arabic), \"x-baltic\" (baltic "
-#~ "languages), \"x-central-euro\" (central european languages), \"x-cyrillic\" (languages written "
-#~ "with cyrillic alphabet), \"el\" (greek), \"he\" (hebrew), \"ja\" (japanese), \"ko\" (korean), "
-#~ "\"zh-CN\" (simplified chinese), \"th\" (thai), \"zh-TW\" (traditional chinese), \"tr"
-#~ "\" (turkish), \"x-unicode\" (other languages), \"x-western\" (languages written in latin "
-#~ "script), \"x-tamil\" (tamil) and \"x-devanagari\" (devanagari)."
+#~ "The currently selected fonts language. Valid values are \"ar\" (arabic), \"x-baltic\" (baltic languages), \"x-"
+#~ "central-euro\" (central european languages), \"x-cyrillic\" (languages written with cyrillic alphabet), \"el\" "
+#~ "(greek), \"he\" (hebrew), \"ja\" (japanese), \"ko\" (korean), \"zh-CN\" (simplified chinese), \"th\" (thai), \"zh-"
+#~ "TW\" (traditional chinese), \"tr\" (turkish), \"x-unicode\" (other languages), \"x-western\" (languages written in "
+#~ "latin script), \"x-tamil\" (tamil) and \"x-devanagari\" (devanagari)."
 #~ msgstr ""
-#~ "हालको छानिएको फन्ट भाषा समर्थ मानहरू \"ar\" (अरबिक), \"x-बाल्टिक\" (बाल्टिक भाषा), \"x-बीचको-यूरो"
-#~ "\" (केन्द्रिय यूरोपियन भाषाहरू), \"x-सिरिलिक\" (सिरिलिक अक्षर बाट भाषा लिखेको), \"el\" (ग्रिक), \"he"
-#~ "\" (हिब्रु), \"ja\" (जापानी), \"ko\" (कोरियाली), \"zh-CN\" (सरल गर्नु चिनियाँ), \"th\" (थाई), \"zh-TW"
-#~ "\" (परम्परा चिनियाँ), \"tr\" (टर्किश), \"x-युनिकोड\" (आर्को भाषाहरू), \"x-पश्चिम\" (ल्याटिन स्क्रिप्टमा "
-#~ "भाषा लेखिएको), \"x-तमिल\" (तमिल) र \"x-देवानगरि\" (देवानगरि) हुन्।"
+#~ "हालको छानिएको फन्ट भाषा समर्थ मानहरू \"ar\" (अरबिक), \"x-बाल्टिक\" (बाल्टिक भाषा), \"x-बीचको-यूरो\" (केन्द्रिय यूरोपियन "
+#~ "भाषाहरू), \"x-सिरिलिक\" (सिरिलिक अक्षर बाट भाषा लिखेको), \"el\" (ग्रिक), \"he\" (हिब्रु), \"ja\" (जापानी), \"ko\" "
+#~ "(कोरियाली), \"zh-CN\" (सरल गर्नु चिनियाँ), \"th\" (थाई), \"zh-TW\" (परम्परा चिनियाँ), \"tr\" (टर्किश), \"x-युनिकोड\" (आर्को "
+#~ "भाषाहरू), \"x-पश्चिम\" (ल्याटिन स्क्रिप्टमा भाषा लेखिएको), \"x-तमिल\" (तमिल) र \"x-देवानगरि\" (देवानगरि) हुन्।"
 
 #~ msgid "The encoding autodetector. Empty string means autodetect is off"
 #~ msgstr "स्वत पत्ता लगाउने सङ्केतन। खाली स्ट्रिङको अर्थ स्वत पत्ता लगाउने बन्द छ"
 
 #~ msgid ""
-#~ "The encoding autodetector. Valid entries are \"\" (autodetectors off), "
-#~ "\"cjk_parallel_state_machine\" (autodetect east asian encodings), \"ja_parallel_state_machine"
-#~ "\" (autodetect japanese encodings), \"ko_parallel_state_machine\" (autodetect korean "
-#~ "encodings), \"ruprob\" (autodetect russian encodings), \"ukprob\" (autodetect ukrainian "
-#~ "encodings), \"zh_parallel_state_machine\" (autodetect chinese encodings), "
-#~ "\"zhcn_parallel_state_machine\" (autodetect simplified chinese encodings), "
-#~ "\"zhtw_parallel_state_machine\" (autodetect traditional chinese encodings) and "
-#~ "\"universal_charset_detector\" (autodetect most encodings)."
+#~ "The encoding autodetector. Valid entries are \"\" (autodetectors off), \"cjk_parallel_state_machine\" (autodetect "
+#~ "east asian encodings), \"ja_parallel_state_machine\" (autodetect japanese encodings), \"ko_parallel_state_machine\" "
+#~ "(autodetect korean encodings), \"ruprob\" (autodetect russian encodings), \"ukprob\" (autodetect ukrainian "
+#~ "encodings), \"zh_parallel_state_machine\" (autodetect chinese encodings), \"zhcn_parallel_state_machine\" "
+#~ "(autodetect simplified chinese encodings), \"zhtw_parallel_state_machine\" (autodetect traditional chinese "
+#~ "encodings) and \"universal_charset_detector\" (autodetect most encodings)."
 #~ msgstr ""
-#~ "सङ्केत दिएको स्वतपत्ता लगाउने। मान्य प्रविष्टिहरू\"\" (स्वत: पत्ता बन्द गर्नुहोस्), \"cjk_सामानान्तर_अवस्था_मेसिन"
-#~ "\" (पूर्वी एशिया सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"ja_सामानान्तर_अवस्था_मेसिन\" (जपानी सङ्केतन स्वत: पत्ता "
-#~ "लगाउनुहोस्)\"ko_सामानान्तर_अवस्था_मेसिन\" (कोरियाली सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"ruprob\" (रशियाली "
-#~ "सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"kprob(यूक्रेनियन सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"zh_सामानान्तर_अवस्था_मेसिन"
-#~ "\" (चिनीयाँ सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"zhcn_सामानान्तर_अवस्था_मेसिन\" (चिनीयाँ सङ्केतन स्वत: पत्ता "
-#~ "लगाउनुहोस्) \"zhtw_सामानान्तर_अवस्था_मेसिन\" (स्वत: पत्ता लगाउनु परम्परा चिनीयाँ सङ्केतन) र "
-#~ "\"युनिभर्सल_क्यारेक्टर सेट_डिटेक्टर\" (धेरैजसो सङ्केतन स्वत: पत्ता लगाउनुहोस्)"
+#~ "सङ्केत दिएको स्वतपत्ता लगाउने। मान्य प्रविष्टिहरू\"\" (स्वत: पत्ता बन्द गर्नुहोस्), \"cjk_सामानान्तर_अवस्था_मेसिन\" (पूर्वी एशिया सङ्केतन "
+#~ "स्वत: पत्ता लगाउनुहोस्), \"ja_सामानान्तर_अवस्था_मेसिन\" (जपानी सङ्केतन स्वत: पत्ता लगाउनुहोस्)\"ko_सामानान्तर_अवस्था_मेसिन\" "
+#~ "(कोरियाली सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"ruprob\" (रशियाली सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"kprob(यूक्रेनियन सङ्केतन स्वत: पत्ता "
+#~ "लगाउनुहोस्), \"zh_सामानान्तर_अवस्था_मेसिन\" (चिनीयाँ सङ्केतन स्वत: पत्ता लगाउनुहोस्), \"zhcn_सामानान्तर_अवस्था_मेसिन\" (चिनीयाँ "
+#~ "सङ्केतन स्वत: पत्ता लगाउनुहोस्) \"zhtw_सामानान्तर_अवस्था_मेसिन\" (स्वत: पत्ता लगाउनु परम्परा चिनीयाँ सङ्केतन) र \"युनिभर्सल_क्यारेक्टर "
+#~ "सेट_डिटेक्टर\" (धेरैजसो सङ्केतन स्वत: पत्ता लगाउनुहोस्)"
 
 #~ msgid "The page information shown in the history view"
 #~ msgstr "यो पृष्ठको सन्देश इतिहास दृश्यमा देखाउँछ"
 
-#~ msgid ""
-#~ "The page information shown in the history view. Valid values in the list are \"address\", "
-#~ "\"title\"."
+#~ msgid "The page information shown in the history view. Valid values in the list are \"address\", \"title\"."
 #~ msgstr "यो पृष्ठको सन्देश इतिहासमा देखाउँछ। सूचीमा रहेको वैध मानहरू \"ठेगाना\",\" शीर्षक\" हुन्।"
 
 #~ msgid "Toolbar style"
 #~ msgstr "उपकरणपट्टी शैली"
 
 #~ msgid ""
-#~ "Toolbar style. Allowed values are \"\" (use GNOME default style), \"both\" (text and icons), "
-#~ "\"both-horiz\" (text besides icons), \"icons\", and \"text\"."
+#~ "Toolbar style. Allowed values are \"\" (use GNOME default style), \"both\" (text and icons), \"both-horiz\" (text "
+#~ "besides icons), \"icons\", and \"text\"."
 #~ msgstr ""
-#~ "उपकरणपट्टी शैली। अनुमति दिएका मानहरू \"\" (जिनोम पूर्वनिर्धारित शैली प्रयोग गर्नुहोस्), \"दुवै\" (पाठ र "
-#~ "प्रतिमाहरू), \"दुवै-तेर्सो\" (प्रतिमा पछाडिका पाठ), \"प्रतिमाहरू\", र \"पाठ\" हुन्।"
+#~ "उपकरणपट्टी शैली। अनुमति दिएका मानहरू \"\" (जिनोम पूर्वनिर्धारित शैली प्रयोग गर्नुहोस्), \"दुवै\" (पाठ र प्रतिमाहरू), \"दुवै-तेर्सो\" "
+#~ "(प्रतिमा पछाडिका पाठ), \"प्रतिमाहरू\", र \"पाठ\" हुन्।"
 
 #~ msgid "Use own colors"
 #~ msgstr "आफ्नो रङ प्रयोग गर्नुहोस्"
@@ -4807,11 +4960,10 @@ msgstr "सक्षम पार्न
 #~ msgstr "<b>एउटा भिन्न सङ्केतन प्रयोग गर्नुहोस्:<b>"
 
 #~ msgid ""
-#~ "To confirm that you want to sign the above text, choose a certificate to sign the text with and "
-#~ "enter its password below."
+#~ "To confirm that you want to sign the above text, choose a certificate to sign the text with and enter its password "
+#~ "below."
 #~ msgstr ""
-#~ "तपाईँले माथिको पाठमा साइन गर्न चाहेको यकिन गर्न, पाठ साइन गर्न एउटा प्रमाणपत्र रोज्नुहोस् र तल यसको पासवर्ड "
-#~ "प्रविष्ट गर्नुहोस् ।"
+#~ "तपाईँले माथिको पाठमा साइन गर्न चाहेको यकिन गर्न, पाठ साइन गर्न एउटा प्रमाणपत्र रोज्नुहोस् र तल यसको पासवर्ड प्रविष्ट गर्नुहोस् ।"
 
 #~ msgid "_Certificate:"
 #~ msgstr "_प्रमाणपत्र:"
@@ -4979,13 +5131,12 @@ msgstr "सक्षम पार्न
 #~ msgid ""
 #~ "File Type: “%s”.\n"
 #~ "\n"
-#~ "It is unsafe to open “%s” as it could potentially damage your documents or invade your privacy. "
-#~ "You can download it instead."
+#~ "It is unsafe to open “%s” as it could potentially damage your documents or invade your privacy. You can download it "
+#~ "instead."
 #~ msgstr ""
 #~ "फाइल प्रकार: “%s”.\n"
 #~ "\n"
-#~ "यसलाई “%s”मा खोल्न असुरक्षित हुन्छ यसले तपाईँको कागजात नष्ट वा गोपनियता भङ्ग गर्न सक्छ। बदलामा तपाईँले यसलाई "
-#~ "डाउनलोड गर्न सक्नुहुन्छ।"
+#~ "यसलाई “%s”मा खोल्न असुरक्षित हुन्छ यसले तपाईँको कागजात नष्ट वा गोपनियता भङ्ग गर्न सक्छ। बदलामा तपाईँले यसलाई डाउनलोड गर्न सक्नुहुन्छ।"
 
 #~ msgid "Open this file?"
 #~ msgstr "यो फाइल खोल्नुहुन्छ ?"
@@ -5045,11 +5196,11 @@ msgstr "सक्षम पार्न
 #~ msgstr "समस्याको हुन सक्ने कारण"
 
 #~ msgid ""
-#~ "<ul><li>the service %s isn't started.</li>Try to start it using the Services Configuration Tool "
-#~ "in System > Control Center, or</ul><ul><li>the port number %d is wrong.</li></ul>"
+#~ "<ul><li>the service %s isn't started.</li>Try to start it using the Services Configuration Tool in System > Control "
+#~ "Center, or</ul><ul><li>the port number %d is wrong.</li></ul>"
 #~ msgstr ""
-#~ "<ul><li>सेवा %s सुरु भएको छैन ।</li>प्रणालीमा सेवा कन्फिगरेसन उपकरण प्रयोग गरेर यो सुरु गर्ने प्रयास गर्नुहोस् > "
-#~ "नियन्त्रण केन्द्र, वा</ul><ul><li>पोर्ट नम्बर %d गलत छ ।</li></ul>"
+#~ "<ul><li>सेवा %s सुरु भएको छैन ।</li>प्रणालीमा सेवा कन्फिगरेसन उपकरण प्रयोग गरेर यो सुरु गर्ने प्रयास गर्नुहोस् > नियन्त्रण केन्द्र, वा</"
+#~ "ul><ul><li>पोर्ट नम्बर %d गलत छ ।</li></ul>"
 
 #~ msgid "<ul><li>some service isn't started, or</li><li>the port number %d is wrong.</li></ul>"
 #~ msgstr "<ul><li>केही सेवा सुरु छैन, वा</li><li>पोर्ट नम्बर %d गलत छ।</li></ul>"
@@ -5084,9 +5235,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Invalid address."
 #~ msgstr "अवैध ठेगाना"
 
-#~ msgid "The address you entered is not valid."
-#~ msgstr "प्रविष्ट गरिएको ठेगाना वैध छैन।"
-
 #~ msgid "“%s” Redirected Too Many Times"
 #~ msgstr "“%s” ले अति धेरै पटक पुन: निर्देशन दियो"
 
@@ -5129,10 +5277,8 @@ msgstr "सक्षम पार्न
 #~ msgid "Access denied to port “%d” of “%s”."
 #~ msgstr "“%2$s” को पोर्ट “%1$d”मा पहुँच अस्विकार गर्यो ।"
 
-#~ msgid ""
-#~ "This address uses a network port which is normally used for purposes other than Web browsing."
-#~ msgstr ""
-#~ "यो ठेगानाले सञ्जाल पोर्ट प्रयोग गर्दछ जुन सामान्यतया वेब ब्राउज गर्न भन्दा अरु नै उदेश्यका लागि प्रयोग गरिन्छन् । "
+#~ msgid "This address uses a network port which is normally used for purposes other than Web browsing."
+#~ msgstr "यो ठेगानाले सञ्जाल पोर्ट प्रयोग गर्दछ जुन सामान्यतया वेब ब्राउज गर्न भन्दा अरु नै उदेश्यका लागि प्रयोग गरिन्छन् । "
 
 #~ msgid "Could not Connect to Proxy Server"
 #~ msgstr "प्रोक्सी सर्भरलाई जडान गर्न सकेन"
@@ -5141,11 +5287,9 @@ msgstr "सक्षम पार्न
 #~ msgstr "प्रोक्सी सर्भरलाई जडान गर्न सकेन।"
 
 #~ msgid ""
-#~ "Check your proxy server settings. If the connection still fails, there may be a problem with "
-#~ "your proxy server or your network connection."
-#~ msgstr ""
-#~ "प्रोक्सी सर्भर सेटिङ जाँच गर्नुहोस्। यदि जडान अझ असफल छ भने, तपाईँको प्रोक्सी सर्भरमा  वा तपाईँको सञ्जाल "
-#~ "जडानमा समस्या हुनसक्छ।"
+#~ "Check your proxy server settings. If the connection still fails, there may be a problem with your proxy server or "
+#~ "your network connection."
+#~ msgstr "प्रोक्सी सर्भर सेटिङ जाँच गर्नुहोस्। यदि जडान अझ असफल छ भने, तपाईँको प्रोक्सी सर्भरमा  वा तपाईँको सञ्जाल जडानमा समस्या हुनसक्छ।"
 
 #~ msgid "Could not Display Content"
 #~ msgstr "सामाग्री प्रदर्शन गर्न सकेन"
@@ -5157,11 +5301,8 @@ msgstr "सक्षम पार्न
 #~ msgstr "यो पृष्ठले अवैध वा असमर्थित सङ्कुचन फारम प्रयोग गर्दछ।"
 
 #~ msgid ""
-#~ "The page “%s” in this tab was not fully loaded yet when the web browser crashed; it could have "
-#~ "caused the crash."
-#~ msgstr ""
-#~ "यो ट्याबमा पृष्ठ“%s” अझसम्म पूर्ण रूपमा लोड भएको छैन जब वेब ब्राउजर क्र्याश भयो; क्र्याशको कारण यो पनि हुन "
-#~ "सक्दछ।"
+#~ "The page “%s” in this tab was not fully loaded yet when the web browser crashed; it could have caused the crash."
+#~ msgstr "यो ट्याबमा पृष्ठ“%s” अझसम्म पूर्ण रूपमा लोड भएको छैन जब वेब ब्राउजर क्र्याश भयो; क्र्याशको कारण यो पनि हुन सक्दछ।"
 
 #~ msgid "You may find an old version:|in the Google Cache"
 #~ msgstr "गुगल क्यासमा"
@@ -5213,9 +5354,6 @@ msgstr "सक्षम पार्न
 #~ msgid "_Accept"
 #~ msgstr "स्वीकार गर्नुहोस्"
 
-#~ msgid "The web site “%s” requests that you sign the following text:"
-#~ msgstr "वौब साइट “%s” ले तपाईँलाई निम्न पाठ साइन गर्न अनुरोध गर्दछ:"
-
 #~ msgid "_Sign text"
 #~ msgstr "_पाठ साइन गर्नुहोस्"
 
@@ -5248,11 +5386,10 @@ msgstr "सक्षम पार्न
 #~ msgstr "प्रमाणपत्र हेर्नुहोस्"
 
 #~ msgid ""
-#~ "The site “%s” returned security information for “%s”. It is possible that someone is "
-#~ "intercepting your communication to obtain your confidential information."
+#~ "The site “%s” returned security information for “%s”. It is possible that someone is intercepting your communication "
+#~ "to obtain your confidential information."
 #~ msgstr ""
-#~ "\"%s\" का लागि \"%s\" साइटले सुरक्षा सूचना फिर्ता गर्यो। कसैले विश्वसनीय सूचना प्राप्त गर्न तपाईँको सञ्चार "
-#~ "काटि रहेकोले यो सम्भव हुनसक्छ।"
+#~ "\"%s\" का लागि \"%s\" साइटले सुरक्षा सूचना फिर्ता गर्यो। कसैले विश्वसनीय सूचना प्राप्त गर्न तपाईँको सञ्चार काटि रहेकोले यो सम्भव हुनसक्छ।"
 
 #~ msgid "You should only accept the security information if you trust “%s” and “%s”."
 #~ msgstr "\"%s\" र \"%s\" मा यदि तपाईँलाई विश्वास छ भने मात्र तपाईँले सुरक्षा सूचना स्वीकार गर्नु पर्दछ।"
@@ -5261,11 +5398,9 @@ msgstr "सक्षम पार्न
 #~ msgstr "गलत सुरक्षा सूचना स्वीकार गर्नुहुन्छ ?"
 
 #~ msgid ""
-#~ "It was not possible to automatically trust “%s”. It is possible that someone is intercepting "
-#~ "your communication to obtain your confidential information."
-#~ msgstr ""
-#~ "\"%s\" लाई स्वत बिश्वास गर्न यो सम्भव थिएन। कसैले बिश्वासनीय सूचना प्राप्तगर्न तपाईँको सञ्चार काटि रहेकोले यो "
-#~ "सम्भव हुनसक्छ।"
+#~ "It was not possible to automatically trust “%s”. It is possible that someone is intercepting your communication to "
+#~ "obtain your confidential information."
+#~ msgstr "\"%s\" लाई स्वत बिश्वास गर्न यो सम्भव थिएन। कसैले बिश्वासनीय सूचना प्राप्तगर्न तपाईँको सञ्चार काटि रहेकोले यो सम्भव हुनसक्छ।"
 
 #~ msgid "You should only connect to the site if you are certain you are connected to “%s”."
 #~ msgstr "यदि तपाईँ \"%s\" मा निश्चित जोडिएको हुनुहुन्छ भने तपाईँले साइटमा जडान गर्नु पर्दछ।"
@@ -5315,8 +5450,7 @@ msgstr "सक्षम पार्न
 #~ msgid "Trust new Certificate Authority “%s” to identify web sites?"
 #~ msgstr "वेब साइट पहिचान गर्न नयाँ प्रमाणपत्र अधिकार “%s” लाई विश्वास गर्नुहुन्छ ?"
 
-#~ msgid ""
-#~ "Before trusting a Certificate Authority (CA) you should verify the certificate is authentic."
+#~ msgid "Before trusting a Certificate Authority (CA) you should verify the certificate is authentic."
 #~ msgstr "(CA) प्रमाणपत्रलाई विश्वास गर्नुभन्दा अगाडि तपाईँको प्रमाणपत्र प्रमाणिक छ भनेर तपाईँले रुजू गर्नु पर्दछ।"
 
 #~ msgid "Select a password to protect this certificate"
@@ -5383,19 +5517,16 @@ msgstr "सक्षम पार्न
 #~ msgstr "गोप्य कुञ्‍‌जी धरौटिमा राख्नुहुन्छ?"
 
 #~ msgid ""
-#~ "The certificate authority “%s” requests that you give it a copy of the newly generated secret "
-#~ "key.\n"
+#~ "The certificate authority “%s” requests that you give it a copy of the newly generated secret key.\n"
 #~ "\n"
-#~ "This will enable the certificate authority read any communications encrypted with this key "
-#~ "without your knowledge or consent.\n"
+#~ "This will enable the certificate authority read any communications encrypted with this key without your knowledge or "
+#~ "consent.\n"
 #~ "\n"
 #~ "It is strongly recommended not to allow it."
 #~ msgstr ""
-#~ "प्रमाणपत्र अधिकार “%s” ले तपाईँलाई भर्खरै सिर्जना गरिएको नयाँ गोप्य कुञ्‍‌जीको प्रतिलिपि यसलाई दिन अनुरोध गर्दछ "
-#~ "।\n"
+#~ "प्रमाणपत्र अधिकार “%s” ले तपाईँलाई भर्खरै सिर्जना गरिएको नयाँ गोप्य कुञ्‍‌जीको प्रतिलिपि यसलाई दिन अनुरोध गर्दछ ।\n"
 #~ "\n"
-#~ "यसले प्रमाणपत्र अधिकारलाई यो कुञ्‍‌जीले गुप्तिकरण गरिएको कुनै पनि सञ्‍‌चार तपाईँको जानकारी बिना वा सहमति बिना "
-#~ "पढ्न सक्षम पार्दछ ।\n"
+#~ "यसले प्रमाणपत्र अधिकारलाई यो कुञ्‍‌जीले गुप्तिकरण गरिएको कुनै पनि सञ्‍‌चार तपाईँको जानकारी बिना वा सहमति बिना पढ्न सक्षम पार्दछ ।\n"
 #~ "\n"
 #~ "यसो गर्न अनुमति नदिन जोडका साथ सिफारिस गरिन्छ ।"
 
@@ -5406,8 +5537,7 @@ msgstr "सक्षम पार्न
 #~ msgstr "जब सम्म नयाँ निजी कुञ्जी बन्दैन तब सम्म कृपया प्रतीक्षा गर्नुहोस्। यो प्रक्रियाले केही मिनेट लिन सक्छ।"
 
 #~ msgid ""
-#~ "For secure pages, the address entry has a distinct color and a locked padlock icon is "
-#~ "displayed.\n"
+#~ "For secure pages, the address entry has a distinct color and a locked padlock icon is displayed.\n"
 #~ "\n"
 #~ "The padlock icon in the statusbar also indicates whether a page is secure."
 #~ msgstr ""
@@ -5418,26 +5548,23 @@ msgstr "सक्षम पार्न
 #~ msgid "This page is loaded over a low security connection"
 #~ msgstr "यो पृष्ठ न्यून सुरक्षा जडानमा लोड भएको छ"
 
-#~ msgid ""
-#~ "Any information you see or enter on this page could easily be intercepted by a third party."
+#~ msgid "Any information you see or enter on this page could easily be intercepted by a third party."
 #~ msgstr "तपाईँले यस पृष्ठमा देख्ने वा प्रबिष्टि गर्ने जुनसुकै सूचना तेस्रो समूहद्वारा सजिलै रोक्न सक्नेछ।"
 
 #~ msgid "Some parts of this page are loaded over an insecure connection"
 #~ msgstr "यो पृष्ठको केही भाग एउटा असुरक्षित जडानमा लोड भएको छ"
 
 #~ msgid ""
-#~ "Some information you see or enter will be sent over an insecure connection, and could easily be "
-#~ "intercepted by a third party."
-#~ msgstr ""
-#~ "तपाईँले यस पृष्ठमा देख्ने वा प्रबिष्टि गर्ने केही सूचना एक असुरक्षित जडानमा पठाइनेछ र तेस्रो समूहद्वारा सजिलै रोक्न "
-#~ "सकिनेछ।"
+#~ "Some information you see or enter will be sent over an insecure connection, and could easily be intercepted by a "
+#~ "third party."
+#~ msgstr "तपाईँले यस पृष्ठमा देख्ने वा प्रबिष्टि गर्ने केही सूचना एक असुरक्षित जडानमा पठाइनेछ र तेस्रो समूहद्वारा सजिलै रोक्न सकिनेछ।"
 
 #~ msgid "Send this information over an insecure connection?"
 #~ msgstr "एउटा असुरक्षित सम्पर्कमा यो सूचना पठाउनुहुन्छ ?"
 
 #~ msgid ""
-#~ "The information you have entered will be sent over an insecure connection, and could easily be "
-#~ "intercepted by a third party."
+#~ "The information you have entered will be sent over an insecure connection, and could easily be intercepted by a "
+#~ "third party."
 #~ msgstr "तपाईँले प्रबिष्टि गरेका सूचना एक असुरक्षित जडानमा पठाइने छ, र तेस्रो समूहद्वारा सजिलै रोक्न सकिनेछ।"
 
 #  Edit menu
@@ -5445,11 +5572,11 @@ msgstr "सक्षम पार्न
 #~ msgstr "पठाउनुहोस्"
 
 #~ msgid ""
-#~ "Although this page was loaded over a secure connection, the information you have entered will "
-#~ "be sent over an insecure connection, and could easily be intercepted by a third party."
+#~ "Although this page was loaded over a secure connection, the information you have entered will be sent over an "
+#~ "insecure connection, and could easily be intercepted by a third party."
 #~ msgstr ""
-#~ "यद्यपी यस पृष्ठ सुरक्षित जडानमा लोड गरिएको थियो, तपाईँले यस पृष्ठमा प्रबिष्टि गरेका सूचना असुरक्षित जडानमा "
-#~ "पठाइनेछ, र तेस्रो समूहद्वारा सजिलै रोक्न सकिनेछ।"
+#~ "यद्यपी यस पृष्ठ सुरक्षित जडानमा लोड गरिएको थियो, तपाईँले यस पृष्ठमा प्रबिष्टि गरेका सूचना असुरक्षित जडानमा पठाइनेछ, र तेस्रो समूहद्वारा "
+#~ "सजिलै रोक्न सकिनेछ।"
 
 #~ msgid "http://www.google.com/search?ie=UTF-8&oe=UTF-8&q="
 #~ msgstr "http://www.google.com/search?ie=UTF-8&oe=UTF-8&q="
@@ -5601,11 +5728,10 @@ msgstr "सक्षम पार्न
 #~ msgstr "असुरक्षित प्रोटोकोल"
 
 #~ msgid ""
-#~ "The address has not been loaded, because it refers to an unsafe protocol and thereby presents a "
-#~ "security risk to your system."
+#~ "The address has not been loaded, because it refers to an unsafe protocol and thereby presents a security risk to "
+#~ "your system."
 #~ msgstr ""
-#~ "ठेगाना लोड गरिएको छैन, किनभने यसले एउटा असुरक्षित प्रोटोकल सिफारिश गर्दछ र त्यस पछि तपाईँको प्रणालीको "
-#~ "सुरक्षित जोखिम प्रस्तुत गर्दछ।"
+#~ "ठेगाना लोड गरिएको छैन, किनभने यसले एउटा असुरक्षित प्रोटोकल सिफारिश गर्दछ र त्यस पछि तपाईँको प्रणालीको सुरक्षित जोखिम प्रस्तुत गर्दछ।"
 
 #~ msgid "No web address could be found in this file."
 #~ msgstr "यो फाइलमा कुनै पनि वेब ठेगाना फेला पर्दैन।"
@@ -5772,11 +5898,9 @@ msgstr "सक्षम पार्न
 #~ msgstr "यो विषय मेट्नुहुन्छ ?"
 
 #~ msgid ""
-#~ "Deleting this topic will cause all its bookmarks to become uncategorized, unless they also "
-#~ "belong to other topics. The bookmarks will not be deleted."
-#~ msgstr ""
-#~ "यो शीर्षक मेट्नाले सबै यसका पुस्तकचिनोहरू कोटी विहिन हुन्छन, यदि नभए तिनीहरू अर्को शीर्षकका हुन्। पुस्तकचिनोहरू "
-#~ "मेटिने छैनन्।"
+#~ "Deleting this topic will cause all its bookmarks to become uncategorized, unless they also belong to other topics. "
+#~ "The bookmarks will not be deleted."
+#~ msgstr "यो शीर्षक मेट्नाले सबै यसका पुस्तकचिनोहरू कोटी विहिन हुन्छन, यदि नभए तिनीहरू अर्को शीर्षकका हुन्। पुस्तकचिनोहरू मेटिने छैनन्।"
 
 #~ msgid "_Delete Topic"
 #~ msgstr "विषय मेट्नुहोस्"
@@ -5797,9 +5921,7 @@ msgstr "सक्षम पार्न
 #~ msgid "Import Failed"
 #~ msgstr "आयात असफल"
 
-#~ msgid ""
-#~ "The bookmarks from “%s” could not be imported because the file is corrupted or of an "
-#~ "unsupported type."
+#~ msgid "The bookmarks from “%s” could not be imported because the file is corrupted or of an unsupported type."
 #~ msgstr "\"%s\" बाट पुस्तकचिनो आयात गर्न सकेन किनभने यो फाइल नष्ट वा समर्थन रहित प्रकारको छ।"
 
 #~ msgid "Import Bookmarks from File"
@@ -5944,11 +6066,8 @@ msgstr "सक्षम पार्न
 #~ msgstr "अघिल्लो ब्राउजर सञ्झ्याल र टयाब चाहनुहुन्छ?"
 
 #~ msgid ""
-#~ "Epiphany appears to have exited unexpectedly the last time it was run. You can recover the "
-#~ "opened windows and tabs."
-#~ msgstr ""
-#~ "पछिल्लो पटक सञ्झ्याल अप्रत्यासित बन्द भएको हुनसक्दछ। तपाईँले पहिले खोल्नुभएको सञ्झ्याल र ट्याब पुन: प्राप्त गर्न "
-#~ "सक्नुहुन्छ।"
+#~ "Epiphany appears to have exited unexpectedly the last time it was run. You can recover the opened windows and tabs."
+#~ msgstr "पछिल्लो पटक सञ्झ्याल अप्रत्यासित बन्द भएको हुनसक्दछ। तपाईँले पहिले खोल्नुभएको सञ्झ्याल र ट्याब पुन: प्राप्त गर्न सक्नुहुन्छ।"
 
 #~ msgid "_Don't Recover"
 #~ msgstr "पुन: प्राप्त नर्गनुहोस्"
@@ -6004,9 +6123,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Go to the address entered in the address entry"
 #~ msgstr "ठेगाना प्रविष्टिमा प्रविष्ट गरिएको ठेगानामा जानुहोस्"
 
-#~ msgid "_Home"
-#~ msgstr "गृह"
-
 #~ msgid "Open a new window"
 #~ msgstr "नयाँ सञ्झ्याल खोल्नुहोस्"
 
@@ -6074,9 +6190,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Delete text"
 #~ msgstr "पाठ मेट्नुहोस्"
 
-#~ msgid "Select the entire page"
-#~ msgstr "पूरा पृष्ठ चयन गर्नुहोस्"
-
 #~ msgid "Find a word or phrase in the page"
 #~ msgstr "पृष्ठमा एउटा शब्द वा वाक्यांश फेला पार्नुहोस्"
 
@@ -6113,10 +6226,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Customize toolbars"
 #~ msgstr "उपकरणपट्टी अनुकूलन गर्नुहोस्"
 
-#  View menu
-#~ msgid "_Stop"
-#~ msgstr "रोक्नुहोस्"
-
 #~ msgid "Stop current data transfer"
 #~ msgstr "हालको डेटा स्थानान्तरण रोक्नुहोस्"
 
@@ -6153,9 +6262,6 @@ msgstr "सक्षम पार्न
 #~ msgid "Display security information for the web page"
 #~ msgstr "वेब पृष्ठका लागि सुरक्षा सूचना प्रदर्शन गर्नुहोस्"
 
-#~ msgid "_Edit Bookmarks"
-#~ msgstr "पुस्तकचिनो सम्पादन गर्नुहोस्"
-
 #~ msgid "Open the bookmarks window"
 #~ msgstr "पुस्तकचिनो सञ्झ्याल खोल्नुहोस्"
 
@@ -6358,29 +6464,27 @@ msgstr "सक्षम पार्न
 #~ msgstr "मुद्रण पुर्वावलोकन बन्द गर्नुहोस्"
 
 #~ msgid ""
-#~ "The GNOME Web Browser is free software; you can redistribute it and/or modify it under the "
-#~ "terms of the GNU General Public License as published by the Free Software Foundation; either "
-#~ "version 2 of the License, or (at your option) any later version."
+#~ "The GNOME Web Browser is free software; you can redistribute it and/or modify it under the terms of the GNU General "
+#~ "Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) "
+#~ "any later version."
 #~ msgstr ""
-#~ "GNOME वेब ब्राउजर एउटा नि:शुल्क सफ्टवेयर हो; तपाईँले यसलाई नि: शुल्क सफ्टवेयर संस्थाद्वारा प्रकाशित GNU साधारण "
-#~ "सार्वजनिक इजाजतपत्रको शर्त अन्तरगत रहेर पुन: वितरण वा परिमार्जन गर्न सक्नुहुन्छ; या इजाजत पत्रको संस्करण २, वा "
-#~ "(तपाईँको विकल्पमा) कुनै पछिल्लो संस्करण।"
+#~ "GNOME वेब ब्राउजर एउटा नि:शुल्क सफ्टवेयर हो; तपाईँले यसलाई नि: शुल्क सफ्टवेयर संस्थाद्वारा प्रकाशित GNU साधारण सार्वजनिक इजाजतपत्रको "
+#~ "शर्त अन्तरगत रहेर पुन: वितरण वा परिमार्जन गर्न सक्नुहुन्छ; या इजाजत पत्रको संस्करण २, वा (तपाईँको विकल्पमा) कुनै पछिल्लो संस्करण।"
 
 #~ msgid ""
-#~ "The GNOME Web Browser is distributed in the hope that it will be useful, but WITHOUT ANY "
-#~ "WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR "
-#~ "PURPOSE.  See the GNU General Public License for more details."
+#~ "The GNOME Web Browser is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the "
+#~ "implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for "
+#~ "more details."
 #~ msgstr ""
-#~ "जिनोम वेब ब्राउजर उपयोगी हुन्छ भन्ने आश गरेर वितरण गरिएको छ, तर कुनै वारेन्टी बिना; इङ्गित व्यापारिक वा विशेष "
-#~ "उद्देश्यका लागि लायक  वारेन्टी बिना। बढी जानकारीका लागि साधारण सामाजिक इजाजतपत्र GNU हेर्नुहोस्।"
+#~ "जिनोम वेब ब्राउजर उपयोगी हुन्छ भन्ने आश गरेर वितरण गरिएको छ, तर कुनै वारेन्टी बिना; इङ्गित व्यापारिक वा विशेष उद्देश्यका लागि लायक  "
+#~ "वारेन्टी बिना। बढी जानकारीका लागि साधारण सामाजिक इजाजतपत्र GNU हेर्नुहोस्।"
 
 #~ msgid ""
-#~ "You should have received a copy of the GNU General Public License along with the GNOME Web "
-#~ "Browser; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, "
-#~ "Boston, MA  02110-1301  USA"
+#~ "You should have received a copy of the GNU General Public License along with the GNOME Web Browser; if not, write to "
+#~ "the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA"
 #~ msgstr ""
-#~ "तपाईँले जिनोम वेब ब्राउजरसँगै साधरण सार्वजनिक इजाजतपत्र प्राप्त गर्नुभएको हुनुपर्छ; यदि छैन भने, नि:शुल्क सफ्टवेयर "
-#~ "संस्था Inc. लाई 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA मा लेख्नुहोस्।"
+#~ "तपाईँले जिनोम वेब ब्राउजरसँगै साधरण सार्वजनिक इजाजतपत्र प्राप्त गर्नुभएको हुनुपर्छ; यदि छैन भने, नि:शुल्क सफ्टवेयर संस्था Inc. लाई 51 "
+#~ "Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA मा लेख्नुहोस्।"
 
 #~ msgid ""
 #~ "Lets you view web pages and find information on the internet.\n"
diff -pruN 46.1-1/src/window-commands.c 46.2-1/src/window-commands.c
--- 46.1-1/src/window-commands.c	2024-05-29 14:31:46.000000000 +0000
+++ 46.2-1/src/window-commands.c	2024-06-29 14:24:47.000000000 +0000
@@ -2148,6 +2148,9 @@ get_suggested_filename (EphyEmbed  *embe
   view = ephy_embed_get_web_view (embed);
   web_resource = webkit_web_view_get_main_resource (WEBKIT_WEB_VIEW (view));
   response = webkit_web_resource_get_response (web_resource);
+  if (!response)
+    return g_strdup (file_extension);
+
   mimetype = webkit_uri_response_get_mime_type (response);
   uri = g_uri_parse (webkit_web_resource_get_uri (web_resource), G_URI_FLAGS_PARSE_RELAXED | G_URI_FLAGS_SCHEME_NORMALIZE, NULL);
   page_title = ephy_embed_get_title (embed);
